/*****************************************************************************/
/*                                                                           */
/*                              BreakDate()                                  */
/*                                                                           */
/*      Function to break down a Gregorian date into month, day and year     */
/*                                                                           */
/*      Parameters: long    gdate   Gregorian date (yyyymmdd)                */
/*                  int *   mo      month (1-12)                             */
/*                  int *   da      day   (1-31)                             */
/*                  int *   yr      year  (4-digit)                          */
/*                                                                           */
/*      Return:     void            None                                     */
/*                                                                           */
/*      Revision record:                                                     */
/*          07/17/97    Cloned from brkdate() of Hammer Library              */
/*                      Modified code so full 4-digit year is returned       */
/*          12/05/17	BD2.C Changed 1st argument type from LONG to long    */
/*                      to agree with FrequenC.h protptype                   */
/*                                                                           */
/*****************************************************************************/

#include "frequenc.h"                        /* FrequenC Library header file */

void BreakDate(long gdate, int *mo, int *da,
	int *yr)
{
    *yr=(int) (gdate/10000L);
    *mo=(int) ((gdate/100L) % 100L);
    *da=(int) (gdate%100L);
}

/*****************************************************************************/

