/*****************************************************************************/
/*									 								    	 */
/*  				       	 CheckFrequenC()                 		         */
/*																		     */
/*		Function to check for correct version of FrequenC DLL                */
/*                                                                           */
/*      Parameters:    	None (void)                                          */
/*                                                                           */
/*		Return:         int           = Version #           			     */
/*									 									     */
/*		Note: The return value from this function is compared against the    */
/*		macro value FREQUENC_DLL_VERSION_NUMBER	to check that the correct    */
/*		version of the FrequenC Library is loaded.                           */
/*			                                                                 */
/*		Version table:                                                       */
/*                                                                           */
/*			Stable32n Version	FrequenC Version	Return Value             */
/*			------------------	----------------    ------------             */
/*				1.05				1.3					130                  */
/*				1.06            	1.3            		130                  */
/*				1.40				2.0					200                  */
/*			    1.50				3.0					300                  */
/*			                                                                 */
/*		Revision record:                                                     */
/*			12/07/97	Written                                              */
/*			12/09/97	Added to FrequenC Library                            */
/*			01/01/98	Changes for MS VC++ compatibility & warnings         */
/*			03/14/03	Changes for Stable32 version 1.40 to return 200      */
/*			11/13/06	Changes for Stable32 version 1.50 to return 300      */
/*			12/10/17	Return 400 for Linux version of FrequenC             */
/*																		     */
/* (c) Copyright 1997-2006 Hamilton Technical Services All Rights Reserved   */
/*                                                                           */
/*****************************************************************************/

#include "frequenc.h"

int CheckFrequenC(void)
{
	return 400;
}

/*****************************************************************************/
