/****************************************************************************/
/*                                                                          */
/*                            DateToMJD()                                   */
/*                                                                          */
/*		Function for date to MJD conversion                                 */
/*                                                                          */
/*      Parameters:                                                         */
/*			int	 day	 day of date to be converted to MJD                 */
/*		    int  month   month of date to be converted to MJD               */
/*          int  year    year of date to be converted to MJD                */
/*                                                                          */
/*      Return: 														    */
/*          long mjd     modified Julian day # for date                     */
/*                                                                          */
/*      Example:                                                            */
/*		    November 11, 1992 is MJD 48937.                                 */
/*                                                                          */
/*		Function revision record:                                           */
/*			11/11/92	Created                                             */
/*			11/28/92	Adapted for FrequenC Library                        */
/*			02/03/96  	Changed constant 679019 to L                        */
/*						Modified for use as Win 3.1 DLL                     */
/*			01/01/98	Changes for MS VC++ compatibility & warnings       */
/*                                                                          */
/*  (c) Copyright 1992-8  Hamilton Technical Services  All Rights Reserved  */
/*                                                                          */
/****************************************************************************/

#include "frequenc.h"                               /* FrequenC header file */

long DateToMJD(int day, int month, int year)
{
	if(month>2)
	{
		month++;
	}                                                             /* end if */
	else
	{
		month+=13;
		year--;
	}                                                           /* end else */

	return(-679019L+(long)(365.25*year)+(long)(30.6001*month)+day);

}                                                        /* end DateToMjd() */

/****************************************************************************/
