/*****************************************************************************/
/*                                                                           */
/*							    GetMJD()                                     */
/*                                                                           */
/*		Function to get current MJD from system clock                        */
/*                                                                           */
/*      Parameters:                                                          */
/*      	None (void)                                                      */
/*                                                                           */
/*      Return:                                                              */
/*			double MJD                                                       */
/*                                                                           */
/*		Revision record:                                                     */
/*			07/23/03	Created from same function in AMS                    */
/*						Credit: R. Lutwak                                    */
/*			11/12/06	Adapted for DLL from Stable_r.c						 */
/*                                                                           */
/* (c) Copyright 2003-6 Hamilton Technical Services  All Rights Reserved     */
/*                                                                           */
/*****************************************************************************/

#include "frequenc.h"

double GetMJD(void)
{
	// Local variables
	double mjd, mjd_add, mjd_div, sec;

	sec = (double) time(NULL);
	mjd_add = 40587.0;
	mjd_div = 86400.0;
	mjd = mjd_add + sec/mjd_div;
	return(mjd);
}
