/*****************************************************************************/
/*                                                                           */
/*                              MakeDate()                                   */
/*                                                                           */
/*      Function to make Gregorian date from month, day and year             */
/*                                                                           */
/*      Parameters: int     mo      Month (1-12)                             */
/*                  int     da      Day (1-31)                               */
/*                  int     yr      Year (2 or 4-digit)                      */
/*                                                                           */
/*      Return:     long            Gregorian date (yyyymmdd)                */
/*                                                                           */
/*      Revision record:                                                     */
/*          07/17/97    Cloned from makdate() of Hammer Library              */
/*                                                                           */
/*****************************************************************************/

#include "frequenc.h"                        /* FrequenC Library header file */

long MakeDate(int mo, int da, int yr)
{
    yr = (yr<=100 ? yr+1900 : yr);
    return ((long int) yr*10000L + mo*100L + da);
}

/*****************************************************************************/

