/*****************************************************************************/
/*                                                                           */
/*                              MJDtoGPS()                                   */
/*                                                                           */
/*      Function to convert MJD to GPS Week #                                */
/*                                                                           */
/*      Parameters: long    MJD                                              */
/*                                                                           */
/*      Return:     int     GPS Week #                                       */
/*                                                                           */
/*      Note:   The origin (time zero) of GPS System Time was 00:00:00 UTC   */
/*              6 January 1980, Julian Day 2,444,244.500, MJD 44244.  A      */
/*              GPS Cycle is 1024 weeks.                                     */
/*                                                                           */
/*      Revision record:                                                     */
/*          01/25/98    Created                                              */
/*                                                                           */
/*****************************************************************************/

#include "frequenc.h"                        /* FrequenC Library header file */

int MJDtoGPS(long MJD)
{
    return ((int)((MJD-44244L)/7)%1024);
}

/*****************************************************************************/

