/*****************************************************************************/
/*                                                                           */
/*                             ReverseTimetags()                             */
/*                                                                           */
/*      Function to reverse order of phase or frequency timetags             */
/*                                                                           */
/*      Parameters:     F_TYPE t[]  = phase or freq timetags                 */
/*                                    t[0] = # timetag points                */
/*                                    t[1] = analysis start                  */
/*                                    t[2] = analysis end                    */
/*                                                                           */
/*      Return:         void          None                                   */
/*                                                                           */
/*      Revision record:                                                     */
/*          03/01/08    Created & working                                    */
/*						Tested AOK even & odd # points, phase or freq data   */
/*						Used in scale function                               */
/*                                                                           */
/* (c) Copyright 2008  Hamilton Technical Services  All Rights Reserved      */
/*                                                                           */
/*****************************************************************************/

#include "frequenc.h"

void ReverseTimetags(F_TYPE t[])
{
    // Local variables
	int i;                                                        /* z index */
	int start;                                       /* analysis start index */
    int num;                                                /* # data points */
	F_TYPE temp;                        /* temporary data value for swapping */

	// Initializations
	start=(int)t[1]-1;                               /* analysis start index */
	num=(int)(t[2]-t[1]+1);                   /* set num = # analysis points */

	// Loop to reverse data
	for(i=0; i<num/2; i++)
	{
		// Swap pair of timetag points
		temp=t[start+i+ARRAY_OFFSET];
		t[start+i+ARRAY_OFFSET]=t[start+num-1-i+ARRAY_OFFSET];
		t[start+num-1-i+ARRAY_OFFSET]=temp;
	}
}
