/*****************************************************************************/
/*                                                                           */
/*                            STABLE_R.C                                     */
/*                                                                           */
/* 		Stable32 Run Functions                                               */
/*                                                                           */
/*		Theo1()					In FrequenC DLL                              */
/*		NewTheo1()              S/B in FrequenC DLL                          */
/*		TheoBR()                                                             */
/*		Theo1EDF()              In FrequenC DLL                              */
/*		Theo1Bias()             In FrequenC DLL                              */
/*		AutoTheo1Bias()                                                      */
/*		AutoTheoBRBias()                                                     */
/*		Theo1BiasToAlpha()      In FrequenC DLL                              */
/*		ElimEqualTimetags()                                                  */
/*		CountEqualTimetags()    In FrequenC DLL                              */
/*		CombinedEDF()			In FrequenC DLL                              */
/*		GetMJD()				In FrequenC DLL                              */
/*		Encode()                Demo version only                            */
/*		Decode()				Demo version only                            */
/*		AutocorrelationCalc()	In FrequenC DLL                              */
/*		ACFNoiseID()			In FrequenC DLL                              */
/*		SpectrumCalc()			In FrequenC DLL                              */
/*		RemoveQuadraticDrift()	In FrequenC DLL                              */
/*		Prewhiten()                                                          */
/*		ReverseData()                                                        */
/*		ReverseTimetags()                                                    */
/*		FFTSpurRemoval()                                                     */
/*		CompressData()                                                       */
/*                                                                           */
/*		Revision record:                                                     */
/*			06/30/97	Replaced FAR PASCAL _export with WINAPI              */
/*			07/05/98    Removed obsolete functions                           */
/*			01/29/99	Added NewCalcFreqOverlapSigma()                      */
/*			03/05/99	Added CalcPhaseOverlapHadamardDev()                  */
/*			03/13/99	Added CalcFreqOverlapHadamardDev()                   */
/*			04/24/99	Added CalcHadamardB1()                               */
/*			12/15/99	Added ModTotvarCalc()                                */
/*			03/26/00	Added ModTotvarBias()                                */
/*			03/26/00	Added ModTotvarEDF()                                 */
/*			05/15/00	Added NewCalcPhaseStdDev() to fix error in DLL       */
/*			05/16/00	Added NewCalcIncChiSqr() and supporting functions    */
/*			10/28/00	Added HadTotvarEDF()                                 */
/*			10/28/00	Added HadTotvarBias()                                */
/*			11/14/00	Added CalcStarB1()                                   */
/*			01/16/01	Added CalcFastMTIE()                                 */
/*			05/22/01	Added NewConvPhaseToFreq()                           */
/*			05/07/02	Added FindMedianWrapper1() & FindMedianWrapper2()    */
/*			05/11/02	Added NewMedDev()                                    */
/*						Removed unused code                                  */
/*			06/15/02	Added NewCalcPhaseModSigma()                         */
/*			08/28/02	Added NewConvFreqToPhase()                           */
/*			09/21/02	Added NewCalcBias2() and NewCalcBias3()              */
/*			02/07/03	Added Theo1()                                        */
/*			03/09/03	Added NewTheo1()                                     */
/*			03/14/03	Eliminated several functions now in FrequenC DLL     */
/*			03/22/03	Eliminated more functions now in FrequenC DLL        */
/*			04/29/03	Added FinalTheo1()                                   */
/*			05/01/03	Added Theo1EDF()                                     */
/*			05/11/03	Added Theo1Bias()                                    */
/*			05/16/03	Eliminated earlier versions of Tho1()               */
/*			07/10/03	Added ElimEqualTimetags()                            */
/*			07/10/03	Added CountEqualTimetags()                           */
/*			07/13/03	Added Theo1BiasToAlpha()                             */
/*			07/14/03	Added CombinedEDF() & supporting functions           */
/*			07/23/03	Added GetMJD()                                       */
/*			07/23/03	Added Encode() & Decode()                            */
/*			08/04/03	Added AutocorrelationCalc() and supporting functions */
/*			09/09/03	Added ACFNoiseID()                                   */
/*			12/09/03	Added NewTheo1Bias() & NewTheo1BiasToAlpha()         */
/*			12/21/03	Added NewTheo1() and AutoTheo1Bias()                 */
/*			11/24/04	Added TheoBR() & AutoTheoBRBias() from 7/04 NIST     */
/*						special version                                      */
/*			08/25/06	Added RemoveQuadraticDrift() to fix error in it      */
/*			12/31/06	Changed to FrequenC DLL 3.0 and eliminated the       */
/*						following functions that are now in it:              */
/*							RemoveQuadraticDrift()                           */
/*							CountEqualTimetags()                             */
/*							GetMJD()                                         */
/*							Theo1()                                          */
/*							Theo1EDF()                                       */
/*							ACFNoiseID()                                     */
/*							Theo1Bias()                                      */
/*							Theo1BiasToAlpha()                               */
/*							CombinedEDF()                                    */
/*							AutocorrelationCalc()                            */
/*			01/25/01	Added AutoSpectrumCalc()                             */
/*			07/26/07	Remove unused functions from this file               */
/*						Changed to safe string functions                     */
/*			02/12/08	Added Prewhiten()                                    */
/*			03/01/08	Added ReverseData() and ReverseTimetags()            */
/*			06/03/08	Added FFTSpurRemoval()                               */
/*			06/23/08	Changed to newer version of S&E Tools FFT functions  */
/*			07/16/08	Added functions for real FFT calc                    */
/*			07/16/08	Added FFTFilter()                                    */
/*			08/29/08	Call to A7PSDSpectrumCalc() removed                  */
/*			09/04/08	Added new faster ModTotvarCalc()                     */
/*			09/05/12	Added CompressData() - Not yet used                  */
/*			                                                                 */
/* 	(c) 1996-2012 W. Riley Hamilton Technical Services All Rights Reserved   */
/*                                                                           */
/*****************************************************************************/

/* Note WJR 12/12/17: This file from the Stable32 Windows source code contains some          */
/* functions that either have been or could be added to the Linux version of the FrequenC    */
/* library.  Those functions that could be ported simply (SC, CLFD2, MTC2 and GD) were       */
/* added to the libfrequenc.so code base.  Other functions (NT1, TBR, AT1, ATBRB & ASC)      */
/* contained Windows-specific code and were not ported.  Still other functions of these      */
/* functions were considered unsuitable for inclusion in the Linux FrequenC shared object    */
/* library.                                                                                  */

#define STRICT					// For Win32 compatibility

#include "stable_w.h"           // STABLE_W header file

// #define LOGGING					// For test logging 

/*****************************************************************************/
/*                                                                           */
/*                                 NewTheo1()                                */
/*                                                                           */
/*      Function to calculate New Tho1 deviation                            */
/*		Different function signature as original Theo1()                     */
/*                                                                           */
/*		Removes a computed bias between Tho1 and Avar to create an          */
/*		unbiased version of Tho1                                            */
/*                                                                           */
/*      Parameters:     F_TYPE x[]      = phase data                         */
/*                                        x[0] = # data phase points         */
/*                                        x[1] = analysis start              */
/*                                        x[2] = analysis end                */
/*                      F_TYPE *p_sig   = pointer to new Theo1 deviation     */
/*                      F_TYPE tau      = data averaging time = tau_0        */
/*                      int m           = averaging factor = tau/tau_0       */
/*						float *fBias	= pointer to bias factor             */
/*						int *nNoise		= pointer to noise type (alpha)      */
/*						BOOL *bAbort    = pointer to abort flag              */                                                                     
/*						BOOL bProgress  = progress indicator flag            */
/*						BOOL bCalcBias  = bias calc flag                     */
/*						void *ProgressFunction()                             */
/*									    = pointer to progress indicator      */
/*									 	  funct with args int nPercentDone   */
/*										  and char *szMessage                */
/*                                                                           */
/*      Return:         float           = # analysis points,                 */
/*                                        or -1 if error                     */
/*                                                                           */
/*      Notes:          Embedded zero phase values treated as gaps in data.  */
/*                      The analysis data consists of n phase samples at     */
/*                      interval tau_0.  Denominator term (n-m) must be >0.  */
/*                      This sets max m=n-1.  m and tau must be >0, and m    */
/*                      must be even.  The Tho1 bias correction is the      */
/*						average ratio of Avar to Tho1 dev over the range    */
/*						of averaging factors where they both exist.          */
/*                                                                           */
/*                      Calls AutoTheo1Bias() to calc bias correction.       */
/*						Need to calc bias only first time during a run.      */
/*						NewTheo1BiasToAlpha() is then used to determine      */
/*						noise type from bias factor.                         */
/*                                                                           */
/*                      This function NewTheo1() calls original Theo1()      */
/*                      It optionally does bias removal if bCalcBias flag    */
/*                      is set.                                              */
/*                                                                           */
/*      Refs:           1. D.A. Howe and T.K. Peppler, "Estimation of Very   */
/*                         Long Term Frequency Stability Using a Special     */
/*                         Purpose Statistic", IEEE Int'l FCS 2003.          */
/*                                                                           */
/*                      2. T.N Tasset and D.A. Howe, "A Practical Tho1      */
/*                         Algorithm", Private e-mail communication,         */
/*						   October 31, 2003.                                 */
/*                                                                           */
/*      Revision record:                                                     */
/*          12/21/03    Created                                              */
/*			12/24/03	Added *fBias and *nNoise arguments                   */
/*			12/31/03	Added bCalcBias argument                             */
/*			12/31/06	Changed call to NewTheo1BiasToAlpha() - No "New"     */
/*                                                                           */
/* (c) Copyright 2003-6  Hamilton Technical Services  All Rights Reserved    */
/*                                                                           */
/*****************************************************************************/

float WINAPI NewTheo1(F_TYPE x[], F_TYPE *p_sig, F_TYPE tau, int m,
	float *fBias, int *nNoise, BOOL *bAbort, BOOL bProgress, BOOL bCalcBias,
	void (*ProgressFunction)(int nPercentDone, char *szMessage))
{
	// Local variables
	int n;                              // # phase data points for analysis
	float fCount;						// # non-gap analysis points

	// Set n to # analysis points
	n=(int)(x[2]-x[1]+1);
    
	// Check for NG arguments
	if( (m<1) || (n<m) || (tau<=0) || (m%2) )
    {
        return -1.0;                                               /* error */
    }

	// Calculate Tho1
	// Parameters are simply passed through
	fCount=Theo1(x, p_sig, tau, m, bAbort, bProgress, ProgressFunction);

	// Bail out if abort
	if(*bAbort)
	{
		return -1.0;
	}

	// Error trap for bad calc
	if(fCount==-1.0)
	{
		return -1.0;
	}

	// Calc bias if requested
	// Otherwise use value passed to function
	if(bCalcBias)
	{
		// Find average bias factor for Tho1 variance
		*fBias=AutoTheo1Bias(x, tau);
	}

	// Find estimated noise type
	*nNoise=Theo1BiasToAlpha(*fBias, m);

	// Remove bias
	*p_sig*=sqrt(*fBias);
    
	// Return result or error code
    if(fCount>0)                                     
    {
        return fCount;                          /* # non-gap analysis points */
    }
    else
    {
        return -1.0;                                                /* error */
    }
}                                                          /* end NewTheo1() */

/*****************************************************************************/
/*                                                                           */
/*                                   TheoBR()                                */
/*                                                                           */
/*      Function to calculate the ThoBR deviation                           */
/*		Same function signature as NewTheo1()                                */
/*                                                                           */
/*		Removes a computed bias between Tho1 and Avar to create an          */
/*		unbiased version of Tho1                                            */
/*                                                                           */
/*      Parameters:     F_TYPE x[]      = phase data                         */
/*                                        x[0] = # data phase points         */
/*                                        x[1] = analysis start              */
/*                                        x[2] = analysis end                */
/*                      F_TYPE *p_sig   = pointer to new Theo1 deviation     */
/*                      F_TYPE tau      = data averaging time = tau_0        */
/*                      int m           = averaging factor = tau/tau_0       */
/*						float *fBias	= pointer to bias factor             */
/*						int *nNoise		= pointer to noise type (alpha)      */
/*						BOOL *bAbort    = pointer to abort flag              */                                                                     
/*						BOOL bProgress  = progress indicator flag            */
/*						BOOL bCalcBias  = bias calc flag                     */
/*						BOOL bAutoAlpha = automatic alpha calc flag          */
/*						void *ProgressFunction()                             */
/*									    = pointer to progress indicator      */
/*									 	  funct with args int nPercentDone   */
/*										  and char *szMessage                */
/*                                                                           */
/*      Return:         float           = # analysis points,                 */
/*                                        or -1 if error                     */
/*                                                                           */
/*      Notes:          Embedded zero phase values treated as gaps in data.  */
/*                      The analysis data consists of n phase samples at     */
/*                      interval tau_0.  Denominator term (n-m) must be >0.  */
/*                      This sets max m=n-1.  m and tau must be >0, and m    */
/*                      must be even.  The Tho1 bias correction is the      */
/*						average ratio of Avar to Tho1 dev over the range    */
/*						of averaging factors where they both exist.          */
/*                                                                           */
/*                      Calls AutoTheoBRBias() to calc bias correction.      */
/*						Need to calc bias only first time during a run.      */
/*						NewTheo1BiasToAlpha() is then used to determine      */
/*						noise type from bias factor.                         */
/*                                                                           */
/*                      ThoBR is the same as NewTho1 except that the bias  */
/*                      correction is calculated over a wider range of       */
/*                      averaging factors.  This code is therefore the       */
/*                      the same as that for Tho1 except for the call to    */
/*						AutoTheoBRBias() instead of AutoTheo1Bias().         */
/*                                                                           */
/*      Refs:           1. D.A. Howe and T.K. Peppler, "Estimation of Very   */
/*                         Long Term Frequency Stability Using a Special     */
/*                         Purpose Statistic", IEEE Int'l FCS 2003.          */
/*                      2. T.N Tasset and D.A. Howe, "A Practical Tho1      */
/*                         Algorithm", Private e-mail communication,         */
/*						   October 31, 2003.                                 */
/*                      3. T.N Tasset, "ThoH", Private e-mail               */
/*						   communication, July 23, 2004.                     */
/*                      4. Jennifer Taylor/NIST, Private e-mail              */
/*                         communication, August 16, 2007.                   */
/*                                                                           */
/*      Revision record:                                                     */
/*          07/24/04    Created from NewTheo1()                              */
/*			12/31/06	Eliminated New from Theo1BiasToAlpha() call          */
/*			08/13/07	Added bias calc speedup via phase data averaging     */
/*			08/17/07	Added bias factor AF adjustment                      */
/*			09/18/07	Pass bias average factor to AutoTheoBRBias()         */
/*			09/22/07	Added bAutoAlpha argument and usage                  */
/*                                                                           */
/* (c) Copyright 2004-7  Hamilton Technical Services  All Rights Reserved    */
/*                                                                           */
/*****************************************************************************/

float WINAPI TheoBR(F_TYPE x[], F_TYPE *p_sig, F_TYPE tau, int m,
	float *fBias, int *nNoise, BOOL *bAbort, BOOL bProgress, BOOL bCalcBias,
	BOOL bAutoAlpha, void (*ProgressFunction)(int nPercentDone, char *szMessage))
{
	// Local macro
	#define MAX_THEOBR_PTS 3000
	
	// Local variables
	// Chars
	#if(0) // For testing
	char szBuffer[BIG_BUFFER_SIZE+1];       // Text buffer
	#endif
	int i;						// Index
	static int n;               // # phase data points for analysis
	static int npts;			// Max # pts for bias calc
	static int af;				// Averaging factor
	static float fCount;		// # non-gap analysis points
	static F_TYPE *xx;			// Temporary phase data array

	// Set n to # analysis points
	n=(int)(x[2]-x[1]+1);
    
	// Check for NG arguments
	if( (m<1) || (n<m) || (tau<=0) || (m%2) )
    {
        return -1.0;                                                /* error */
    }

	// Calculate Tho1
	// Parameters are simply passed through
	fCount=Theo1(x, p_sig, tau, m, bAbort, bProgress, ProgressFunction);

	// Bail out if abort
	if(*bAbort)
	{
		return -1.0;
	}

	// Error trap for bad calc
	if(fCount==-1.0)
	{
		return -1.0;
	}

	// Calc bias if requested
	// Otherwise use value passed to function
	// if(bCalcBias) // Obsolete 09/22/07
	if(bCalcBias && bAutoAlpha)
	{
		#if(1) // New code 08/13/07
		// Average phase data to speed up bias determination
		// Allocate memory for temporary phase data
		if((xx=(F_TYPE*)malloc(((int)(x[0]+ARRAY_OFFSET))*sizeof(F_TYPE)))==
			NULL)
		{
			// Display error message
			#ifdef MEM_DEBUG
			AllocErrorMessageEx(__FILE__, __LINE__,
				(nNumm+ARRAY_OFFSET+1+EXTRA_MEM)*sizeof(F_TYPE));
			#else
			AllocErrorMessage();
			#endif

			// Error
			return -1.0;
		}

		// Copy complete phase data array to temporary working array
		for(i=0; i<(int)(x[0]+ARRAY_OFFSET); i++)
		{
			xx[i]=x[i];
		}

		// The averaging factor is determined by npts, the maximum
		// # of points that give a reasonable calc time
		// as determined by MaxTheoBRPts read-only item
		// in [Preferences] section of Stable32.ini file
		// with default value set by the macro MAX_THEOBR_PTS
		// Read max # pts to use for bias calc
		npts=GetPrivateProfileInt("Preferences", "MaxTheoBRPts",
			MAX_THEOBR_PTS, szIniFile);

		// Make sure npts is positive
		npts=abs(npts);

		// Need a minimum of 20 analysis points for bias calc
		// so npts can't be less than 20
		npts=max(npts, 20);

		// Assign averaging factor
		// AF cannot be less than 1 - hence use ceil() function
		// Note:  We call the the bias averaging factor (BA)
		af=(int)ceil((double)n/(double)npts);

		// Average the phase data so bias calc is faster
		AveragePhaseData(xx, af);
		
		// Find average bias factor for Tho1 variance
		// af argument added 09/18/07
		*fBias=AutoTheoBRBias(xx, tau, af);

		// Free temporary array
		free(xx);
		#endif
		
		#if(0) // Original code
		// Find average bias factor for Tho1 variance
		*fBias=AutoTheoBRBias(x, tau);
		#endif

		// Check for error in bias calc
		if(*fBias==-1.0)
		{
			return -1.0;
		}

		// Apply adjustment factor
		// Per Jennifer Taylor e-Mail of 08/16/07
		// Estimated bias = bias at AF +0.00055*(AF-1)
		*fBias+=(float)(0.00055*(af-1));

		#if(0) // For testing
		bTest=GetPrivateProfileInt("Preferences", "Test",
			FALSE, szIniFile);

		if(bTest)
		{
			sprintf(szBuffer, "# Phase Data Points = %d\n"
				"MaxTheoBRPts = %d\n"
				"Bias Calc Averaging Factor = %d\n"
				"Tho1 Bias Factor = %f\n"
				"Adjustment Factor = %f\n"
				"Adjusted Tho1 Bias Factor = %f",
				n, npts, af, (double)(*fBias-(float)(0.00055*(af-1))),
				0.00055*(af-1), (double)(*fBias));
			MessageBox(hwndMain, szBuffer, "ThoH Run", MB_OKCANCEL);
		}
		#endif
	}

	// Find estimated noise type
	// Same function used for TheoBR as for NewTheo1
	*nNoise=Theo1BiasToAlpha(*fBias, m);

	// Remove bias
	*p_sig*=sqrt(*fBias);

	// Return result or error code
    if(fCount>0)                                     
    {
        return fCount;                          /* # non-gap analysis points */
    }
    else
    {
        return -1.0;                                                /* error */
    }
}

/*****************************************************************************/
/*                                                                           */
/* 		                        AutoTheo1Bias()                              */
/*                                                                           */
/* 	Function to determine the correction factor to automatically remove      */
/*	the bias from the Tho1 variance                                         */
/*                                                                           */
/*  Parameters:     F_TYPE x[]  = phase data                                 */
/*                                x[0] = # data phase points                 */
/*                                x[1] = analysis start                      */
/*                                x[2] = analysis end                        */
/*                  F_TYPE fTau = data averaging time = tau_0                */
/*                                                                           */
/*	Return:         float fBias =  Tho1 variance bias factor                */
/*								   or -1 if error                            */
/*                                                                           */
/* 	References:		(1) D.A. Howe e-mail of 05/01/03                         */
/*					(2) D.A. Howe e-mail of 05/16/03 with "Tho1 Summary"    */
/*					(3) D/A. Howe e-mail of 05/29/03 w/ W PM & F PM values   */
/*					(4) T.N. Tasset and D.A. Howe, "A Practical Tho1        */
/*						Algorithm".                                          */
/*                                                                           */
/*  Notes:			This bias factor is the ratio of AVAR to Tho1           */
/*					To correct Tho1 deviation, multiply it by the sqrt of   */
/*					this bias factor.                                        */
/*                  Not suitable for inclusion in FrequenC DLL               */
/*                                                                           */
/*  Revision record:                                                         */
/*      12/21/03    Created                                                  */
/*		12/30/03	Added progress indicator and abort                       */
/*		01/08/04	Added message box & options for resuming Tho1 bias calc */
/*		01/25/06	Changed progress message to show AF updated more often   */
/*                                                                           */
/* (c) Copyright 2003-4	 Hamilton Technical Services  All Rights Reserved    */
/*                                                                           */
/*****************************************************************************/

float WINAPI AutoTheo1Bias(F_TYPE x[], F_TYPE fTau)
{
	// Local variables
	// Chars
	char szBuffer[BUFFER_SIZE+1];       // Text buffer
    int i;								// Index
	int n;                              // # phase data points for analysis
	int nCode;							// Message box return code
	F_TYPE fA;							// Allan deviation
	F_TYPE fT;							// Tho1 deviation
	F_TYPE fBias;						// Tho1 bias factor
	F_TYPE fCurrentVal;					// Current value of bias factor

    BOOL bProgress=TRUE;				// Flag to show progress message
	int nTic;                           // Increment for progress indicator
    int nLast_i=0;                      // Previous value of index

	HWND hDlg=hDialog;

	// Set n to # analysis points
	n=(int)(x[2]-x[1]+1);
    
	// Check for NG tau argument
	if(fTau<=0)
    {
        return -1.0;                                                /* error */
    }

    // Progress initialization
	// This decreases the tic increment for large data sets, making the
	// abort more responsive w/o changing the progress display.
	// A more dynamic progress display would also be better to show
	// program activity for large data sets, for example, showing the
	// current AF (see below)
    nTic=(int)ceil(((n/30)-3)/10000);   // Increment for progress report

	// Progress label
    if(bProgress)
    {
		// Label progress bar
		WriteProgressMessage(0, "Calculating Tho1 Bias", FALSE); 
    }

	// Calculate the bias factor for the Tho1 variance
	// It is the average Avar to Tho1 ratio
	// calculated for i=0 to (int)((n/30)-3) points
	// where n=# phase analysis pts
	// for Avar m=9+3i and Tho1 m=12+4i

	// Intitalize bBias
	fBias=0.0;

	// Find average bias factor
	for(i=0; i<=(int)((n/30)-3); i++)
	{
		CalcPhaseOverlapSigma(x, &fA, fTau, 9+3*i);
		Theo1(x, &fT, fTau, 12+4*i, &bAbort, FALSE, NULL);
		fBias+=(fA*fA/(fT*fT));

		// Display progress
		// Update when index has changed by at least tic amount
		if(((i-nLast_i)>=nTic) && (bProgress))
		{
			_snprintf(szBuffer, sizeof(szBuffer),
				"Calculating ThoBR Bias for Tho1 AF=%d", 12+4*i);
			WriteProgressMessage((int)(0.5+100.0*i/((n/30)-3)),
				szBuffer, TRUE);
			nLast_i=i;
		}

		// Check for abort
		if(bAbort)
		{
			// Grey all controls 
			EnableWindow(GETHCTL(IDC_RUN_RUN), FALSE);
			EnableWindow(GETHCTL(IDCANCEL), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_PRINT), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_PLOT), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_OPTIONS), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_LINES), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_NOTES), FALSE);
			EnableWindow(GETHCTL(IDHELP), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_TYPE), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_CF), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_REMOVE), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_DECADE), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_OCTAVE), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_ALLTAU), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_COPY), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_1OF2), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_ALPHA), FALSE);

			// Change Resume button back to Calc 
			SetWindowText(GETHCTL(IDC_RUN_RUN), "C&alc");

			// Change Clear button back to Stop 
			SetWindowText(GETHCTL(IDCANCEL), "&Stop");

			fCurrentVal=fBias/i;
			_snprintf(szBuffer, sizeof(szBuffer),
				"Tho1 Bias Calculation Aborted (%d%% Complete)\n"
				"Press OK to continue bias calculation\n"
				"or Cancel to use current value (%f).",
				(int)(0.5+100.0*i/((n/30)-3)), 	fCurrentVal);
			nCode=MessageBox(hwndMain, szBuffer, "Tho1 Run", MB_OKCANCEL);

			if(nCode==IDOK)
			{
				// Continue with calc
				bAbort=FALSE;
				EnableWindow(GETHCTL(IDCANCEL), TRUE);
			}
			else if(nCode==IDCANCEL)
			{
				// Activate all controls 
				EnableWindow(GETHCTL(IDC_RUN_RUN), TRUE);
				EnableWindow(GETHCTL(IDCANCEL), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_PRINT), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_PLOT), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_OPTIONS), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_LINES), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_NOTES), TRUE);
				EnableWindow(GETHCTL(IDHELP), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_TYPE), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_CF), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_REMOVE), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_DECADE), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_OCTAVE), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_ALLTAU), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_COPY), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_1OF2), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_ALPHA), TRUE);
				
				// Change Calc button back to Resume 
				SetWindowText(GETHCTL(IDC_RUN_RUN), "&Resume");

				// Change Stop button back to Close 
				SetWindowText(GETHCTL(IDCANCEL), "&Close");

				// Quit
				break;
			}
		}
	}

    // Clear progress label
	if(bProgress)
    {
		// Clear progress display
		WriteProgressMessage(0, "", FALSE);
	}

	// Divide average bias factor by # summations 
	fBias/=i;
	
	// Return Tho1 bias factor
	return (float) fBias;
}

/*****************************************************************************/
/*                                                                           */
/* 		                        AutoTheoBRBias()                             */
/*                                                                           */
/* 	Function to determine the correction factor to automatically remove      */
/*	the bias from the Tho1 variance.  This is the bias-corrected version    */
/*  of Tho1 is called ThoBR which, when combined with Avar, becomes ThoH. */
/*                                                                           */
/*  Parameters:     F_TYPE x[]  = phase data                                 */
/*                                x[0] = # data phase points                 */
/*                                x[1] = analysis start                      */
/*                                x[2] = analysis end                        */
/*                  F_TYPE fTau = data averaging time = tau_0                */
/*					int nBA     = bias averaging factor                      */
/*                                                                           */
/*	Return:         float fBias =  Tho1 variance bias factor                */
/*								   or -1 if error                            */
/*                                                                           */
/* 	References:		(1) D.A. Howe e-mail of 05/01/03                         */
/*					(2) D.A. Howe e-mail of 05/16/03 with "Tho1 Summary"    */
/*					(3) D/A. Howe e-mail of 05/29/03 w/ W PM & F PM values   */
/*					(4) T.N. Tasset and D.A. Howe, "A Practical Tho1        */
/*						Algorithm".                                          */
/*					(5) T.N. Tasset, "ThoH", e-mail of 07/23/04.            */
/*                                                                           */
/*  Notes:			This bias factor is the ratio of AVAR to Tho1           */
/*					To correct the Tho1 deviation, multiply it by the sqrt  */
/*					of this bias factor.                                     */
/*                                                                           */
/*                  Tho1 is the original biased statistic of that name.     */
/*                  NewTho1 was the original bias-corrected version of      */
/*                  Tho1, and that bias correction was found with the       */
/*					AutoTheo1Bias() function.  This bias-corrected version   */
/*					of Tho1 is called ThoBR (for "Tho1 Bias Removed")     */
/*					and uses a wider range of n.  When combined with Avar,   */
/*					ThoBR becomes ThoH (for "Hybrid").                     */
/*                                                                           */
/*                  The minimum # of phase data points, N, necessary to      */
/*                  find a Tho1 bias value is determined by the overlapping */
/*                  Allan variance calculation, which is carried out at a    */
/*                  minimum averaging factor of m=9, and which must yield    */
/*                  one analysis point whose number is given by N-2m.  Thus  */
/*                  N-2m=N-2*9=N-18=1, or N(min)=19.                         */
/*                                                                           */
/*                                                                           */
/*  Revision record:                                                         */
/*      07/24/04    Created from AutoTheo1Bias()                             */
/*		12/20/04	Changed sequence to do largest AF first                  */
/*		01/25/06	Changed progress message to show AF updated more often   */
/*					Made some variables static to fix stopping problems      */
/*		09/18/07	Added int nBA argument which is bias averaging factor    */
/*					applied to data before bias calc.  It is used only to    */
/*					display the full AF = 12+4*i*nBA during calc             */
/*                                                                           */
/* (c) Copyright 2004	 Hamilton Technical Services  All Rights Reserved    */
/*                                                                           */
/*****************************************************************************/

float WINAPI AutoTheoBRBias(F_TYPE x[], F_TYPE fTau, int nBA)
{
	// Local variables
	// Chars
	char szBuffer[BUFFER_SIZE+1];       // Text buffer
    int i;								// Index
	int n;                              // # phase data points for analysis
	int nCode;							// Message box return code
	static int j;						// Calc point count
	F_TYPE fA;							// Allan deviation
	F_TYPE fT;							// Tho1 deviation
	static F_TYPE fBias;				// ThoBR bias factor
	static F_TYPE fCurrentVal;			// Current value of bias factor

    BOOL bProgress=TRUE;				// Flag to show progress message
	int nTic;                           // Increment for progress indicator
    int nLast_j=0;                      // Previous value of count

	HWND hDlg=hDialog;

	// Set n to # analysis points
	n=(int)(x[2]-x[1]+1);

	// Check for too few analysis points
	if(n<19)
    {
        return -1.0;  // Error
    }
    
	// Check for NG tau argument
	if(fTau<=0)
    {
        return -1.0;  // Error
    }

    // Progress initialization

	// This decreases the tic increment for large data sets, making the
	// abort more responsive w/o changing the progress display.
	// A more dynamic progress display would also be better to show
	// program activity for large data sets, for example, showing the
	// current AF (see below)
    nTic=(int)ceil(((n/6)-3)/10000);   // Increment for progress report

	// Progress label
    if(bProgress)
    {
		// Label progress bar
		WriteProgressMessage(0, "Calculating ThoBR Bias", FALSE); 
    }

	// Calculate the bias factor for the Tho1 variance
	// It is the average Avar to Tho1 ratio
	// calculated for i=(int)((n/6)-3) to 0 where n=# phase analysis pts
	// for Avar m=9+3i and Tho1 m=12+4i

	// Intitalize bBias
	fBias=0.0;

	// Initialize count
	j=0;

	// Find average bias factor
	for(i=(int)((n/6)-3); i>=0; i--)
	{
		// Calc bias at AF=12+4*i
		CalcPhaseOverlapSigma(x, &fA, fTau, 9+3*i);
		Theo1(x, &fT, fTau, 12+4*i, &bAbort, FALSE, NULL);
		fBias+=(fA*fA/(fT*fT));

		// Increment calc count
		j++;

		// Display progress
		// Update when count has changed by at least tic amount
		if(((j-nLast_j)>=nTic) && (bProgress))
		{
			_snprintf(szBuffer, sizeof(szBuffer),
				"Calculating ThoBR Bias for Tho1 AF=%d", 12+4*i*nBA);
			WriteProgressMessage((int)(0.5+100.0*j/((n/6)-3)),
				szBuffer, TRUE);
			nLast_j=j;
		}

		// Check for abort
		if(bAbort)
		{
			// Grey all controls 
			EnableWindow(GETHCTL(IDC_RUN_RUN), FALSE);
			EnableWindow(GETHCTL(IDCANCEL), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_PRINT), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_PLOT), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_OPTIONS), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_LINES), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_NOTES), FALSE);
			EnableWindow(GETHCTL(IDHELP), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_TYPE), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_CF), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_REMOVE), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_DECADE), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_OCTAVE), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_ALLTAU), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_COPY), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_1OF2), FALSE);
			EnableWindow(GETHCTL(IDC_RUN_ALPHA), FALSE);

			// Change Resume button back to Calc 
			SetWindowText(GETHCTL(IDC_RUN_RUN), "C&alc");

			// Change Clear button back to Stop 
			SetWindowText(GETHCTL(IDCANCEL), "&Stop");
			fCurrentVal=fBias/j;
			_snprintf(szBuffer, sizeof(szBuffer),
				"ThoBR Bias Calculation Aborted (%d%% Complete)\n"
				"Press OK to continue bias calculation\n"
				"or Cancel to use current value (%f).",
				(int)(0.5+100.0*j/((n/6)-3)), fCurrentVal);
			nCode=MessageBox(hwndMain, szBuffer, "Tho1 Run", MB_OKCANCEL);

			if(nCode==IDOK)
			{
				// Continue with calc
				bAbort=FALSE;
				EnableWindow(GETHCTL(IDCANCEL), TRUE);
			}
			else if(nCode==IDCANCEL)
			{
				// Activate all controls 
				EnableWindow(GETHCTL(IDC_RUN_RUN), TRUE);
				EnableWindow(GETHCTL(IDCANCEL), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_PRINT), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_PLOT), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_OPTIONS), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_LINES), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_NOTES), TRUE);
				EnableWindow(GETHCTL(IDHELP), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_TYPE), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_CF), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_REMOVE), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_DECADE), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_OCTAVE), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_ALLTAU), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_COPY), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_1OF2), TRUE);
				EnableWindow(GETHCTL(IDC_RUN_ALPHA), TRUE);
				
				// Change Calc button back to Resume 
				SetWindowText(GETHCTL(IDC_RUN_RUN), "&Resume");

				// Change Stop button back to Close 
				SetWindowText(GETHCTL(IDCANCEL), "&Close");

				// Quit
				break;
			}
		}
	}

    // Clear progress label
	if(bProgress)
    {
		// Clear progress display
		WriteProgressMessage(0, "", FALSE);
	}

	// Divide average bias factor by # summations 
	fBias/=j;

	// Return Tho1 bias factor
	return (float) fBias;
}

/*****************************************************************************/
/*                                                                           */
/*                          ElimEqualTimetags()                              */
/*                                                                           */
/*      Function to delete phase data points that have equal timetags        */
/*                                                                           */
/*      Parameters:     F_TYPE x[]      = phase array                        */
/*						F_TYPE t[]      = timetag array                      */
/*                                                                           */
/*      Return:         float           = # points removed,                  */
/*                                        or -1 if error                     */
/*                                                                           */
/*      Notes: Entire data file is processed regardless of analysis limits   */
/*			   Analysis limits are reset to full file if points deleted      */
/*			   Function does nothing if these are no duplicate timetags      */
/*                                                                           */
/*      Revision record:                                                     */
/*          07/10/03    Created & debugged                                   */
/*                                                                           */
/* (c) Copyright 2003  Hamilton Technical Services  All Rights Reserved      */
/*                                                                           */
/*****************************************************************************/

int WINAPI ElimEqualTimetags(F_TYPE x[], F_TYPE t[])
{
    // Local variables
	int i;							// Main index
	int j;							// Secondary index
    int nNum;						// # phase data points
	int nCount=0;					// # duplicate points removed
	char szBuffer[BUFFER_SIZE+1];	// Text buffer

	// Start of code
	// Set n to # phase data points
	nNum=(int)x[0];

	// Processing loop
	for(i=ARRAY_OFFSET; i<nNum+ARRAY_OFFSET-1; i++)  
	{
		// Check if two adjacent timetags are equal
		if(t[i+1]==t[i])
		{
			// Remove duplicate phase point and timetag
			for(j=i; j<nNum+ARRAY_OFFSET-1; j++)
			{
				// Move phase data up
				x[j]=x[j+1];

				// Move timetag data up
				t[j]=t[j+1];
			}

			// Increment count
			nCount++;

			// Decrement # data points
			nNum--;
		}
	}

	// Update arrays and flags if points were removed
	if(nCount)
	{
		// Note: Memory reallocated to smaller size by calling function
		// Reset array limits
		x[0]=(F_TYPE)nNum;
		t[0]=(F_TYPE)nNum;
		x[1]=1.0;
		t[1]=1.0;
		x[2]=x[0];
		t[2]=t[0];
		
		// Redisplay phase array limits
		_snprintf(szBuffer, sizeof(szBuffer), "%5.0d", nNum);
		SetWindowText(hwndPhaseNum, szBuffer);
		SetWindowText(hwndPhaseStart, "1");
		SetWindowText(hwndPhaseEnd, szBuffer);

		// Set change flags
		bPhaseDataChanged=TRUE;
		bPhaseDataUnsaved=TRUE;
		bPhaseScaleChanged=TRUE;
		bSynch=FALSE;

		// Force new PSD plot scale
		sPSPlot.y_tic=0;

		// Clear plot lines
		ClearLines();

		// Increment filename
		if(bIncExtension)
		{
			IncExtension(szFile, PHASE_DATA);
			IncExtension(szFileTitle, PHASE_DATA);
			IncExtension(szPhaseFile, PHASE_DATA);
			IncExtension(szPhaseFileTitle, PHASE_DATA);
			SetWindowText(hwndPhaseFilename, szFileTitle);
		}
	}
	
	// Done
	return nCount;
}

/*****************************************************************************/

#ifdef DEMO_VER
/*****************************************************************************/
/*                                                                           */
/*							Encode() and Decode()                            */
/*                                                                           */
/*		Tiny encription algorithm (TEA) - Assumes 32 bit words               */
/*		Ref: http://www.ftp.cl.cam.ac.uk/ftp/papers/djw-rmn/djw-rmn-tea.html */
/*		Credit: D. Wheeler & R. Needham, Cambridge Univ. Computer Lab        */
/*                                                                           */
/*      Parameters:                                                          */
/*      	long *v		Data in v[0] and v[1]   (64 bits)                    */
/*			long *k		Key  in k[0] thru k[3]  (128 bits)                   */
/*                                                                           */
/*      Return:                                                              */
/*			None (void)                                                      */
/*                                                                           */
/*		Revision record:                                                     */
/*			07/25/03	Created, modified slightly for our purposes          */
/*                                                                           */
/* (c) Copyright 2003 Hamilton Technical Services  All Rights Reserved       */
/*                                                                           */
/*****************************************************************************/

void WINAPI Encode(unsigned int *v, unsigned int *k)
{              
	unsigned int y=v[0], z=v[1], sum=0,			  /* set up */
		delta=0x9e3779b9, n=32;				      /* a key schedule constant */

	while (n-->0)
	{											        /* basic cycle start */
		sum += delta;
		y += (z<<4)+k[0] ^ z+sum ^ (z>>5)+k[1];
		z += (y<<4)+k[2] ^ y+sum ^ (y>>5)+k[3];                 /* end cycle */
    }
	
	v[0]=y;
	v[1]=z;
}

void WINAPI Decode(unsigned int *v, unsigned int *k)
{
	unsigned int n=32, sum, y=v[0], z=v[1],
		delta=0x9e3779b9;
	
	sum=delta<<5;
												              /* start cycle */
	while(n-->0)
	{
		z-= (y<<4)+k[2] ^ y+sum ^ (y>>5)+k[3]; 
		y-= (z<<4)+k[0] ^ z+sum ^ (z>>5)+k[1];
		sum-=delta;
	}
												                /* end cycle */
	v[0]=y;
	v[1]=z;
}

/*****************************************************************************/
#endif

/*****************************************************************************/
/*                                                                           */
/*                          AutoSpectrumCalc()                               */
/*                                                                           */
/*      Function to calculate & plot power spectrum                          */
/*      Uses FFT functions from Science & Engineering Tools                  */
/*      # data points must be a power of 2                                   */
/*      Data must not have any gaps                                          */
/*                                                                           */
/*      Function calls from Quinn-Curtis S&E Library:                        */
/*          WindowFFTData()                                                  */
/*          PowerSpectrumCalc()                                              */
/*                                                                           */
/*      Parameters:                                                          */
/*          y[]         = time-domain data; y[0] = *y = # data points        */
/*          xdata[]     = real data points -> PSD results                    */
/*          ydata[]     = imaginary data points (0) -> Fourier freq results  */
/*          adata[]     = averaging factor of PSD & Fourier freq results     */
/*          tau         = time interval of data samples                      */
/*          n           = # analysis data points                             */
/*          win_num     = # windowings                                       */
/*        2*win_type    = windowing method code:                             */
/*                  0   = Rectangular             win_type = 0               */
/*                  1   = Parzen (not used)                                  */
/*                  2   = Hanning                            1               */
/*                  3   = Welch (not used)                                   */
/*                  4   = Hamming                            2               */
/*                  5   = Blackman (not used)                                */
/*          phase_noise_type:  0=Sx(f), 1=So(f)    , 2=L(f)                  */
/*          correction_factor: 0=1    , 1=(2**v) , 2=(*v) & x10          */
/*          af          = averaging factor (int power of 2)                  */
/*			data_type   = time-domain data type: 0=phase, 1=freq             */
/*      Return          = # FFT frequencies                                  */
/*                                                                           */
/*      Revision record:                                                     */
/*          12/26/96    Adapted from spectrum_calc() of Stable/DOS           */
/*          04/12/97    Added code to preserve original data                 */
/*          04/01/02    Added af parameter & trial code for averaging        */
/*          07/11/02    Added PSD data saving to disk                        */
/*          07/27/02    Added zero padding                                   */
/*          07/30/02    Revised to handle analysis limits                    */
/*			03/20/03	Adapted to FrequenC DLL                              */
/*						Added data_type argument and return                  */
/*			01/25/07	Added trial code for automatic PSD averaging         */
/*						This function will become specfically for that       */
/*						The original general case in in FrequenC             */
/*						This function called AutoSpectrumCalc()              */
/*			01/26/07	Arg int af changed to int *maxaf to return max af    */
/*						Arg int n changed to int *nfft to return nn          */
/*			08/18/07	Changed zero padding correction factor               */
/*			08/19/07	Moved windowing to before zero padding               */
/*						Fixed error in applying pad factor                   */
/*                      Became uncomfortable with way auto spectrum calc     */
/*                      worked with zero padding.  Added AUTONOPAD macro.    */
/*                      Changing absolute max AF frrom 256 to 128 seems      */
/*                      better if AUTONOPAD applies                          */
/*          08/27/07	Eliminated LF point from PSD results                 */
/*                      Added bZeroPad usage                                 */
/*                                                                           */
/*****************************************************************************/

// Local function prototypes - not exported
double RemoveMean(realtype *x, int lx);
void WindowData(realtype *x,int numdat,int window);
void WindowFFTData(realtype *xreal,realtype *yimag, int numdat,int window);
void fft(realtype *xreal, realtype *yimag, int numdat, int flag);
void PowerSpectrumCalc(realtype *xreal, realtype *yimag,int numdat,
					   realtype delta);
void fft2 (realtype *aa, realtype *bb, int n, int m, int ks);
void reorder (realtype *aa, realtype *bb, int n, int m, int ks, int reel);

// AutoSpectrumCalc() top-level function
int WINAPI AutoSpectrumCalc(F_TYPE y[], realtype xdata[], realtype ydata[],
	float adata[], float tau, int *nfft, int win_num, int win_type,
	int phase_noise_type, float correction_factor, int *maxaf, int data_type)
{
	// Local variables
	// Chars
	#if(0) // For testing
	char szBuffer[BIG_BUFFER_SIZE+1];       // Text buffer
	#endif
	// Ints
    int i;                          // General index
    int j;                          // Index for # windowings
    int k;                          // Index for averaging 
	static int af=1;				// Local avg factor
    static int offset;              // Index of first analysis data point
	static int n;					// Original data array size
    static int nn;                  // Padded data array size
    static int nNum;                // # data points in input array
    static int nFFT;                // # data points in one FFT section
	static int nArray=0;			// Index into PSD and Fourier freq array
	// Floats
    static float pad_factor;        // Correction factor for zero padding
    static float correction[3][4] =
    {
         { (float)0.00, (float)0.000, (float)0.000, (float)0.000 },
            // Rectangular
         { (float)0.00, (float)0.426, (float)0.563, (float)0.647 },
            // Hanning
         { (float)0.00, (float)0.401, (float)0.542, (float)0.627 }
            // Hamming
    };
    // These are log power amplitude corrections factors for wideband noise
    // 1st index is win_type; 2nd index is win_num
	static float bw_correction;
	static float log_mult;
	static F_TYPE avg;
	// PSD, Fourier freq, and af arrays
	static float *psd;			// Pointer to psd results array
	static float *freq;			// Pointer to Fourier freq results array
	static float *avgfactor;	// Pointer to averaging factor results array
	// Other variables
	#if(0) // For testing
	FILE *fOut;					// File pointer
	#endif

    // The xdata array gets loaded with the time domain data.
    // This array is allocated with space for the # points & analysis limits.
    // These are put into the xdata array initially to allow it to use the
    // FillFloatGaps() function.
    // Then the header info is removed from the xdata array for the FFT calcs.

	// Set local original data array size variable n from nfft arg
	n=*nfft;

    // Input parameter n the # of analysis points
	// Not necessarily a power-of-2
    // Find size of next larger power-of-two = allocated size
	nn=(int)pow(2.0, (double)(ceil(log(n)/log(2))));

	// Use smaller power-of-two if no zero padding
	if(!bZeroPad)
	{
		// Find size of next smaller power-of-two = allocated size
		nn=(int)pow(2.0, (double)(floor(log(n)/log(2))));
	}

	// Allocate memory for working PSD and Fourier freq arrays
	// These are the arrays into which the FFT results
	// will be temporarily saved af section by af section
	// Their size is nn, and their index is nArray

	// Allocate memory for FFT array
	if((freq=(float*)malloc(nn*sizeof(float)))==NULL)
	{
		// Nothing useful can be done, so announce error
		// and return 0 points
		AllocErrorMessage();
		return 0;
	}

	// Allocate memory for PSD array 
	if((psd=(float*)malloc(nn*sizeof(float)))==NULL)
	{
		// Nothing useful can be done, so announce error, clean up
		// and return 0 points
		AllocErrorMessage();
		free(freq);
		return 0;
	}
	
	// Allocate memory for AF array 
	if((avgfactor=(float*)malloc(nn*sizeof(float)))==NULL)
	{
		// Nothing useful can be done, so announce error, clean up
		// and return 0 points
		AllocErrorMessage();
		free(freq);
		free(psd);
		return 0;
	}
	
    // Automatic PSD averaging method
	// Applies only to traditional periodogram, not multi-taper analysis
	// Called by setting nAvg=0 as flag in calling function
	// Increment af from 1 to # FFT data points/64 in octave
	// (power-of-2 increments
	// Calc PSD for each af from 1 to maxaf
	// Typically gives 64 points in each PSD octave section
	// But that number is determined by the PSD_AF_SIZE macro
	// PSD plot will thereby be divided into log2(maxaf)+1 sections
	// where maxaf = (nn/PSD_AF_SIZE)-1
	// Outer loop through octave af sequence: try  af=1 to af<nn/64
	// Use of zero padding with this algorithm is questionable

	// Initialize af=1
	af=1;

	// Initialize nArray=0
	nArray=0;

	// Outer loop through afs
	// Max af is bounded by min of nn/nPSDAvgSize or nPSDAvgMax
	// where nn is # data points rounded up to next power-of-2
	// do loop used to assure at least 1 loop execution
	do
	{
		// Find data offset
		offset=(int)y[1]+2; // Index of first data point to be analyzed

		// Copy analysis limits info into xdata[]
		xdata[0]=(float)n;
		xdata[1]=(float)1;
		xdata[2]=(float)n;

		// Load analysis data into the xdata array with header info
		for(i=0; i<n; i++)
		{
			xdata[i+ARRAY_OFFSET]=(float)y[i+offset];
		}

		// Make sure no there are gaps in the analysis data
		#ifdef REALTYPEISFLOAT
		FillFloatGaps(xdata, data_type);
		#else // realtype is double
		FillGaps(xdata, data_type);
		#endif

		// Eliminate header from the analysis data
		for(i=0; i<n; i++)
		{
			xdata[i]=xdata[ARRAY_OFFSET+i];              /* real data points */
			ydata[i]=0.0;                           /* imaginary data points */
		}

		// Remove DC component
		RemoveMean(xdata, n);

		// The original FFT code just analyzes the entire data set as one block
		// w/o averaging.  Thus a longer record at the same tau increases the
		// frequency resolution but does not reduce the variance of the FFT
		// results.  To do that, one must break the data into sections, analyze
		// each section separately, and then average them to produce better FFT
		// values.  Doing so obviously shortens each individual data record, so
		// the FFT results won't extend to as low a Fourier frequency.  The
		// variance of the FFT values is thereby reduced from 100% to 100%
		// divided by the sqrt of the # averages, which should be an integer
		// power of 2.  The averaged FFT can be done in the same pair of xdata
		// and ydata arrays.  The xdata array starts with the real data points,
		// and is filled with the PSD results.  The ydata array starts with 0's
		// and gets the Fourier freqs.  For averaging, just FFT each section
		// separately in-place.  Then sum the PSDs and Fourier freqs in the 1st
		// section, and divide them by # averages.  Then continue to apply BW
		// correction and log mult to 1st section.  Both nNum and nAF are
		// integer powers of 2, so k is also e.g. if n is 512 and nAF is 8 then
		// k goes from 0 to 7 and each section of FFT has nFFT=64 points.

		// Calc the # of averaged FFT points
		nFFT=nn/af;

		// Apply the desired windowing function to each section
		// Analysis data is reloaded for each AF of do loop
		// so must reapply windowing to it
		// Must do windowing before zero padding
		// All zero padding is at end in last "half" of data
		// So, if original # points is near even power-of-two
		// Nearly half of zero padded data is zeros
		// So nearly half of these k's are processing nothing but zeros
		// if zero padding is done
		// Nevertheless, it seems to work, and so does the pad_factor
		for(k=0; k<af; k++)
		{
			j=win_num;
			while(j--)
			{
				// Window data win_num times
				WindowFFTData(&xdata[k*nFFT], &ydata[k*nFFT], nFFT, win_type);
			}
		}

		#if(0) // For testing
		// Write xdata[] array to file so it can be examined
		if(bTest && af==2)
		{
			// Open file
			fOut=fopen("FFT.dat", "w");

			for(i=0; i<nn; i++)
			{
				// Compose line
				_snprintf(szBuffer, sizeof(szBuffer), "%e\n",
					xdata[i]);

				// Write line to file
				fputs(szBuffer, fOut);
			}

			// Close file
			fclose(fOut);
		}
		#endif

		// Zero the padded portion of the data
		// Does nothing if no zero padding
		for(i=n; i<nn; i++)
		{
			xdata[i]=0.0;                                /* real data points */
			ydata[i]=0.0;                           /* imaginary data points */
		}

		// Zero padding correction factor
		// Simulations, tests & literature confirm that
		// zero padding correction factor is needed equal to
		// ratio of total to actual (non-zero) FFT points
		pad_factor=(float)(nn)/(float)(n);

		// Unity correction factor if no zero padding
		if(!bZeroPad)
		{
			pad_factor=1.0;
		}

		// # time domain points = nFFT
		// # PSD points = nFFT/2
		// PSD freq spacing (bin size) = 1/(nFFT*tau)
		// Max PSD Fourier freq = 1/(2*tau)
		// # PSD plot decades = ceil[log10(Max PSD Fourier freq)] -
		// floor[log10(bin size)]
		// = ceil[log10(1/(2*tau))] - floor[log10(1/(nFFT*tau))]

		// Perform FFT on each section
		for(k=0; k<af; k++)
		{
			// Calculate the power spectrum using S&E function
			PowerSpectrumCalc(&xdata[k*nFFT], &ydata[k*nFFT], nFFT, tau);
		}

		// Sum the results into the 1st section
		// Note that summation starts a k=1 (not k=0)
		// Don't add 1st section to itself
		for(k=1; k<af; k++)
		{
			for(i=0; i<nFFT; i++)
			{
				xdata[i]+=xdata[k*nFFT+i];
				ydata[i]+=ydata[k*nFFT+i];
			}
		}
    
		// Find the average values in 1st section
		for(i=0; i<nFFT; i++)
		{
			xdata[i]/=af;
			ydata[i]/=af;
		}

		// Calc bandwidth correction
		bw_correction=(float)log10(ydata[1]);

		// Set log multiplier factor
		if(phase_noise_type==2)                                      /* L(f) */
		{
			log_mult=10;
		}
		else                                                /* Sx(f) & So(f) */
		{
			log_mult=1;
		}

		// We need to fill different parts of the PSD and Fourier freq arrays
		// psd[] and freq[] for different af sections of the PSD plot
		// The size of each PSD af section is PSD_AF_SIZE (typically 64)
		// The results of the af=1 PSD calc goes into the first PSD_AF_SIZE
		// bins.  The results of the af=2 PSD calc goes into the next
		// PSD_AF_SIZE bins and so on until the last afmax section where af =
		// (nn/PSD_AF_SIZE)-1 where those results are the last ones stored in
		// the arrays (whatever their size)
		// The static integer variable nArray is the index into the PSD
		// and Fourier freq arrays (initialized to 0)
		
		#if(0) // For testing
		if(bTest)
		{
			_snprintf(szBuffer, sizeof(szBuffer),
				"n = %d\n"
				"nn = %d\n"
				"af = %d\n"
				"nFFT = %d\n"
				"log_mult = %f\n"
				"pad_factor = %f\n"
				"correction_factor = %e\n"
				"bw_correction = %f\n"
				"correction[win_type/2][win_num] = %f",
				n, nn, af, nFFT, (double)log_mult, (double)pad_factor,
				(double)correction_factor, (double)bw_correction,
				(double)correction[win_type/2][win_num]);
			MessageBox(hwndMain, szBuffer, "AutoSpectrumCalc", MB_OKCANCEL);
		}
		#endif
    
		// Drop dc term from PSD and convert spectral data to log form
		// Note that xdata is PSD & ydata is Fourier freq
		for(i=0; i<(nFFT/2)-1; i++)	// i is index into FFT results
		{
			// Save freq value
			freq[nArray+i]=ydata[i+1];           /* Fourier frequency values */
			if(xdata[i+1]>0)
			{
				// Save psd value
				psd[nArray+i]=
					(float)(log_mult*(log10(xdata[i+1]*correction_factor*pad_factor)
					- bw_correction + correction[win_type/2][win_num]));
							/* power spectrum values plus correction factors */
			}
			else
			{
				// Error in power spectrum calc
				break;
			}
			// Save af value
			avgfactor[nArray+i]=(float)af;
		}

		#if(0) // Trial code 08/27/07 - Seems to work AOK - Plot looks better
		// Note: This duplicates the LF Points To Skip configuration setting
		// so there's no need for it
		// Eliminate LF point by duplicating 2nd point
		// That way the # points doesn't change
		freq[nArray]=freq[nArray+1];
		psd[nArray]=psd[nArray+1];
		#endif

		// Increment nArray for next af section
		nArray++;

		// Increment af to next power-of-2
		af*=2;

	} while(af<=min(nn/nPSDAvgSize, nPSDAvgMax)); // End of do loop

	// Adjust nArray & af to final sizes used
	nArray--;
	af/=2;
	
	// Save shifted composite PSD data back into xdata and ydata arrays
	// Skip low freq points - # skipped = nPSDLFSkip (default=1)
	for(i=0; i<nArray+(nFFT/2)-1-nPSDLFSkip; i++)
	{
		xdata[i]=psd[i+nPSDLFSkip];
		ydata[i]=freq[i+nPSDLFSkip];
		adata[i]=avgfactor[i+nPSDLFSkip];
	}
	
	// Return max af and # FFT points
	*maxaf=af;
	*nfft=nn;

	// Return equivalent # FFT data points
	// Normal periodogram calc return is nFFT
	// the # time series data points used to calc PSD
	// Auto af periodogram has (nArray-nPSDLFSkip) additional LF points
	// That # is doubled to be equivalent to nFFT
	return nFFT+2*(nArray-nPSDLFSkip);
}

#if(1) // New version 06/23/08
/*****************************************************************************/
/*                                                                           */
/*      Quinn-Curtis Science & Engineering and Graphic Tools Library         */
/*                                                                           */
/*                               FFT Functions                               */
/*                                                                           */
/*      IPC-MC-006 Rev 9.00 Date: 6/10/94 File: FFT.C (Excerpt)              */
/*                                                                           */
/*      Functions:                                                           */
/*      Parzen()    Hanning()       Hamming()         ExactBlackman()        */
/*      Welch()     WindowData()    WindowFFTData()   fft()                  */
/*      fft2()      reorder()       SumAndSquare()    PowerSpectrumCalc()    */
/*                                                                           */
/*      Note: The Stable32 usage of these functions is with realtype         */
/*      defined as a float.                                                  */
/*                                                                           */
/*      Revision record:                                                     */
/*          07/08/08    Pasted in from A7PSD DLL code with these changes:    */
/*						Memory error function removed                        */
/*                      Casts rearranged and added to avoid warnings         */
/*                      Minor comment editing                                */
/*                                                                           */
/*      Copyright (c) Quinn-Curtis 1994                                      */
/*                                                                           */
/*****************************************************************************/

// Local macro
#define M_PI        3.14159265358979323846

// Apply a Parzen window
realtype Parzen (realtype n, realtype j)
{
	realtype fret;

	fret = (realtype) (1.0 - fabs((j - 0.5 * (n - 1.0)) / (0.5 * (n - 1.0))));
	return(fret);
}

// Apply a Hanning window
realtype Hanning (realtype n, realtype j)
{
	realtype fret;

	fret =  (realtype) (0.5 * (1.0 - cos(2.0 * M_PI * j / (n-1.0))));
	return(fret);
}

// Apply a Hamming window
realtype Hamming (realtype n, realtype j)
{
	realtype fret;

	fret =  (realtype) (0.54 - 0.46 * cos(2.0 * M_PI * j / (n-1.0)));
	return(fret);
}

// Apply a Blackman window
realtype ExactBlackman (realtype n, realtype j)
{
	realtype fret;

	fret =  (realtype) (0.42 - 0.50 * cos(2.0 * M_PI * j /(n-1.0)) +
		0.08 * cos(4.0 * M_PI * j / (n-1.0)));
	return(fret);
}

// Apply a Welch window
realtype Welch (realtype n, realtype j)
{
	realtype fret;
	fret =  (realtype) ((j - 0.5 * (n - 1.0)) / (0.5 * (n + 1.0)));
	fret = (realtype) 1.0 - fret*fret;
	return(fret);
}

// Apply a window to an array
void WindowData (realtype *x, int numdat, int window)
{
   int i;
   realtype multiplier;

   for ( i = 0; i < numdat; i++ )
   {
	  switch ( window )
	  {
		 case RECTANG:
			multiplier = (realtype) 1.0;
			break;
		 case PARZEN:
			multiplier = (Parzen ((realtype) numdat, (realtype) i));
			break;
		 case HANNING:
			multiplier = Hanning ((realtype) numdat, (realtype) i);
			break;
		 case WELCH:
			multiplier = Welch ((realtype) numdat, (realtype) i);
			break;
		 case HAMMING:
			multiplier = Hamming ((realtype) numdat, (realtype) i);
			break;
		 case EXACTB:
			multiplier = ExactBlackman ((realtype) numdat, (realtype) i);
			break;
		 default:
			multiplier =  (realtype) 1.0;
			break;
	  }
	  x[i] = multiplier * x[i];
   }
}

// Apply a window to both x and y data sets
void WindowFFTData (realtype *xdata, realtype *ydata, int numdat, int window)
{
	WindowData (xdata, numdat, window);
	WindowData (ydata, numdat, window );
}

// Complex Fourier Transform - number of points n must be a power of 2
void fft (realtype *xr, realtype *yi, int n, int inverse)
{
	int nn, j;
	int		 m;
	realtype pp, qq;

	m = -1;
	nn = n;

	/* determine power of 2 */
	while (nn > 0)
	{
		nn = nn >> 1;
		m++;
	}

	if (inverse)
	{
		pp = (realtype) 1.0 / n;
		qq = -pp;
		for (j = 0; j < n; j++)
		{
			xr [j] *= pp;
			yi [j] *= qq;
		}
	}
	fft2 (xr, yi, n, m, n);
	reorder (xr, yi, n, m, n, 0);
	if (inverse)
	{
		for (j = 0; j < n; j++)
			yi[j] = -yi[j];
	}
}

// FFT for one variable of dimension n = 2^m
void fft2 (realtype *x, realtype *y, int n, int m, int ks)
{
	int  	   indx, k0, k1, k2, k3, span, j, k, kb, kn, mm, mk;
	realtype	rad, c1, c2, c3, s1, s2, s3, ck, sk, sq;
	realtype	x0, x1, x2, x3, y0, y1, y2, y3;
	int	*cc;

	cc = (int *) calloc (m + 1, sizeof (int));
	if (cc == NULL)
	{
	   // memerrfunction(311); // Removed WJR 06/23/08
	   return;
	}

	sq = (realtype) 0.707106781187;
	sk = (realtype) 0.382683432366;
	ck = (realtype) 0.92387953251;

	cc[m] = ks;
	mm = (m / 2) * 2;
	kn = 0;
	for (k = m - 1; k >= 0; k--)
		cc[k] = cc[k+1] / 2;
	rad = (realtype) 6.28318530718 / (cc[0] * ks);
	mk = m - 5;

	do
	{
		kb = kn;
		kn = kn + ks;

		if (mm != m)
		{
			k2 = kn;
			k0 = cc[mm] + kb;
			do
			{
				k2--;
				k0--;
				x0 = x [k2];
				y0 = y [k2];
				x[k2] = x[k0] - x0;
				x[k0] = x[k0] + x0;
				y[k2] = y[k0] - y0;
				y[k0] = y[k0] + y0;
			}  while (k0 > kb);
		}

		c1 = (realtype) 1.0, s1 = (realtype) 0.0;
		indx = 0;
		k = mm - 2;
		j = 3;

		if (k >= 0)
			goto l2;
		else
			if (kn < n)
				continue;
			else
				break;

l1:	   	while (1)
		{
			if (cc[j] <= indx)
			{
				indx = indx - cc[j];
				j--;
				if (cc[j] <= indx)
				{
					indx = indx - cc[j];
					j--;
					k += 2;
				}
			}
			else
				break;
		}

		indx = cc[j] + indx;
		j = 3;

l2:		span = cc[k];
		if (indx != 0)
		{
			c2 = indx * span * rad;
			c1 = (realtype) cos (c2);
			s1 = (realtype) sin (c2);
l5:
			c2 = c1 * c1 - s1 * s1;
			s2 = (realtype) 2.0 * s1 * c1;
			c3 = c2 * c1 - s2 * s1;
			s3 = c2 * s1 + s2* c1;
		}
		for (k0 = kb + span - 1; k0 >= kb; k0--)
		{
			k1 = k0 + span;
			k2 = k1 + span;
			k3 = k2 + span;
			x0 = x[k0];
			y0 = y [k0];
			if (s1 == 0)
			{
				x1 = x[k1]; y1 = y [k1];
				x2 = x[k2]; y2 = y [k2];
				x3 = x[k3]; y3 = y [k3];
			}
			else
			{
				x1 = x[k1] * c1 - y [k1] * s1;
				y1 = x[k1] * s1 + y [k1] * c1;
				x2 = x[k2] * c2 - y [k2] * s2;
				y2 = x[k2] * s2 + y [k2] * c2;
				x3 = x[k3] * c3 - y [k3] * s3;
				y3 = x[k3] * s3 + y [k3] * c3;
			}
			x [k0] = x0 + x2 + x1 + x3; y[k0] = y0 + y2 + y1 + y3;
			x [k1] = x0 + x2 - x1 - x3; y[k1] = y0 + y2 - y1 - y3;
			x [k2] = x0 - x2 - y1 + y3; y[k2] = y0 - y2 + x1 - x3;
			x [k3] = x0 - x2 + y1 - y3; y[k3] = y0 - y2 - x1 + x3;
		}
		if (k > 0)
		{
			k = k - 2;
			goto l2;
		}
		kb = k3 + span;
		if (kb < kn)
		{
			if (j == 0)
			{
				k = 2;
				j = mk;
				goto l1;
			}
			j--;
			c2 = c1;
			if (j == 1)
			{
				c1 = c1 * ck + s1 * sk;
				s1 = s1 * ck - c2 * sk;
			}
			else
			{
				c1 = (c1 - s1) * sq;
				s1 = (s1 + c2) * sq;
			}
			goto	l5;
		}
	}
	while (kn < n);

	free (cc);
}

void reorder ( realtype *x, realtype *y, int n, int m, int ks, int reel)
{
	int	i, j, indx, k, kk, kb, k2, ku, lim, p;
	realtype  temp;

	int	*cc, *lst;

	cc = (int *) calloc (m + 1, sizeof (int));
	if (cc == NULL)
	{
	   // memerrfunction(312); // Removed WJR 06/23/08
	   return;
	}
	lst = (int *) calloc (m + 1, sizeof (int));
	if (lst == NULL)
	{  free(cc);
	   // memerrfunction(312); // Removed WJR 06/23/08
	   return;
	}

	cc [m] = ks;
	for (k = m; k > 0; k--)
		cc [k-1] = cc [k] / 2;
	p = j = m - 1;
	i = kb = 0;
	if (reel)
	{
		ku = n - 2;
		for (k = 0; k <= ku; k += 2)
		{
			temp = x [k + 1];
			x [k + 1] = y [k];
			y [k] = temp;
		}
	}
	else
		m--;
	lim = (m + 2) / 2;
	if (p > 0)
	do
	{
		ku = k2 = cc [j] + kb;
		indx = cc [m - j];
		kk = kb + indx;

		do
		{
			 k = kk + indx;
   	   		 do
			 {
		         temp = x [kk];
			 	  x [kk] = x [k2];
				  x [k2] = temp;
				  temp = y [kk];
				  y [kk] = y [k2];
				  y [k2] = temp;
				  kk++;
				  k2++;
			 }
			 while (kk < k);

			 kk = kk + indx;
			 k2 = k2 + indx;
		}
		while (kk < ku);

		if (j > lim)
		{
			j--, i++;
			lst [i] = j;
			continue;
		}
		kb = k2;
		if (i > 0)
		{
			j = lst [i];
			i--;
			continue;
		}
		if (kb < n)
			j = p;
		else
			break;
    }
	while (1);

	free (cc);
	free (lst);
}

realtype SquareAndSum (realtype a, realtype b)
{
   realtype fret;

   fret = a * a + b * b;
   return(fret);
}

// Calculate the power spectrum periodogram of a sampled dataset
void PowerSpectrumCalc(realtype *xreal, realtype *yimag,
	int numdat, realtype delta)
{
	realtype timespan, normal, n;
	int i;

	n = (realtype) numdat;
	normal =  (realtype) 1.0 / (n * n);
	fft (xreal, yimag, numdat, 0);
	xreal[0] = SquareAndSum (xreal[0], yimag[0]) * normal;

	for (i = 1; i <= (numdat / 2) - 1; i++)
	{
		xreal[i] = normal * (SquareAndSum(xreal[i], yimag[i]) +
		SquareAndSum (xreal[numdat - i], yimag[numdat - i]));
	}
	i = numdat / 2;
	xreal[i] = SquareAndSum(xreal[i], yimag[i]) * normal;
	timespan = (realtype) ((1.0*numdat) * delta);
	for (i = 0; i <= (numdat/2); i++)
	{
		yimag[i] = (realtype) (1.0*i) / timespan;
	}
}

/**************************************************************************
  Functions for FFT and Inverse FFT of real data added 07/16/08

  Real array is passed in x, cos and sin coefficients are returned in
  x and sinc
**************************************************************************/

void RealFFT2 ( realtype *x, realtype *sinc, int n, int inverse)
{
	int 	 nn, j;
	int		 m;
	realtype pp;

	m = -1;
	nn = n / 2;

	/* determine power of 2 */
	while (nn > 0)
	{
		nn = nn >> 1;
		m++;
	}
	nn = n / 2;

	if (inverse)
	{
		pp = (realtype) 0.5 / nn;
		trans (x, sinc, nn, 1);
		fft2 (x, sinc, nn, m, nn);
		for (j = 0; j < nn; j++)
		{
			x [j] *= pp;
			sinc [j] *= -pp;
		}
		reorder (x, sinc, nn, m, nn, 1);
		for (j = 0; j < nn; j++)		/* combine */
			x [j + nn] = sinc [j];
	}
	else
	{
		for (j = 0; j < nn; j++)		/* split array in 2 */
			sinc [j] = x [j + nn];

		reorder (x, sinc, nn, m, nn, 1);
		rfft2 (x, sinc, nn, m, 1);
		for (j = 0; j < nn; j++)
		{
			x [j] *= 0.5;
			sinc [j] *= 0.5;
		}
		trans (x, sinc, nn, 0);
		for (j = 0; j < nn; j++)
			sinc [j] = -sinc[j];

		for (j = 1; j < nn; j++)
		{
			x [j + nn] = x [nn - j];
			sinc [j + nn] = -sinc [nn - j];
		}
	}
}

/**************************************************************************/

void rfft2 ( realtype *x, realtype *y, int n, int m, int ks)
{
	int  		k0, k1, k2, k3, k4, span, j, indx, k, kb, nt, kn, mk;
	realtype	rad, c1, c2, c3, s1, s2, s3, ck, sk, sq;
	realtype	x0, x1, x2, x3, y0, y1, y2, y3, re, im;
	int	*cc;

	cc = (int *) calloc (m + 1, sizeof (int));
	if (cc == NULL)
	{  // memerrfunction(311); // Removed WJR 07/16/08
	   return;
	}

	sq = (realtype) 0.707106781187;
	sk = (realtype) 0.382683432366;
	ck = (realtype) 0.92387953251;

	cc[0] = ks;
	kn = 0;
	k4 = 4 * ks;
	mk = m - 4;

	for (k = 1; k <= m; k++)
	{
		ks = ks + ks;
		cc[k] = ks;
	}
	rad = (realtype) 3.14159265359 / (cc[0] * ks);

	do
	{
		kb = kn + 4;
		kn = kn + ks;
		if (m != 1)
		{
			k = indx = 0;
			j = mk;
			nt = 3;
			c1 = (realtype) 1.0, s1 = (realtype) 0.0;

			do
			{
			   span = cc[k];
				if (indx != 0)
				{
					c2 = indx * span * rad;
					c1 = (realtype) cos (c2);
					s1 = (realtype) sin (c2);
l1:
					c2 = c1 * c1 - s1 * s1;
					s2 = (realtype) 2.0 * s1 * c1;
					c3 = c2 * c1 - s2 * s1;
					s3 = c2 * s1 + s2 * c1;
				}
				else
					s1 = 0;
				k3 = kb - span;
				do
				{
				   k2 = k3 - span;
					k1 = k2 - span;
					k0 = k1 - span;
		
					x0 = x[k0]; y0 = y [k0];
					x1 = x[k1]; y1 = y [k1];
					x2 = x[k2]; y2 = y [k2];
					x3 = x[k3]; y3 = y [k3];

					x [k0] = x0 + x2 + x1 + x3; y[k0] = y0 + y2 + y1 + y3;
					if (s1 == 0)
					{
						x [k1] = x0 - x1 - y2 + y3;
						y[k1] = y0 - y1 + x2 - x3;
						x [k2] = x0 + x1 - x2 - x3;
                        y[k2] = y0 + y1 - y2 - y3;
						x [k3] = x0 - x1 + y2 - y3;
                        y[k3] = y0 - y1 - x2 + x3;
					}
					else
					{
						re = x0 - x1 - y2 + y3;
						im = y0 - y1 + x2 - x3;
						x [k1] = re * c1 - im * s1;
                        y[k1] = re * s1 + im * c1;
						re = x0 + x1 - x2 - x3;
						im = y0 + y1 - y2 - y3;
						x [k2] = re * c2 - im * s2;
						y[k2] = re * s2 + im * c2;
						re = x0 - x1 + y2 - y3;
						im = y0 - y1 - x2 + x3;
						x [k3] = re * c3 - im * s3;
                        y[k3] = re * s3 + im * c3;
					}
					k3++;
		      		}
				while (k3 < kb);

				nt--;
				if (nt >= 0)
				{
					c2 = c1;
					if (nt == 1)
					{
						c1 = c1 * ck + s1 * sk;
						s1 = s1 * ck - c2 * sk;
					}
					else
					{
						c1 = (c1 - s1) * sq;
						s1 = (s1 + c2) * sq;
					}
					kb = kb + k4;
					if (kb <= kn)
						goto l1;
					else
						break;
				}
				if (nt == -1)
				{
					k = 2;
					continue;
				}
				if (cc[j] <= indx)
				{
					indx = indx - cc[j];
					j--;
					if (cc[j] <= indx)
					{
						indx = indx - cc[j];
						j--;
						k = k + 2;
					}
					else
					{
						indx = cc[j] + indx;
						j = mk;
					}
				}
				else
				{
					indx = cc[j] + indx;
					j = mk;
				}
				if (j < mk)
					continue;
				k = 0;
				nt = 3;
				kb = kb + k4;
				if (kb > kn)
					break;
			}
			while (1);
		}
		k = (m / 2) * 2;
		if (k != m)
		{
			k2 = kn;
			k0 = j = kn - cc[k];

			do
			{
				k2--, k0--;
				x0 = x[k2];  y0 = y[k2];
				x[k2] = x[k0] - x0;
				x[k0] = x[k0] + x0;
				y[k2] = y[k0] - y0;
				y[k0] = y[k0] + y0;
			}
			while (k2 > j);
		}
	}
	while (kn < n);
	free (cc);
}

void trans (realtype *x, realtype *y, int n, int eval)
{
	int		  k, nk, nn;
	realtype  x1, ab, ba, y1, re, im, ck, sk, dc, ds, r;

	nn = n / 2;
	r = (realtype) 3.14159265359 / n;
	ds = (realtype) sin (r);
	r = (realtype) (2.0 * sin (0.5 * r));
	r = - r * r;
	dc = (realtype) -0.5 * r;
	ck = (realtype) 1.0;
	sk = (realtype) 0.0;

	if (!eval)
	{
		x[n] = x[0]; y [n] = y [0];
	}
	for (k = 0; k <= nn; k++)
	{
		nk = n - k;
		x1 = x[k] + x[nk];
		ab = x[k] - x[nk];
		ba = y[k] + y[nk];
		y1 = y[k] - y[nk];

		re = ck * ba + sk * ab;
		im = sk * ba - ck * ab;
		y [nk] = im - y1;
		y [k] = im + y1;
		x [nk] = x1 - re;
		x [k] = x1 + re;
		dc = r * ck + dc;
		ck = ck + dc;
		ds = r * sk + ds;
		sk = sk + ds;
	}
}

/* Calculates the FFT magnitude associated with a given harmonic index. */
realtype FFTMagnitude(realtype *xr, realtype *yi, int n, int i)
{
	realtype result, nr, rr, ii;

	nr = (realtype) n;
	if (i > n/2)
		result = 0;
	else
	if (i == 0)
		result = (realtype) sqrt(xr[0] * xr[0] + yi[0] * yi[0]) / nr;
	else
	{
		rr = (realtype) (fabs(xr[i]) + fabs(xr[n-i]));
		ii = (realtype) (fabs(yi[i]) + fabs(yi[n-i]));
		result =  (realtype) sqrt(rr * rr + ii * ii) / nr;
	}
	return( result);
}

/*****************************************************************************/
#endif

#if(0) // Original version
/*****************************************************************************/
/*                                                                           */
/*      Quinn-Curtis Science & Engineering Library FFT Functions             */
/*                                                                           */
/*      TC-006 S/N 18146 Rev 8.01 Date: 6/1/92 File: FFT.C (Excerpt)         */
/*                                                                           */
/*      Functions:                                                           */
/*      Parzen()    Hanning()       Hamming()         ExactBlackman()        */
/*      Welch()     WindowData()    WindowFFTData()   fft()                  */
/*      fft2()      reorder()       SumAnd Square()   PowerSpectrumCalc()    */
/*                                                                           */
/*      Note: The Stable32 usage of these functions is with realtype         */
/*      defined as a float.  The local header fft_.h is a special version    */
/*      of fft.h that calls in reeltype.h which defines realtype as float    */
/*      and has prototypes for these functions.                              */
/*                                                                           */
/*      Copyright (c) Quinn-Curtis, 1992                                     */
/*                                                                           */
/*****************************************************************************/

// File macros
#ifndef M_PI // Defined in math.h under Borland C++ but not Visual C++
#define M_PI        3.14159265358979323846
#endif

/* Apply a parzen window */
realtype Parzen (realtype n, realtype j)
{
    realtype fret;

    fret = (realtype) (1.0 - fabs((j - 0.5 * (n - 1.0)) / (0.5 * (n - 1.0))));
    return(fret);
}

/* Apply a hanning window */
realtype Hanning (realtype n, realtype j)
{
    realtype fret;

    fret =  (realtype) (0.5 * (1.0 - cos(2.0 * M_PI * j / (n-1.0))));
    return(fret);
}

/* Apply a hamming window */
realtype Hamming (realtype n, realtype j)
{
    realtype fret;

    fret =  (realtype) (0.54 - 0.46 * cos(2.0 * M_PI * j / (n-1.0)));
    return(fret);
}

/* Apply a blackman window */
realtype ExactBlackman (realtype n, realtype j)
{
    realtype fret;

    fret =  (realtype) (0.42 - 0.50 * cos(2.0 * M_PI * j /(n-1.0)) +
            0.08 * cos(4.0 * M_PI * j / (n-1.0)));
    return(fret);
}

/* Apply a welch window */
realtype Welch (realtype n, realtype j)
{
    realtype fret;
    fret =  (realtype) ((j - 0.5 * (n - 1.0)) / (0.5 * (n + 1.0)));
    fret = (realtype) (1.0 - fret*fret);
    return(fret);
}

/* Apply a window for an array */
void WindowData (realtype *x, int numdat, int window)
{
   int i;
   realtype multiplier;

   for ( i = 0; i < numdat; i++ )
   {
      switch ( window )
      {
         case RECTANG:
            multiplier = (realtype) 1.0;
            break;
         case PARZEN:
            multiplier = Parzen ((realtype)numdat, (realtype)i);
            break;
         case HANNING:
            multiplier = Hanning ((realtype)numdat, (realtype)i);
            break;
         case WELCH:
            multiplier = Welch ((realtype)numdat, (realtype)i);
            break;
         case HAMMING:
            multiplier = Hamming ((realtype)numdat, (realtype)i);
            break;
         case EXACTB:
            multiplier = ExactBlackman ((realtype)numdat, (realtype)i);
            break;
         default:
            multiplier =  (realtype) 1.0;
            break;
      }
      x[i] = multiplier * x[i];
   }
}

/* Apply a window for both x and y data sets */
void WindowFFTData (realtype *xdata, realtype *ydata, int numdat, int window)
{
    WindowData (xdata, numdat, window);
    WindowData (ydata, numdat, window );
}

/* Complex Fourier Transform */
/* number of points n must be a power of 2 */
/* Note:  FFTCalc() is wrapper for fft() with last arg=0 */
/* and FFTInvCalc() is wrapper for fft() with last arg=1 */
/* so those functions not included in this file */
void fft (realtype *xr, realtype *yi, int n, int inverse)
{
    int nn, j;
    int      m;
    realtype pp, qq;

    m = -1;
    nn = n;

    /* determine power of 2 */
    while (nn > 0)
    {
        nn = nn >> 1;
        m++;
    }

    fft2 (xr, yi, n, m, n);
    reorder (xr, yi, n, m, n, 0);
    if (inverse)
    {
        pp = (realtype) 1.0 / n;
        qq = -pp;
        for (j = 0; j < n; j++)
        {
            xr [j] *= pp;
            yi [j] *= qq;
        }
    }
    else
    {
        for (j = 0; j < n; j++)
            yi[j] = -yi[j];
    }
}

/* FFT for one variable of dimension n = 2^m */
void fft2 (realtype *x, realtype *y, int n, int m, int ks)
{
    int        indx, k0, k1, k2, k3, span, j, k, kb, kn, mm, mk;
    realtype    rad, c1, c2, c3, s1, s2, s3, ck, sk, sq;
    realtype    x0, x1, x2, x3, y0, y1, y2, y3;
    int *cc;

    cc = (int *) calloc (m + 1, sizeof (int));

    sq = (realtype) 0.707106781187;
    sk = (realtype) 0.382683432366;
    ck = (realtype) 0.92387953251;

    cc[m] = ks;
    mm = (m / 2) * 2;
    kn = 0;
    for (k = m - 1; k >= 0; k--)
        cc[k] = cc[k+1] / 2;
    rad = (realtype) 6.28318530718 / (cc[0] * ks);
    mk = m - 5;

    do
    {
        kb = kn;
        kn = kn + ks;

        if (mm != m)
        {
            k2 = kn;
            k0 = cc[mm] + kb;
            do
            {
                k2--;
                k0--;
                x0 = x [k2];
                y0 = y [k2];
                x[k2] = x[k0] - x0;
                x[k0] = x[k0] + x0;
                y[k2] = y[k0] - y0;
                y[k0] = y[k0] + y0;
            }  while (k0 > kb);
        }

        c1 = (realtype) 1.0, s1 = (realtype) 0.0;
        indx = 0;
        k = mm - 2;
        j = 3;

        if (k >= 0)
            goto l2;
        else
            if (kn < n)
                continue;
            else
                break;

l1:     while (1)
        {
            if (cc[j] <= indx)
            {
                indx = indx - cc[j];
                j--;
                if (cc[j] <= indx)
                {
                    indx = indx - cc[j];
                    j--;
                    k += 2;
                }
            }
            else
                break;
        }

        indx = cc[j] + indx;
        j = 3;

l2:     span = cc[k];
        if (indx != 0)
        {
            c2 = indx * span * rad;
            c1 = (realtype) cos (c2);
            s1 = (realtype) sin (c2);
l5:
            c2 = c1 * c1 - s1 * s1;
            s2 = (realtype) 2.0 * s1 * c1;
            c3 = c2 * c1 - s2 * s1;
            s3 = c2 * s1 + s2* c1;
        }
        for (k0 = kb + span - 1; k0 >= kb; k0--)
        {
            k1 = k0 + span;
            k2 = k1 + span;
            k3 = k2 + span;
            x0 = x[k0];
            y0 = y [k0];
            if (s1 == 0)
            {
                x1 = x[k1]; y1 = y [k1];
                x2 = x[k2]; y2 = y [k2];
                x3 = x[k3]; y3 = y [k3];
            }
            else
            {
                x1 = x[k1] * c1 - y [k1] * s1;
                y1 = x[k1] * s1 + y [k1] * c1;
                x2 = x[k2] * c2 - y [k2] * s2;
                y2 = x[k2] * s2 + y [k2] * c2;
                x3 = x[k3] * c3 - y [k3] * s3;
                y3 = x[k3] * s3 + y [k3] * c3;
            }
            x [k0] = x0 + x2 + x1 + x3; y[k0] = y0 + y2 + y1 + y3;
            x [k1] = x0 + x2 - x1 - x3; y[k1] = y0 + y2 - y1 - y3;
            x [k2] = x0 - x2 - y1 + y3; y[k2] = y0 - y2 + x1 - x3;
            x [k3] = x0 - x2 + y1 - y3; y[k3] = y0 - y2 - x1 + x3;
        }
        if (k > 0)
        {
            k = k - 2;
            goto l2;
        }
        kb = k3 + span;
        if (kb < kn)
        {
            if (j == 0)
            {
                k = 2;
                j = mk;
                goto l1;
            }
            j--;
            c2 = c1;
            if (j == 1)
            {
                c1 = c1 * ck + s1 * sk;
                s1 = s1 * ck - c2 * sk;
            }
            else
            {
                c1 = (c1 - s1) * sq;
                s1 = (s1 + c2) * sq;
            }
            goto    l5;
        }
    }
    while (kn < n);

    free (cc);
}

void reorder ( realtype *x, realtype *y, int n, int m, int ks, int reel)
{
    int i, j, indx, k, kk, kb, k2, ku, lim, p;
    realtype  temp;

    int *cc, *lst;

    cc = (int *) calloc (m + 1, sizeof (int));
    lst = (int *) calloc (m + 1, sizeof (int));

    cc [m] = ks;
    for (k = m; k > 0; k--)
        cc [k-1] = cc [k] / 2;
    p = j = m - 1;
    i = kb = 0;
    if (reel)
    {
        ku = n - 2;
        for (k = 0; k <= ku; k += 2)
        {
            temp = x [k + 1];
            x [k + 1] = y [k];
            y [k] = temp;
        }
    }
    else
        m--;
    lim = (m + 2) / 2;
    if (p > 0)
    do
    {
        ku = k2 = cc [j] + kb;
        indx = cc [m - j];
        kk = kb + indx;

        do
        {
             k = kk + indx;
             do
             {
                 temp = x [kk];
                  x [kk] = x [k2];
                  x [k2] = temp;
                  temp = y [kk];
                  y [kk] = y [k2];
                  y [k2] = temp;
                  kk++;
                  k2++;
             }
             while (kk < k);

             kk = kk + indx;
             k2 = k2 + indx;
        }
        while (kk < ku);

        if (j > lim)
        {
            j--, i++;
            lst [i] = j;
            continue;
        }
        kb = k2;
        if (i > 0)
        {
            j = lst [i];
            i--;
            continue;
        }
        if (kb < n)
            j = p;
        else
            break;
    }
    while (1);

    free (cc);
    free (lst);
}

realtype SquareAndSum (realtype a, realtype b)
{
   realtype fret;

   fret = a * a + b * b;
   return(fret);
}

/* Calculate the power spectrum periodogram of a sampled dataset */
void PowerSpectrumCalc(realtype *xreal, realtype *yimag,
    int numdat, realtype delta)
{
    realtype timespan, normal, n;
    int i;

    n = (float)numdat;
    normal =  (realtype) 1.0 / (n * n);
    fft (xreal, yimag, numdat, 0);
    xreal[0] = SquareAndSum (xreal[0], yimag[0]) * normal;

    for (i = 1; i <= (numdat / 2) - 1; i++)
    {
        xreal[i] = normal * (SquareAndSum(xreal[i], yimag[i]) +
        SquareAndSum (xreal[numdat - i], yimag[numdat - i]));
    }
    i = numdat / 2;
    xreal[i] = SquareAndSum(xreal[i], yimag[i]) * normal;
    timespan = (realtype) ((1.0*numdat) * delta);
    for (i = 0; i <= (numdat/2); i++)
    {
        yimag[i] = (realtype) (1.0*i) / timespan;
    }
}

/*****************************************************************************/
#endif

#if(0) // Original code
// I don't know why the loop index has <=
// It doesn't look right
/* Remove mean from data array */
double RemoveMean(realtype *x, int lx)
{
    int k;
    double mean;

    mean = 0.;
    if(lx<2)
    {
        return mean;
    }

    for(k=0; k<=lx; k++)
    {
        mean= x[k]+mean;
    }

    mean=mean/(float)lx;

    for(k=0; k<=lx; k++)
    {
        x[k]=(float)(x[k]-mean);
    }

    return mean;
}
#endif

#if(1) // New code 06/19/08
// Loop index changed to <
/* Remove mean from data array */
double RemoveMean(realtype *x, int lx)
{
    int k;
    double mean;

    mean = 0.;
    if(lx<2)
    {
        return mean;
    }

    for(k=0; k<lx; k++)
    {
        mean= x[k]+mean;
    }

    mean=mean/(float)lx;

    for(k=0; k<lx; k++)
    {
        x[k]=(float)(x[k]-mean);
    }

    return mean;
}
#endif

#if(1) // This function brought here from FrequenC DLL for changes 08/18/07
/*****************************************************************************/
/*                                                                           */
/*                          SpectrumCalc()                                   */
/*                                                                           */
/*      Function to calculate & plot power spectrum                          */
/*      Uses FFT functions from Science & Engineering Tools                  */
/*      # data points must be a power of 2                                   */
/*      Data must not have any gaps                                          */
/*                                                                           */
/*      Function calls from Quinn-Curtis S&E Library:                        */
/*          WindowFFTData()                                                  */
/*          PowerSpectrumCalc()                                              */
/*                                                                           */
/*      Parameters:                                                          */
/*          y[]         = time-domain data; y[0] = *y = # data points        */
/*          xdata[]     = real data points -> PSD results                    */
/*          ydata[]     = imaginary data points (0) -> Fourier freq results  */
/*          tau         = time interval of data samples                      */
/*          n           = # analysis data points                             */
/*          win_num     = # windowings                                       */
/*        2*win_type    = windowing method code:                             */
/*                  0   = Rectangular             win_type = 0               */
/*                  1   = Parzen (not used)                                  */
/*                  2   = Hanning                            1               */
/*                  3   = Welch (not used)                                   */
/*                  4   = Hamming                            2               */
/*                  5   = Blackman (not used)                                */
/*          phase_noise_type:  0=Sx(f), 1=So(f)    , 2=L(f)                  */
/*          correction_factor: 0=1    , 1=(2**v) , 2=(*v) & x10          */
/*          af          = averaging factor (int power of 2)                  */
/*			data_type   = time-domain data type: 0=phase, 1=freq             */
/*      Return          = # FFT frequencies                                  */
/*                                                                           */
/*      Revision record:                                                     */
/*          12/26/96    Adapted from spectrum_calc() of Stable/DOS           */
/*          04/12/97    Added code to preserve original data                 */
/*          04/01/02    Added af parameter & trial code for averaging        */
/*          07/11/02    Added PSD data saving to disk                        */
/*          07/27/02    Added zero padding                                   */
/*          07/30/02    Revised to handle analysis limits                    */
/*			03/20/03	Adapted to FrequenC DLL                              */
/*						Added data_type argument and return                  */
/*			08/18/07	Changed zero padding correction factor               */
/*			08/19/07	Moved windowing to before zero padding               */
/*			08/21/07	Added NOPAD macro                                    */
/*			08/26/07	After extensive investigations re PSD bias and       */
/*						consistency only problem found was L(f) scale        */
/*						factor (fixed a few days ago).                       */
/*                      Also seems AOK with zero padding (w/o NOPAD)         */
/*          08/27/07	Added bZeroPad usage                                 */
/*                                                                           */
/*****************************************************************************/

// FrequenC header file
// #include "frequenc.h"

// SpectrumCalc() top-level function
int __declspec(dllexport) FAR PASCAL SpectrumCalc(F_TYPE y[], realtype xdata[],
	realtype ydata[], float tau, int n, int win_num, int win_type,
	int phase_noise_type, float correction_factor, int af, int data_type)
{
	// Note: Results seem AOK both with and w/o zero padding
	// Averaging is done by non-overlapping Bartlett periodogram method
	// of dividing time series into af sections, doing FFT on each section,
	// and averaging results by Fourier frequency bin.  This reduces PSD
	// std dev from 100% to 100%/sqrt(af)
	
	// Local variables
	// Chars
	#if(0) // For testing
	char szBuffer[BIG_BUFFER_SIZE+1];       // Text buffer
	#endif
	// Ints
	int i;                          // General index
    int j;                          // Index for # windowings
    int k;                          // Index for averaging 
    static int offset;              // Index of first analysis data point
    static int nn;                  // Padded array size
    static int nNum;                // # data points in input array
    static int nFFT;                // # data points in one FFT section
	// Floats
    static float pad_factor;        // Correction factor for zero padding
    static float correction[3][4] =
    {
         { (float)0.00, (float)0.000, (float)0.000, (float)0.000 },
            // Rectangular
         { (float)0.00, (float)0.426, (float)0.563, (float)0.647 },
            // Hanning
         { (float)0.00, (float)0.401, (float)0.542, (float)0.627 }
            // Hamming
    };

   // These are log power amplitude corrections factors for wideband noise
   // 1st index is win_type; 2nd index is win_num
   // These correction factors are determined by the incoherent (noise)
   // power gain of the windowing function = { 1/N SUM W(i)^2) } ^k
   // where the SUM is from i = 0 to N-1 points
   // and k = is the # times the window is applied (win_num)
   // For a single window, the corrections can be determined as
   // log(ENBW/Coherent Gain) from Table I of
   // Fredric J. Harris, "On the Use of Windows for Harmonic Analysis with
   // the Discrete Fourier Transform", Proc. IEEE, January 1978, pp. 51-83.
   // For example, for the Hamming window, ENBW = 1.36 & Coherent Gain = 0.54
   // so log(ENBW/Coherent Gain) = log(1.36/0.54) = log(2.518) = 0.401
   // All these correction factors were checked on 08/23/07
   static float bw_correction;
   static float log_mult;
   static F_TYPE avg;

	#if(0) // For testing
	FILE *fOut;					// File pointer
	#endif

    // The xdata array gets loaded with the time domain data.
    // This array is allocated with space for the # points & analysis limits.
    // These are put into the xdata array initially to allow it to use the
    // FillFloatGaps() function.
    // Then the header info is removed from the xdata array for the FFT calcs.

   // Input parameter n the # of analysis points - not necessarily a power-of-2

	// Find data offset
    offset=(int)y[1]+2; // Index of first data point to be analyzed

   // Copy analysis limits info into xdata[]
    xdata[0]=(float)n;
    xdata[1]=(float)1;
    xdata[2]=(float)n;

    // Load analysis data into the xdata array with header info
    for(i=0; i<n; i++)
    {
        xdata[i+ARRAY_OFFSET]=(float)y[i+offset];
    }

    // Make sure no there are gaps in the analysis data
    FillFloatGaps(xdata, data_type);

    // Eliminate header from the analysis data
    for(i=0; i<n; i++)
    {
        xdata[i]=xdata[ARRAY_OFFSET+i];                  /* real data points */
        ydata[i]=0.0;                               /* imaginary data points */
    }

	#if(0) // For testing A7PSD DLL
	A7PSDSpectrumCalc(y, xdata, ydata, tau, n, win_num, win_type,
		phase_noise_type, correction_factor, af, data_type);

	return (n/(2*af))-1;
	#endif

    // Remove DC component
    RemoveMean(xdata, n);

    // The original FFT code just analyzes the entire data set as one block
    // w/o averaging.  Thus a longer record at the same tau increases the
    // frequency resolution but does not reduce the variance of the FFT
    // results.  To do that, one must break the data into sections, analyze
    // each section separately, and then average them to produce better FFT
    // values.  Doing so obviously shortens each individual data record, so
    // the FFT results won't extend to as low a Fourier frequency.  The variance
    // of the FFT values is thereby reduced from 100% to 100% divided by the
    // sqrt of the # averages, which should be an integer power of 2.
    // The averaged FFT can be done in the same pair of xdata and ydata arrays.
    // The xdata array starts with the real data points, and is filled with the
    // PSD results.  The ydata array starts with 0's and gets the Fourier freqs.
    // For averaging, just FFT each section separately in-place.  Then sum the
    // PSDs and Fourier freqs in the 1st section, and divide them by # averages.
    // Then continue to apply BW correftion and log mult to 1st section.
    // Both nNum and nAF are integer powers of 2, so k is also
    // e.g. if n is 512 and nAF is 8 then k goes from 0 to 7
    // and each section of FFT has nFFT=64 points.

	// Set # FFT points
	if(bZeroPad)
	{
		// Set # FFT points (inc zero padding)
		// to next higher power-of-2
		nn=(int)pow(2.0, (double)ceil(log(n)/log(2)));
	}
	else // No zero padding
	{
		// Set # FFT points to next lower power-of-2
		nn=(int)pow(2.0, (double)floor(log(n)/log(2)));
	}

    // General notes re zero padding:
	// 1. Zero padding correction factor is pad_factor
    // equal to total # points/# unpadded points
	// 2. Zero padding correction seems OK for AF=>1
	// but don't completely understand how
	// When AF>1, we divide time record into sections
	// All padding zeros are at end
	// No padding in early sections, so there S/B no correction applied.
	// Then may have partial zeros in section where correction does apply
	// which should be determined for just that section
	// Finally, there may be multiple sections with all zeros
	// But apparently one overall correction factor does work
	
	// Calc the # of averaged FFT points
    nFFT=nn/af;

	// Apply the desired windowing function to each section
	// Must do windowing before zero padding
    for(k=0; k<af; k++)
    {
        j=win_num;
        while(j--)
        {
            // Window data win_num times
            WindowFFTData(&xdata[k*nFFT], &ydata[k*nFFT], nFFT, win_type);
        }
    }

    // Zero the padded portion of the data
	// Does nothing if no zero padding
    for(i=n; i<nn; i++)
    {
        xdata[i]=0.0;                                    /* real data points */
        ydata[i]=0.0;                               /* imaginary data points */
    }

    // Zero padding correction factor
	// Simulations comfirm that unsquared ratio of
    // total # points/# unpadded points is right
	// Also one reference found to support this value
    // Ratio of total to actual (non-zero) FFT points
    pad_factor=(float)(nn)/(float)(n);

	// Set correction to unity w/o zero padding
	if(!bZeroPad)
	{
		pad_factor=1.0;
	}

    // Perform FFT on each section
    for(k=0; k<af; k++)
    {
        // Calculate the power spectrum using S&E function
        PowerSpectrumCalc(&xdata[k*nFFT], &ydata[k*nFFT], nFFT, tau);

		#if(0) // For special testing
        for(i=0; i<nFFT; i++)
        {
			// Convert the FFT to log FFT
			if(xdata[k*nFFT+i]>0)
			{
				xdata[k*nFFT+i]=(float)log10(xdata[k*nFFT+i]);
			}
        }
		#endif
    }

    // Sum the results into the 1st section
    // Note that summation starts a k=1 (not k=0) - don't add 1st section to itself
    for(k=1; k<af; k++)
    {
        for(i=0; i<nFFT; i++)
        {
            xdata[i]+=xdata[k*nFFT+i];
            ydata[i]+=ydata[k*nFFT+i];
        }
    }
    
    // Find the average values in 1st section
	// Note: We are averaging the FFT results and then taking the log of the average
	// That is different from averaging the log FFT
	// Bloomfield recommends using the log of the average as we do here
    for(i=0; i<nFFT; i++)
    {
        xdata[i]/=af;
        ydata[i]/=af;
    }

	// Calc bandwidth correction
	// ydata[1] is Fourier bandwidh before DC term is removed below
	// It is also equal to 1 / tau * # time domain data points = 1/(tau*nFFT)
	// TRACE_EXP(ydata[1]);
	// TRACE_EXP(1/(tau*nFFT));
    bw_correction=(float)log10(ydata[1]);

    // Set log multiplier factor
    if(phase_noise_type==2)                                          /* L(f) */
    {
        log_mult=10;
    }
    else                                                    /* Sx(f) & So(f) */
    {
        log_mult=1;
    }

	#if(0) // For testing
	// if(bTest)
	{
		sprintf(szBuffer, "log_mult = %f\n"
			"pad_factor = %f\n"
			"correction_factor = %e\n"
			"bw_correction = %f\n"
			"correction[win_type/2][win_num] = %f",
			(double)log_mult, (double)pad_factor, (double)correction_factor,
			(double)bw_correction, (double)correction[win_type/2][win_num]);
		MessageBox(hwndMain, szBuffer, "SpectrumCalc", MB_OKCANCEL);
	}
	#endif
    
    // Apply zero padding correction
    correction_factor*=pad_factor;

	// Drop dc term from PSD and convert spectral data to log form
    // Note that xdata is PSD & ydata is Fourier freq
    for(i=0; i<(nFFT/2)-1; i++)
    {
        ydata[i]=ydata[i+1];                     /* Fourier frequency values */

		#if(1) // Normal code
        if(xdata[i+1]>0)
        {
			xdata[i]=(float)(log_mult*(log10(xdata[i+1]*correction_factor)
                 - bw_correction + correction[win_type/2][win_num]));
                            /* power spectrum values plus correction factors */
        }
        else
        {
            // Error in power spectrum calc
            break;
        }
		#endif

		#if(0) // For special testing
			xdata[i]=(float)(log_mult*(xdata[i+1]
				+log10(correction_factor)
                - bw_correction + correction[win_type/2][win_num]));
                            /* power spectrum values plus correction factors */

		//xdata[i]=(float)log10(xdata[i+1]);
		xdata[i]=(float)(xdata[i+1]);
 		#endif
    }

    // Save PSD data - Must move to Stable32 calling function
    // PSDWrite(szPSDFile, ydata, xdata, (nFFT/2)-1);

	return (nFFT/2)-1;
}
/*****************************************************************************/
#endif

#if(1) // Copied from FrequenC CLFD2.C for investigations 08/29/07
/***************************************************************************/
/*                                                                         */
/*  						CalcLogFreqDrift()                             */
/*                                                                         */
/*		Function to calculate log frequency drift                          */
/*		Fit fractional frequency data to log drift model:                  */
/*			            y(t) = aln(bt+1)+c                                */
/*			            where: y(t) = fractional frequency                 */
/*					           t	= time                                 */
/* 					           a    = multiplicative term                  */
/*					           b    = log time term                        */
/*					           c	= constant term                        */
/*                                                                         */
/*      Reference:      MIL-O-55310B, General Specification for Crystal    */
/*                      Oscillators                                        */
/*                                                                         */
/*		Parameters:		F_TYPE y[]  = frequency data                       */
/*                                    y[0] = # data points                 */
/*			                          y[1] = analysis start                */
/*                                    y[2] = analysis end                  */
/*      	            F_TYPE *p_a  = pointer to multiplicative term      */
/*      	            F_TYPE *p_b  = pointer to time constant term       */
/*			            F_TYPE *p_c  = pointer to constant term            */
/*			            F_TYPE *p_v  = pointer to fit variance             */
/*                                                                         */
/*      Return:         int          = # non-zero anlaysis points,         */
/*                                     or -1 if error                      */
/*                                                                         */
/*	    Notes:          Zeros treated as gaps in frequency data.           */
/*		                A value of b is chosen, the linear fit parameters  */
/*                      are found, and b is varied iteratively until the   */
/*                      rms error is below a limit criterion.              */
/*						Need at least 2 non-zero data points.              */
/*                                                                         */
/*		Revision record:                                                   */
/*			12/16/91	Created                                            */
/*			12/31/91	Renamed                                            */
/*          01/18/92    Edited title block                                 */
/*			01/19/92	Changed error trap                                 */
/*			02/03/96	Modified for use as Win 3.1 DLL                    */
/*			01/01/98	Changes for MS VC++ compatibility & warnings       */
/*			08/29/07	Tightened error limit                              */
/*  												                       */
/* (c) Copyright 1991-2007 Hamilton Technical Services All Rights Reserved */
/*                                                                         */
/***************************************************************************/

#include "frequenc.h"

int __declspec(dllexport) FAR PASCAL CalcLogFreqDrift(F_TYPE y[],
	F_TYPE *p_a, F_TYPE *p_b, F_TYPE *p_c, F_TYPE *p_v)
{
	int i;                                              /* freq data index */
	int num = (int)(*(y+2)-*(y+1)+1);           /* # frequency data points */
	//double error_limit=0.00001;   /* fractional error limit for variance */
	double error_limit=1e-6;        /* fractional error limit for variance */
	double x;                                               /* x=ln(b*t+1) */
	double err=1.0;                                /* sum of squared error */
	double prev_err=0;  /* initialized so (err-prev_err)/err > error_limit */
	double sum_x;                                     /* sum of x=ln(bt+1) */
	double sum_y;                                              /* sum of y */
	double sum_xx;                                           /* sum of x^2 */
	double sum_xy;                                            /* sum of xy */
	double d=0.1;                                    /* b iteration factor */

	#if(0) // For testing
	int iter=1;
	char szBuffer[BUFFER_SIZE+1];       // Text buffer
	FILE *fOut;					        // File pointer

	// Open file
	fOut=fopen("LogFit.dat", "w");

	// Compose error limit heading
	_snprintf(szBuffer, sizeof(szBuffer), "error_limit = %e\n", error_limit);
	// Write line to file
	fputs(szBuffer, fOut);
	// Compose column headings
	_snprintf(szBuffer, sizeof(szBuffer),
		"#			a			b				c				"
		"d				err				lim\n");
	// Write line to file
	fputs(szBuffer, fOut);
	#endif

	*p_b=1.0;                                       /* initial value for b */

	while(fabs(((err-prev_err)/err))>error_limit)               /* iterate */
	{
		prev_err=err;                               /* save previous error */
		sum_x = 0;                                    /* sum of x=ln(bt+1) */
		sum_y = 0;                                             /* sum of y */
		sum_xx = 0;                                          /* sum of x^2 */
		sum_xy = 0;                                           /* sum of xy */
		num = (int)(*(y+2)-*(y+1)+1);           /* # frequency data points */

		for( i=(int)(*(y+1)+2); i<=(int)(*(y+2)+2); i++)
			                                    /* accumulate sums for fit */
		{
			if(*(y+i))                                     /* gap in data? */
			{
				x=log((*p_b * (i-2))+1);
				sum_x  += x;
				sum_y  += *(y+i);
				sum_xx += x*x;
				sum_xy += x * *(y+i);
			}                                                    /* end if */
			else
			{
				num--;
			}                                                  /* end else */
		}                                                       /* end for */

		if(num<2)                      /* must have at least 2 data points */
		{
			return(-1);
		}                                                        /* end if */

		*p_a = sum_xy - (sum_x * sum_y / num);          /* find parameters */
		*p_a /= sum_xx- (sum_x * sum_x / num);
		*p_c = (sum_y - (*p_a * sum_x ))/ num;

		err=0;                                /* calc sum of squared error */
		for( i=(int)(*(y+1)+2); i<=(int)(*(y+2)+2); i++)
		{
			if(*(y+i))
			{
				err += SQR(*p_a * log((*p_b * (i-2))+1) + *p_c - *(y+i));
			}
		}

		if(err>prev_err)                                     /* wrong way? */
		{
			d *=-0.5;
		}
		*p_b += *p_b * d;                   /* modify b for next iteration */
		
		#if(0) // For testing
		// Write results of iteration to file so it can be examined
		// Compose line
		_snprintf(szBuffer, sizeof(szBuffer), "%d\t%e\t%e\t%e\t%e\t%e\t%e\n",
			iter, *p_a, *p_b, *p_c, d, err, (err-prev_err)/err);

		// Write line to file
		fputs(szBuffer, fOut);

		// Increment iteration #
		iter++;
		#endif

	}
		*p_v = err;

		#if(0) // For testing
		// Close file
		fclose(fOut);
		#endif

		return(num);
}                                                /* end CalcLogFreqDrift() */

/***************************************************************************/
#endif

#if(1) // New code 02/12/08
/*****************************************************************************/
/*                                                                           */
/*                              Prewhiten()                                  */
/*                                                                           */
/*      Function to prewhiten freq data by removing autoregressive noise     */
/*                                                                           */
/*      Parameters:     F_TYPE y[]  = freq data                              */
/*                                    y[0] = # freq data points              */
/*                                    y[1] = analysis start                  */
/*                                    y[2] = analysis end                    */
/*                      F_TYPE rho  = lag 1 autocorrelation value            */
/*                                                                           */
/*      Return:         int         = # frequency data gaps,                 */
/*                                    or -1 if error                         */
/*                                                                           */
/*      Notes:          All zeros treated as gaps in freq data      .        */
/*                      Function processes n points and produces n-1 points  */
/*                      Rho can be either sign or zero but not > |1|         */
/*                      Operation done in-place so original data is lost     */
/*                      Rho=0 would leave data unchanged                     */
/*                      but 1 fewer point (first point removed)              */
/*                                                                           */
/*      Revision record:                                                     */
/*          02/12/08    Created from CPTF2.C of FrequenC library             */
/*                                                                           */
/* (c) Copyright 2008  Hamilton Technical Services  All Rights Reserved      */
/*                                                                           */
/*****************************************************************************/

int WINAPI Prewhiten(F_TYPE y[], F_TYPE rho)
{
    int i;                                                        /* y index */
    int num;                                       /* original # freq points */
	int g;                                                         /* # gaps */

    // Check for valid rho
	if( (rho >1.0) || (rho<-1.0) )
    {
        return(-1);                                                 /* error */
    }

    num=(int)(y[2]-y[1]+1);              /* set num = original # freq points */

    // Prewhiten freq data by removing AR(1) noise
	// 1st data point is at array index i=3
	// Last data point is at array index i=num+2
	// Index i extends to 1 fewer than that because we access index i+1
    for(i=3; i<num+2; i++)
    {
        if((y[i] && y[i+1]))                     /* neither freq point a gap */
        {
            y[i]=y[i+1] - rho*y[i];                    /* remove AR(1) noise */
        }                                                          /* end if */
        else                                                     /* freq gap */
        {
            y[i]=0;                                    /* denote gap by zero */
            g++;                                      /* increment gap count */
        }                                                        /* end else */
    }                                                             /* end for */

	// Set new freq array numbers
    y[0]=num-1;                                             /* # freq points */
    y[1]=1;                                           /* # of 1st freq point */
    y[2]=num-1;                                      /* # of last freq point */

    return(g);
}                                                         /* end Prewhiten() */

/*****************************************************************************/
#endif

#if(1) // New code 03/01/08
/*****************************************************************************/
/*                                                                           */
/*                             ReverseData()                                 */
/*                                                                           */
/*      Function to reverse order of phase or frequency data                 */
/*                                                                           */
/*      Parameters:     F_TYPE z[]  = phase or freq data                     */
/*                                    z[0] = # data points                   */
/*                                    z[1] = analysis start                  */
/*                                    z[2] = analysis end                    */
/*                                                                           */
/*      Return:         void          None                                   */
/*                                                                           */
/*      Revision record:                                                     */
/*          03/01/08    Created & working                                    */
/*						Tested AOK even & odd # points, phase or freq data   */
/*						Used in scale function                               */
/*                                                                           */
/* (c) Copyright 2008  Hamilton Technical Services  All Rights Reserved      */
/*                                                                           */
/*****************************************************************************/

void WINAPI ReverseData(F_TYPE z[])
{
    // Local variables
	int i;                                                        /* z index */
	int start;                                       /* analysis start index */
    int num;                                                /* # data points */
	F_TYPE temp;                        /* temporary data value for swapping */

	// Initializations
	start=(int)z[1]-1;                               /* analysis start index */
	num=(int)(z[2]-z[1]+1);                   /* set num = # analysis points */

	// Loop to reverse data
	for(i=0; i<num/2; i++)
	{
		// Swap pair of data points
		temp=z[start+i+ARRAY_OFFSET];
		z[start+i+ARRAY_OFFSET]=z[start+num-1-i+ARRAY_OFFSET];
		z[start+num-1-i+ARRAY_OFFSET]=temp;
	}
}

/*****************************************************************************/
/*                                                                           */
/*                             ReverseTimetags()                             */
/*                                                                           */
/*      Function to reverse order of phase or frequency timetags             */
/*                                                                           */
/*      Parameters:     F_TYPE t[]  = phase or freq timetags                 */
/*                                    t[0] = # timetag points                */
/*                                    t[1] = analysis start                  */
/*                                    t[2] = analysis end                    */
/*                                                                           */
/*      Return:         void          None                                   */
/*                                                                           */
/*      Revision record:                                                     */
/*          03/01/08    Created & working                                    */
/*						Tested AOK even & odd # points, phase or freq data   */
/*						Used in scale function                               */
/*                                                                           */
/* (c) Copyright 2008  Hamilton Technical Services  All Rights Reserved      */
/*                                                                           */
/*****************************************************************************/

void WINAPI ReverseTimetags(F_TYPE t[])
{
    // Local variables
	int i;                                                        /* z index */
	int start;                                       /* analysis start index */
    int num;                                                /* # data points */
	F_TYPE temp;                        /* temporary data value for swapping */

	// Initializations
	start=(int)t[1]-1;                               /* analysis start index */
	num=(int)(t[2]-t[1]+1);                   /* set num = # analysis points */

	// Loop to reverse data
	for(i=0; i<num/2; i++)
	{
		// Swap pair of timetag points
		temp=t[start+i+ARRAY_OFFSET];
		t[start+i+ARRAY_OFFSET]=t[start+num-1-i+ARRAY_OFFSET];
		t[start+num-1-i+ARRAY_OFFSET]=temp;
	}
}

/*****************************************************************************/
#endif

#if(0) // Normal code of 06/03/08 - now obsolete
/*****************************************************************************/
/*                                                                           */
/*                             FFTSpurRemoval()                              */
/*                                                                           */
/*      Function to remove spurs from phase or frequency data                */
/*      during PSD analysis after spur detection                             */
/*      by doing FFT, removing data at spur frequencies,                     */
/*		and doing inverse FFT to obtain time domain data without spurs       */
/*                                                                           */
/*      Uses FFT functions from Science & Engineering Tools                  */
/*      # data points not necessarily a power of 2                           */
/*      Data must not have any gaps                                          */
/*		It can be either phase or frequency data                             */
/*                                                                           */
/*      Function calls from Quinn-Curtis S&E Library:                        */
/*      fft() Note: Last arg=0 for FFT, 1 for inverse FFT                    */
/*      and subsidiary functions it calls                                    */
/*		The S&E FFT arrays are realtype (float)                              */
/*		and must be a power of 2 in size                                     */
/*                                                                           */
/*      For real time domain data, changes made to the FFT must have         */
/*      conjugate summetry.  For N FFT points, this means that, for          */
/*      0-based array indices, points i and N-i-1 must be the same.          */
/*                                                                           */
/*      Note that for AF>1 spurs are detected in averaged PSD but removed    */
/*      from individual unageraged FFT sections.  The Fourier frequencies    */
/*      are the same so this works OK presuming that the spur "widths" are   */
/*      the same.                                                            */
/*                                                                           */
/*      Parameters:                                                          */
/*          F_TYPE		z[]     = time-domain phase or freq data w/ header   */
/*			int			type	= data type (0=phase, 1=freq)                */
/*			struct spur *s		= pointer to spur structure                  */
/*          float		a		= intercept of PSD fit a + bx                */
/*          float		b		= slope of PSD fit a + bx                    */
/*			float		bin		= Fourier bin width, Hz                      */
/*			int			psd		= PSD type (not used)                        */
/*                                                                           */
/*      Return:                                                              */
/*          int					= 0 if OK or 1 if error                      */
/*                                                                           */
/*      Globals:                                                             */
/*          None                                                             */
/*                                                                           */
/*      Revision record:                                                     */
/*          06/03/08    Created                                              */
/*			06/05/08	Added af arg and provisions for averaging            */
/*			06/07/08	Removed separate code for AF=1                       */
/*                      Changed to simplified code for pure real data        */
/*			            Add extended AF=1 spur removal range                 */
/*                                                                           */
/*****************************************************************************/

int FFTSpurRemoval(F_TYPE z[], int type, struct spur *s, float a, float b,
	float bin, int psd, int af)
{
	// Local variables
	int i;					// General and primary index
	int j;					// Secondary index
	int k;					// Tertiary index
	int n;					// # analysis points
	int n2;					// Next higher power-of-2
	int offset;				// Analysis start offset
	int ext=2;				// # FFT points to extend AF=1 spur removal range
	float *xr;				// Pointer to real array
	float *yi;				// Pointer to img array

	// Allocate working arrays
	// realtype (float) xr[] array is real data and FFT
	// realtype (float) yi[] array is img data (zeros) and FFT

	// Get # analysis points - not necessarily a power-of-2
	n=(int)(z[2]-z[1]+1);

	// Allocate memory for next higher power-of-2
	n2=(int)pow(2.0, (double)ceil(log(n)/log(2)));

	// Allocate memory for FFT arrays
	// These are floats for compatibility with S&E FFT function calls
	if((yi=(float*)malloc(n2*sizeof(float)))==NULL)
	{
		// Nothing useful can be done - return error code
		return 1;
	}

	// The real array has additional space for std data header
	if((xr=(float*)malloc((n2+ARRAY_OFFSET)*sizeof(float)))==NULL)
	{
		// Free yi[] array
		free(yi);

		// Nothing useful can be done - return error code
		return 1;
	}

    // Zero the FFT arrays
    for(i=0; i<n2; i++)
    {
        xr[i]=(float)0.0;
        yi[i]=(float)0.0;
    }

    // The xr[] array gets loaded with the time domain data.
    // This array is allocated with space for the # points & analysis limits.
    // These are put into the xr array initially to allow it to use the
    // FillFloatGaps() function.
    // Then the header info is removed from the xr[] array for the FFT calcs.

   // Find data offset
    offset=(int)z[1]+2; // Index of first data point to be analyzed

   // Copy analysis limits info into xdata[]
    xr[0]=(float)z[0];
    xr[1]=(float)z[1];
    xr[2]=(float)z[2];

    // Load analysis data into the xr[] array with header info
    for(i=0; i<n; i++)
    {
        xr[i+ARRAY_OFFSET]=(float)z[i+offset];
    }

    // Make sure no there are gaps in the analysis data
    FillFloatGaps(xr, type);

    // Eliminate header from the analysis data
    for(i=0; i<n; i++)
    {
        xr[i]=xr[ARRAY_OFFSET+i];     // real data points
        yi[i]=(float)0.0;             // imaginary data points
    }

	// Get AF=1 extended spur range preference
	// Note: This is an optional read-only value (default=2)
	ext=GetPrivateProfileInt("Preferences", "ExtendSpurRange", 2,
		szIniFile);
	
	// It applies only to AF=1 and n2>=512
	if((af!=1) || (n2<512))
	{
		ext=0;
	}

	// For testing
	// TRACE_INT(ext);
		
	#if(0) // Separate code not needed for AF=1
	if(af==1) // No averaging - process entire data array
	{
		// Do FFT
		fft(xr, yi, n2, 0);

		// Remove spur FFT points, if any - use info in spur struct:
		// 	int num;			// # spurs
		// 	int *index;			// Spur array index in PSD data
		//	int *first;			// Spur array index of first point removed
		//	int *last;			// Spur array index of last point removed
		// 	int max;			// Spur array index of largest spur
		// 	float *freq;		// Pointer to spur freq array
		// 	float *amp;			// Pointer to spur amplitude array
		// 	float corr;			// NB log amplitude correction
		if(s->num)
		{
			// Loop thru all spurs removed
			for(i=0; i<s->num; i++)
			{
				// Loop thru all PSD points removed
				for(j=s->first[i]; j<=s->last[i]; j++)
				{
					// Remove spurs from FFT
					// Set spur points to zero
					xr[j]=(float)0.0;
					yi[j]=(float)0.0;

					// Also set conjugate symmetric points to zero
					xr[n2-j-1]=(float)0.0;
					yi[n2-j-1]=(float)0.0;
				}
			}
		}

		// Do inverse FFT
		fft(xr, yi, n2, 1);
		
		// Remove spurs from data
		// Put inverse FFT values into data array
		// There are n points in data array and n2 FFT points - can use only n points
		for(i=0; i<n; i++)
		{
			// New PSD value is vector sum of real and img parts of inverse FFT results
			// Note: Result is nominally pure real so this may not be necessary
			z[i+offset]=(F_TYPE)(sqrt(SquareAndSum((xr[i]), (yi[i]))));
			if((atan2((xr[i]), (yi[i]))<0))
			{
				z[i+offset]*=-1.0;
			}
		}
	}
	else // af>1 - process data in sections
	#endif
	{
		// Note: All spur removal processing is done in-place
		// using portions of the complete real and img xr and yi time data and FFT arrays 
		// Loop through non-overlapping averaging factor sections of time domain data
		// performing FFT, removing spur(s), and doing inverse FFT
		// after which that section of the spur-removed time data is where it belongs
		for(i=0; i<af; i++)
		{
			// Do FFT on current section
			// Entire n2-point zero-based time domain data arrays are
			// real=xr[], img=yi[] (all zeros)
			// with indices from 0 to n2-1
			// where n2 is a power-of-2
			// Each section has n2/af points
			// The indices of the ith section are from (n2/af)*i to ((n2/af)*(i+1))-1
			// So we do the FFT on the array pointers plus (n2/af)*i for n2/af points
			fft(xr+((n2/af)*i), yi+((n2/af)*i), n2/af, 0);

			// Note: For real time domain data, after FFT for af=1:
			// xr[0]= DC term, xr[1]=xr[n2-1], xr[2]=xr[n2-2], xr[3]=xr[n2-3}, etc.
			
			// Remove spurs from PSD of current section
			if(s->num)
			{
				// Loop thru all spurs removed
				for(j=0; j<s->num; j++)
				{
					#if(0) // Normal spur removal range
					{
						// Loop thru all PSD points removed
						for(k=s->first[j]; k<=s->last[j]; k++)
						{
							// Make sure index is in-bounds
							if((((n2/af)*i)+k)<0)
							{
								continue;
							}

							// Remove spurs from FFT
							// FFT array indices are ((n2/af)*i)+k
							// Set spur points to zero
							xr[((n2/af)*i)+k]=(float)0.0;
							yi[((n2/af)*i)+k]=(float)0.0;

							// Also set conjugate symmetric points to zero
							// FFT array indices are ((n2/af)*(i+1))-k-1
							xr[((n2/af)*(i+1))-k-1]=(float)0.0;
							yi[((n2/af)*(i+1))-k-1]=(float)0.0;
						}
					}
					#endif

					#if(1) // Extended spur removal range for AF=1 and ext value
					{
						// Loop thru all PSD points removed
						for(k=s->first[j]-ext; k<=s->last[j]+ext; k++)
						{
							// Make sure index is in-bounds
							if((((n2/af)*i)+k)<0)
							{
								continue;
							}

							// Remove spurs from FFT
							// FFT array indices are ((n2/af)*i)+k
							// For af=1, i=0, index is xr[k]
							// Set spur points to zero
							xr[((n2/af)*i)+k]=(float)0.0;
							yi[((n2/af)*i)+k]=(float)0.0;

							// Also set conjugate symmetric points to zero
							// FFT array indices are ((n2/af)*(i+1))-k-1
							// For af=1, i=0, index is xr[n2-k-1]
							//xr[((n2/af)*(i+1))-k-1]=(float)0.0;
							//yi[((n2/af)*(i+1))-k-1]=(float)0.0;
							// But I think index actually S/B xr[n2-k]
							xr[((n2/af)*(i+1))-k]=(float)0.0;
							yi[((n2/af)*(i+1))-k]=(float)0.0;
						}
					}
					#endif
				}
			}

			// Do inverse FFT
			// Array indices same as FFT
			fft(xr+((n2/af)*i), yi+((n2/af)*i), n2/af, 1);

			// Note: Do not have to explicitly concatenate
			// this section's spur-removed time domain data
			// because it is done in-place
		}

		// Remove spurs from data
		// Put inverse FFT values into data array
		// There are n points in data array and n2 FFT points - can use only n points
		// so n2-n points are ignored
		// Note that for a large af and large amount of zero padding
		// n2-n might be > n2/af, so could drop a whole section (or more)
		// I guess that's OK
		for(i=0; i<n; i++)
		{
			#if(0) // Original code
			// New PSD value is vector sum of real and img parts of inverse FFT results
			// Note: Result is nominally pure real so this may not be necessary
			z[i+offset]=(F_TYPE)(sqrt(SquareAndSum((xr[i]), (yi[i]))));
			if((atan2((xr[i]), (yi[i]))<0))
			{
				z[i+offset]*=-1.0;
			}
			#endif

			// For testing
			// Note: Imiginary component of time domain data is typically
			// an order of magnitude or more smaller than real component 
			// TRACE_EXP(xr[i]);
			// TRACE_EXP(yi[i]);

			#if(1) // Simpler code
			// Time domain data is pure real
			z[i+offset]=(F_TYPE)xr[i];
			#endif
		}
	}

	// Done
	// Free working arrays
	free(xr);
	free(yi);

	// Return OK code
	return 0;
}

/*****************************************************************************/
#endif

#if(1) // New code of 07/16/08 for use of real FFT functions - This is preferred code
/*****************************************************************************/
/*                                                                           */
/*                             FFTSpurRemoval()                              */
/*                                                                           */
/*      Function to remove spurs from phase or frequency data                */
/*      during PSD analysis after spur detection                             */
/*      by doing FFT, removing data at spur frequencies,                     */
/*		and doing inverse FFT to obtain time domain data without spurs       */
/*                                                                           */
/*      Uses FFT functions from Science & Engineering Tools                  */
/*      # data points not necessarily a power of 2                           */
/*      Data must not have any gaps                                          */
/*		It can be either phase or frequency data                             */
/*                                                                           */
/*      Function calls from Quinn-Curtis S&E Library:                        */
/*      fft() Note: Last arg=0 for FFT, 1 for inverse FFT                    */
/*      and subsidiary functions it calls                                    */
/*		The S&E FFT arrays are realtype (float)                              */
/*		and must be a power of 2 in size                                     */
/*                                                                           */
/*      For real time domain data, changes made to the FFT must have         */
/*      conjugate summetry.  For N FFT points, this means that, for          */
/*      0-based array indices, points i and N-i-1 must be the same.          */
/*                                                                           */
/*      Note that for AF>1 spurs are detected in averaged PSD but removed    */
/*      from individual unageraged FFT sections.  The Fourier frequencies    */
/*      are the same so this works OK presuming that the spur "widths" are   */
/*      the same.                                                            */
/*                                                                           */
/*      Parameters:                                                          */
/*          F_TYPE		z[]     = time-domain phase or freq data w/ header   */
/*			int			type	= data type (0=phase, 1=freq)                */
/*			struct spur *s		= pointer to spur structure                  */
/*          float		a		= intercept of PSD fit a + bx                */
/*          float		b		= slope of PSD fit a + bx                    */
/*			float		bin		= Fourier bin width, Hz                      */
/*			int			psd		= PSD type (not used)                        */
/*                                                                           */
/*      Return:                                                              */
/*          int					= 0 if OK or 1 if error                      */
/*                                                                           */
/*      Globals:                                                             */
/*          None                                                             */
/*                                                                           */
/*      Revision record:                                                     */
/*          06/03/08    Created                                              */
/*			06/05/08	Added af arg and provisions for averaging            */
/*			06/07/08	Removed separate code for AF=1                       */
/*                      Changed to simplified code for pure real data        */
/*			            Add extended AF=1 spur removal range                 */
/*          07/16/08	Changed to use of faster real FFT functions          */
/*                                                                           */
/*****************************************************************************/

int FFTSpurRemoval(F_TYPE z[], int type, struct spur *s, float a, float b,
	float bin, int psd, int af)
{
	// Local variables
	char buf[BUFFER_SIZE+1];	// Text buffer
	int i;						// General and primary index
	int j;						// Secondary index
	int k;						// Tertiary index
	int n;						// # analysis points
	int n2;						// Next higher power-of-2
	int offset;					// Analysis start offset
	int ext=2;					// # FFT points to extend AF=1 spur removal range
	float *xr;					// Pointer to real array
	float *yi;					// Pointer to img array

	// Allocate working arrays
	// realtype (float) xr[] array is real data and FFT
	// realtype (float) yi[] array is img data (zeros) and FFT

	// Get # analysis points - not necessarily a power-of-2
	n=(int)(z[2]-z[1]+1);

	// Allocate memory for next higher power-of-2
	n2=(int)pow(2.0, (double)ceil(log(n)/log(2)));

	// Allocate memory for FFT arrays
	// These are floats for compatibility with S&E FFT function calls
	if((yi=(float*)malloc(n2*sizeof(float)))==NULL)
	{
		// Nothing useful can be done - return error code
		return 1;
	}

	// The real array has additional space for std data header
	if((xr=(float*)malloc((n2+ARRAY_OFFSET)*sizeof(float)))==NULL)
	{
		// Free yi[] array
		free(yi);

		// Nothing useful can be done - return error code
		return 1;
	}

    // Zero the FFT arrays
    for(i=0; i<n2; i++)
    {
        xr[i]=(float)0.0;
        yi[i]=(float)0.0;
    }

    // The xr[] array gets loaded with the time domain data.
    // This array is allocated with space for the # points & analysis limits.
    // These are put into the xr array initially to allow it to use the
    // FillFloatGaps() function.
    // Then the header info is removed from the xr[] array for the FFT calcs.

   // Find data offset
    offset=(int)z[1]+2; // Index of first data point to be analyzed

   // Copy analysis limits info into xdata[]
    xr[0]=(float)z[0];
    xr[1]=(float)z[1];
    xr[2]=(float)z[2];

    // Load analysis data into the xr[] array with header info
    for(i=0; i<n; i++)
    {
        xr[i+ARRAY_OFFSET]=(float)z[i+offset];
    }

    // Make sure no there are gaps in the analysis data
    FillFloatGaps(xr, type);

    // Eliminate header from the analysis data
    for(i=0; i<n; i++)
    {
        xr[i]=xr[ARRAY_OFFSET+i];     // real data points
        yi[i]=(float)0.0;             // imaginary data points
    }

	// Get AF=1 extended spur range preference
	// Note: This is an optional read-only value (default=2)
	ext=GetPrivateProfileInt("Preferences", "ExtendSpurRange", 2,
		szIniFile);
	
	// It applies only to AF=1 and n2>=512
	if((af!=1) || (n2<512))
	{
		ext=0;
	}

	// For testing
	// ext=0;
	// TRACE_INT(ext);
		
	// Note: All spur removal processing is done in-place
	// using portions of the complete real and img xr and yi time data and FFT arrays 
	// Loop through non-overlapping averaging factor sections of time domain data
	// performing FFT, removing spur(s), and doing inverse FFT
	// after which that section of the spur-removed time data is where it belongs
	for(i=0; i<af; i++)
	{
		// Do FFT on current section
		// Entire n2-point zero-based time domain data arrays are
		// real=xr[], img=yi[] (all zeros)
		// with indices from 0 to n2-1
		// where n2 is a power-of-2
		// Each section has n2/af points
		// The indices of the ith section are from (n2/af)*i to ((n2/af)*(i+1))-1
		// So we do the FFT on the array pointers plus (n2/af)*i for n2/af points

		#if(0) // Original complex FFT code
		fft(xr+((n2/af)*i), yi+((n2/af)*i), n2/af, 0);
		#endif

		#if(1) // New real FFT code
		RealFFT2(xr+((n2/af)*i), yi+((n2/af)*i), n2/af, 0);
		#endif

		// Note: For real time domain data, after FFT for af=1:
		// xr[0]= DC term, xr[1]=xr[n2-1], xr[2]=xr[n2-2], xr[3]=xr[n2-3}, etc.
			
		// Important test: Detect spurs but don't remove them
		// Do FFT and Inverse FFT
		// Should get same data as started with
		// Can verify by K of power law fit
		// Results: With fft()=OK, with RealFFT2()=OK

		#if(1) // Omit for above test
		// Remove spurs from PSD of current section
		if(s->num)
		{
			// Loop thru all spurs removed
			for(j=0; j<s->num; j++)
			{
				// Extended spur removal range for AF=1 and ext value
				{
					// Loop thru all PSD points removed
					for(k=s->first[j]-ext; k<=s->last[j]+ext; k++)
					// for(k=1; k<=s->last[j]+ext; k++) // Quasi high pass filtration
					{
						// Make sure index is in-bounds
						if( ((((n2/af)*i)+k)<0) || ((((n2/af)*(i+1))-k)>n2-1) )
						{
							continue;
						}

						// Remove spurs from FFT
						// FFT array indices are ((n2/af)*i)+k
						// For af=1, i=0, index is xr[k]
						// Set spur points to zero
						// Need to do same conjugate summetric zeroing
						// for either fft() or RealFFT2()
						// Their values S/B equal
						//TRACE_INT(i*100+j);
						//TRACE_EXP(xr[((n2/af)*i)+k]);
						xr[((n2/af)*i)+k]=(float)0.0;
						yi[((n2/af)*i)+k]=(float)0.0;

						// Also set conjugate symmetric points to zero
						// FFT array indices are ((n2/af)*(i+1))-k
						// For af=1, i=0, index is xr[n2-k]
						//TRACE_EXP(xr[((n2/af)*(i+1))-k]);
						xr[((n2/af)*(i+1))-k]=(float)0.0;
						yi[((n2/af)*(i+1))-k]=(float)0.0;
					}
				}
			}
		}
		#endif

		// Do inverse FFT
		// Array indices same as FFT
		#if(0) // Original complex FFT code
		fft(xr+((n2/af)*i), yi+((n2/af)*i), n2/af, 1);
		#endif

		#if(1) // New real FFT code
		RealFFT2(xr+((n2/af)*i), yi+((n2/af)*i), n2/af, 1);
		#endif
	}

	// Note: Do not have to explicitly concatenate
	// this section's spur-removed time domain data
	// because it is done in-place

	// Remove spurs from data
	// Put inverse FFT values into data array
	// There are n points in data array and n2 FFT points - can use only n points
	// so n2-n points are ignored
	// Note that for a large af and large amount of zero padding
	// n2-n might be > n2/af, so could drop a whole section (or more)
	// I guess that's OK
	for(i=0; i<n; i++)
	{
		#if(0) // Original code - OK with fft(), NG with RealFFT2()
		// New PSD value is vector sum of real and img parts of inverse FFT results
		// Note: Result is nominally pure real so this may not be necessary
		z[i+offset]=(F_TYPE)(sqrt(SquareAndSum((xr[i]), (yi[i]))));
		if((atan2((xr[i]), (yi[i]))<0))
		{
			z[i+offset]*=-1.0;
		}
		#endif

		#if(1) // Simpler code - works OK with both fft() and RealFFT2()
		// Get same results as original code with fft()
		// Time domain data is pure real
		// Imiginary component of time domain data is typically
		// an order of magnitude or more smaller than real component 
		z[i+offset]=(F_TYPE)xr[i];
		#endif
	}

	// Done
	// Free working arrays
	free(xr);
	free(yi);

	// Write log info
	if(s->num==1)
	{
		_snprintf(buf, sizeof(buf), "1 Spur Removed From Data");
		WriteLog(41, buf);
	}
	else if(s->num>1)
	{
		_snprintf(buf, sizeof(buf), "%d Spurs Removed From Data", s->num);
		WriteLog(41, buf);
	}

	// Return OK code
	return 0;
}

/*****************************************************************************/
#endif

#if(0) // Trial code of 07/13/08 to try Pan filter data flipping - OK but don't use
/*****************************************************************************/
/*                                                                           */
/*                             FFTSpurRemoval()                              */
/*                                                                           */
/*      Function to remove spurs from phase or frequency data                */
/*      during PSD analysis after spur detection                             */
/*      by doing FFT, removing data at spur frequencies,                     */
/*		and doing inverse FFT to obtain time domain data without spurs       */
/*                                                                           */
/*      Uses FFT functions from Science & Engineering Tools                  */
/*      # data points not necessarily a power of 2                           */
/*      Data must not have any gaps                                          */
/*		It can be either phase or frequency data                             */
/*                                                                           */
/*      Function calls from Quinn-Curtis S&E Library:                        */
/*      fft() Note: Last arg=0 for FFT, 1 for inverse FFT                    */
/*      and subsidiary functions it calls                                    */
/*		The S&E FFT arrays are realtype (float)                              */
/*		and must be a power of 2 in size                                     */
/*                                                                           */
/*      For real time domain data, changes made to the FFT must have         */
/*      conjugate summetry.  For N FFT points, this means that, for          */
/*      0-based array indices, points i and N-i-1 must be the same.          */
/*                                                                           */
/*      Note that for AF>1 spurs are detected in averaged PSD but removed    */
/*      from individual unageraged FFT sections.  The Fourier frequencies    */
/*      are the same so this works OK presuming that the spur "widths" are   */
/*      the same.                                                            */
/*                                                                           */
/*      This version of FFTSpurRemoval() uses "data flipping" as suggested   */
/*      in the paper: C. Pan,  "Design of a Windowless Digital Filter Using  */
/*      FFT Algorithm", SLAC-PUB-6221, August 1993.  The time domain data    */
/*      are reflected across the last point to create a new data set twice   */
/*      the length of the original having even symmetry that suppresses the  */
/*      Gibbs phenomenon without windowing.  This technique is claimed to    */
/*      allow digital filtering by simply zeroing out the stopband.  After   */
/*      inverse FFT, only the original data length is used.                  */
/*                                                                           */
/*      See also:		                                                     */
/*      IEEE Transactions On Signal Processing, Vol. 49, No. 2, Feb 2001.    */
/*                                                                           */
/*      Parameters:                                                          */
/*          F_TYPE		z[]     = time-domain phase or freq data w/ header   */
/*			int			type	= data type (0=phase, 1=freq)                */
/*			struct spur *s		= pointer to spur structure                  */
/*          float		a		= intercept of PSD fit a + bx                */
/*          float		b		= slope of PSD fit a + bx                    */
/*			float		bin		= Fourier bin width, Hz                      */
/*			int			psd		= PSD type (not used)                        */
/*                                                                           */
/*      Return:                                                              */
/*          int					= 0 if OK or 1 if error                      */
/*                                                                           */
/*      Globals:                                                             */
/*          None                                                             */
/*                                                                           */
/*      Revision record:                                                     */
/*          06/03/08    Created                                              */
/*			06/05/08	Added af arg and provisions for averaging            */
/*			06/07/08	Removed separate code for AF=1                       */
/*                      Changed to simplified code for pure real data        */
/*			            Add extended AF=1 spur removal range                 */
/*          07/13/08	Created to try Pan filter data flipping              */
/*                                                                           */
/*****************************************************************************/

int FFTSpurRemoval(F_TYPE z[], int type, struct spur *s, float a, float b,
	float bin, int psd, int af)
{
	// Local variables
	int i;					// General and primary index
	int j;					// Secondary index
	int k;					// Tertiary index
	int n;					// # analysis points
	int n2;					// Next higher power-of-2
	int offset;				// Analysis start offset
	int ext=2;				// # FFT points to extend AF=1 spur removal range
	float *xr;				// Pointer to real array
	float *yi;				// Pointer to img array

	// Allocate double-size working arrays
	// realtype (float) xr[] array is real data and FFT
	// realtype (float) yi[] array is img data (zeros) and FFT

	// Get # analysis points - not necessarily a power-of-2
	n=(int)(z[2]-z[1]+1);

	// Allocate memory for next higher power-of-2
	n2=(int)pow(2.0, (double)ceil(log(n)/log(2)));

	// Allocate memory for FFT arrays
	// These are floats for compatibility with S&E FFT function calls
	if((yi=(float*)malloc(2*n2*sizeof(float)))==NULL)
	{
		// Nothing useful can be done - return error code
		return 1;
	}

	// The real array has additional space for std data header
	if((xr=(float*)malloc(2*n2*sizeof(float)))==NULL)
	{
		// Free yi[] array
		free(yi);

		// Nothing useful can be done - return error code
		return 1;
	}

    // Zero the FFT arrays
    for(i=0; i<2*n2; i++)
    {
        xr[i]=(float)0.0;
        yi[i]=(float)0.0;
    }

    // The xr[] array gets loaded with the time domain data.
    // This array is allocated for twice the # points
	// so it has plenty of room for the original data plus the analysis limits.
    // These are put into the xr array initially to allow it to use the
    // FillFloatGaps() function.
    // Then the header info is removed from the xr[] array for the FFT calcs.

   // Find data offset
    offset=(int)z[1]+2; // Index of first data point to be analyzed

   // Copy analysis limits info into xdata[]
    xr[0]=(float)z[0];
    xr[1]=(float)z[1];
    xr[2]=(float)z[2];

    // Load analysis data into the xr[] array with header info
    for(i=0; i<n; i++)
    {
        xr[i+ARRAY_OFFSET]=(float)z[i+offset];
    }

    // Make sure there are no gaps in the analysis data
    FillFloatGaps(xr, type);

    // Eliminate header from the analysis data
    for(i=0; i<n; i++)
    {
        xr[i]=xr[ARRAY_OFFSET+i];     // real data points
    }

	// Now we are ready to create the flipped data array
	// The unflipped data is already in xr[i] from i=0 to n2-1
	// so we only have to add the flipped portion
    for(i=0; i<n2; i++)
    {
        xr[2*n2-i-1]=xr[i];		// flipped real data points
    }

	// Get AF=1 extended spur range preference
	// Note: This is an optional read-only value (default=2)
	ext=GetPrivateProfileInt("Preferences", "ExtendSpurRange", 2,
		szIniFile);
	
	// It applies only to AF=1 and n2>=512
	if((af!=1) || (n2<512))
	{
		ext=0;
	}

	// For testing
	// ext=50; // Quasi bandstop filter
	// TRACE_INT(ext);
		
	// Note: All spur removal processing is done in-place
	// using portions of the complete real and img xr and yi time data and FFT arrays 
	// Loop through non-overlapping averaging factor sections of time domain data
	// performing FFT, removing spur(s), and doing inverse FFT
	// after which that section of the spur-removed time data is where it belongs
	for(i=0; i<af; i++)
	{
		// Do FFT on current section
		// Entire 2*n2-point zero-based time domain data arrays are
		// real=xr[], img=yi[] (all zeros)
		// with indices from 0 to 2*n2-1
		// where 2*n2 is a power-of-2
		// Each section has 2*n2/af points
		// The indices of the ith section are from (2*n2/af)*i to ((2*n2/af)*(i+1))-1
		// So we do the FFT on the array pointers plus (2*n2/af)*i for 2*n2/af points
		//fft(xr+((n2/af)*i), yi+((n2/af)*i), n2/af, 0); // Original unflipped
		// fft(xr, yi, 2*n2, 0); // Flipped i=0, af=1
		fft(xr+((2*n2/af)*i), yi+((2*n2/af)*i), 2*n2/af, 0);

		// Remove spurs from PSD of current section
		if(s->num)
		{
			// Loop thru all spurs removed
			for(j=0; j<s->num; j++)
			{
				// Extended spur removal range for AF=1 and ext value
				// Loop thru all PSD points removed
				for(k=s->first[j]-ext; k<=s->last[j]+ext; k++)
				{
					// Make sure index is in-bounds
					//if((((n2/af)*i)+k)<0) // Original unflipped
					if((2*k+1)<0) // Flipped i=0, af=1
					{
						continue;
					}

					#if(1) // For testing - should see neglibible change - OK
					// Remove spurs from FFT
					// FFT array indices are (2*n2/af)*i)+2*k+1 and +2
					// Set spur points to zero (in pairs)
					//TRACE_INT(2*k+1);
					//TRACE_EXP(xr[2*k+1]);
					// xr[2*k+1]=(float)0.0; // Flipped i=0, af=1
					// yi[2*k+1]=(float)0.0; // Flipped i=0, af=1
					// xr[2*k+2]=(float)0.0; // Flipped i=0, af=1
					// yi[2*k+2]=(float)0.0; // Flipped i=0, af=1
					xr[((2*n2/af)*i)+2*k+1]=(float)0.0;
					yi[((2*n2/af)*i)+2*k+1]=(float)0.0;
					xr[((2*n2/af)*i)+2*k+2]=(float)0.0;
					yi[((2*n2/af)*i)+2*k+2]=(float)0.0;

					// Also set conjugate symmetric points to zero
					// FFT array indices are (2*n2/af)*(i+1))-2*k-1 or -2
					//TRACE_INT(2*n2-2*k-1);
					//TRACE_EXP(xr[2*n2-2*k-1]);
					// xr[2*n2-2*k-1]=(float)0.0; // Flipped i=0, af=1
					// yi[2*n2-2*k-1]=(float)0.0; // Flipped i=0, af=1
					// xr[2*n2-2*k-2]=(float)0.0; // Flipped i=0, af=1
					// yi[2*n2-2*k-2]=(float)0.0; // Flipped i=0, af=1
					xr[(2*n2/af)*(i+1)-2*k-1]=(float)0.0; // Flipped i=0, af=1
					yi[(2*n2/af)*(i+1)-2*k-1]=(float)0.0; // Flipped i=0, af=1
					xr[(2*n2/af)*(i+1)-2*k-2]=(float)0.0; // Flipped i=0, af=1
					yi[(2*n2/af)*(i+1)-2*k-2]=(float)0.0; // Flipped i=0, af=1
					#endif
				}
			}
		}

		// Do inverse FFT
		// Array indices same as FFT
		//fft(xr+((n2/af)*i), yi+((n2/af)*i), n2/af, 1); // Original unflipped
		// fft(xr, yi, 2*n2, 1); // Flipped i=0, af=1
		fft(xr+((2*n2/af)*i), yi+((2*n2/af)*i), 2*n2/af, 1);

		// Note: Do not have to explicitly concatenate
		// this section's spur-removed time domain data
		// because it is done in-place
	}

	// Remove spurs from data
	// Put inverse FFT values into data array
	// There are n points in data array and 2*n2 FFT points - can use only n points
	// so 2*n2-n points are ignored
	// Note that for a large af and large amount of zero padding
	// 2*n2-n might be > 2*n2/af, so could drop a whole section (or more)
	// I guess that's OK
	for(i=0; i<n; i++)
	{
		// Note: Imiginary component of time domain data is typically
		// an order of magnitude or more smaller than real component 
		// Time domain data is pure real
		z[i+offset]=(F_TYPE)xr[i];
	}

	// Done
	// Free working arrays
	free(xr);
	free(yi);

	// Return OK code
	return 0;
}

/*****************************************************************************/
#endif

#if(0) // Code of 07/13/08 for Pan filter using extended data set - works OK
// But endpoint matching method seems simplier, faster and better
/*****************************************************************************/
/*                                                                           */
/*                                 FFTFilter()                               */
/*                                                                           */
/*      Function to filter phase or frequency data in frequency domain       */
/*                                                                           */
/*      Uses FFT functions from Science & Engineering Tools                  */
/*      # data points not necessarily a power of 2                           */
/*      Any gaps in data are filled                                          */
/*		It can be either phase or frequency data                             */
/*                                                                           */
/*      Function call from Quinn-Curtis S&E Library:                         */
/*      fft() Note: Last arg=0 for FFT, 1 for inverse FFT                    */
/*      and subsidiary functions it calls                                    */
/*		The S&E FFT arrays are realtype (float)                              */
/*		and must be a power of 2 in size                                     */
/*                                                                           */
/*      For real time domain data, changes made to the FFT must have         */
/*      conjugate summetry.  For N FFT points, this means that, for          */
/*      0-based array indices, points i and N-i-1 must be the same.          */
/*                                                                           */
/*      This code for frequency domain filtering uses "data flipping" of     */
/*      the paper: C. Pan,  "Design of a Windowless Digital Filter Using     */
/*      FFT Algorithm", SLAC-PUB-6221, August 1993.  The time domain data    */
/*      are reflected across the last point to create a new data set twice   */
/*      the length of the original having even symmetry that suppresses the  */
/*      Gibbs phenomenon without windowing.  This technique is claimed to    */
/*      allow digital filtering by simply zeroing out the stopband.  After   */
/*      inverse FFT, only the original data length is used.                  */
/*                                                                           */
/*      See also:		                                                     */
/*      IEEE Transactions On Signal Processing, Vol. 49, No. 2, Feb 2001.    */
/*                                                                           */
/*      Parameters:                                                          */
/*          F_TYPE		z[]     = time-domain phase or freq data w/ header   */
/*			int			type	= data type (0=phase, 1=freq)                */
/*			int			filter	= filter type                                */
/*			int			low		= index of lower cutoff frequency            */
/*			int			high	= index of upper cutoff frequency            */
/*                                                                           */
/*      Return:                                                              */
/*          int					= 0 if OK or 1 if error                      */
/*                                                                           */
/*      Globals:                                                             */
/*          None                                                             */
/*                                                                           */
/*      Revision record:                                                     */
/*          07/13/08    Created                                              */
/*                                                                           */
/*****************************************************************************/

int FFTFilter(F_TYPE z[], int type, int filter, int low, int high)
{
	// Local macros
	// Filter types
	#define LOWPASS		0
	#define HIGHPASS	1
	#define BANDPASS	2
	#define BANDSTOP	3

	// Local variables
	int i;					// General and primary index
	int n;					// # analysis points
	int n2;					// Next higher power-of-2
	int offset;				// Analysis start offset
	float *xr;				// Pointer to real array
	float *yi;				// Pointer to img array

	// Allocate double-size working arrays
	// realtype (float) xr[] array is real data and FFT
	// realtype (float) yi[] array is img data (zeros) and FFT

	// Get # analysis points - not necessarily a power-of-2
	n=(int)(z[2]-z[1]+1);

	// Allocate memory for next higher power-of-2
	n2=(int)pow(2.0, (double)ceil(log(n)/log(2)));

	// Allocate memory for FFT arrays
	// These are floats for compatibility with S&E FFT function calls
	if((yi=(float*)malloc(2*n2*sizeof(float)))==NULL)
	{
		// Nothing useful can be done - return error code
		return 1;
	}

	// The real array has additional space for std data header
	if((xr=(float*)malloc(2*n2*sizeof(float)))==NULL)
	{
		// Free yi[] array
		free(yi);

		// Nothing useful can be done - return error code
		return 1;
	}

    // Zero the FFT arrays
    for(i=0; i<2*n2; i++)
    {
        xr[i]=(float)0.0;
        yi[i]=(float)0.0;
    }

    // The xr[] array gets loaded with the time domain data.
    // This array is allocated for twice the # points
	// so it has plenty of room for the original data plus the analysis limits.
    // These are put into the xr array initially to allow it to use the
    // FillFloatGaps() function.
    // Then the header info is removed from the xr[] array for the FFT calcs.

   // Find data offset
    offset=(int)z[1]+2; // Index of first data point to be analyzed

   // Copy analysis limits info into xdata[]
    xr[0]=(float)z[0];
    xr[1]=(float)z[1];
    xr[2]=(float)z[2];

    // Load analysis data into the xr[] array with header info
    for(i=0; i<n; i++)
    {
        xr[i+ARRAY_OFFSET]=(float)z[i+offset];
    }

    // Make sure there are no gaps in the analysis data
    FillFloatGaps(xr, type);

    // Eliminate header from the analysis data
    for(i=0; i<n; i++)
    {
        xr[i]=xr[ARRAY_OFFSET+i];     // real data points
    }

	
	#if(0) // Original code
	// Now we are ready to create the flipped data array
	// The unflipped data is already in xr[i] from i=0 to n2-1
	// so we only have to add the flipped portion
    for(i=0; i<n2; i++)
    {
        xr[2*n2-i-1]=xr[i];		// flipped real data points
    }
	#endif

	#if(1) // New (better) code 07/18/08
	// Results same w/o padding - similar w/ padding
	// Create flipped data array per Pan rules
	// Copy reflected data immediately after original data
    for(i=0; i<n; i++)
    {
        xr[2*n-i-1]=xr[i]; // flipped real data points
    }

	// Pad rest of expanded array with 1st data value
    for(i=2*n; i<2*n2; i++)
    {
        xr[i]=xr[0]; // padded real data points
    }
	#endif

	// Do FFT
	fft(xr, yi, 2*n2, 0);

	// Perform filtering
	// Index i is that of double length 2*n2 flipped data
	// Valid from 0 to 2*n2-1
	// Index zero is DC term
	// Index 1 is first Fourier frequency = bin size
	switch(filter)
	{
		case LOWPASS:
		{
			// Zero FFT data from index high to n2-1
			// and its conjugate
			for(i=high; i<n2; i++)
			{
				xr[i]=(float)0.0;
				yi[i]=(float)0.0;
				xr[2*n2-i]=(float)0.0;
				yi[2*n2-i]=(float)0.0;
			}
		}
		break;

		case HIGHPASS:
		{
			// Zero FFT data from index 1 to low
			// and its conjugate
			for(i=0; i<low; i++)
			{
				xr[i+1]=(float)0.0;
				yi[i+1]=(float)0.0;
				xr[2*n2-i-1]=(float)0.0;
				yi[2*n2-i-1]=(float)0.0;
			}
		}
		break;

		case BANDPASS:
		{
			// Zero FFT data from index 1 to low
			// and its conjugate
			for(i=0; i<low; i++)
			{
				xr[i+1]=(float)0.0;
				yi[i+1]=(float)0.0;
				xr[2*n2-i-1]=(float)0.0;
				yi[2*n2-i-1]=(float)0.0;
			}

			// Zero FFT data from index high to n2-1
			// and its conjugate
			for(i=high; i<n2; i++)
			{
				xr[i]=(float)0.0;
				yi[i]=(float)0.0;
				xr[2*n2-i]=(float)0.0;
				yi[2*n2-i]=(float)0.0;
			}
		}
		break;

		case BANDSTOP:
		{
			// Zero FFT data from low to high
			// and its conjugate
			for(i=low; i<=high; i++)
			{
				xr[i]=(float)0.0;
				yi[i]=(float)0.0;
				xr[2*n2-i]=(float)0.0;
				yi[2*n2-i]=(float)0.0;
			}
		}
		break;
	}

	// Do inverse FFT
	fft(xr, yi, 2*n2, 1);

	// Remove stopband from data
	// Put inverse FFT values into data array
	// There are n points in data array and 2*n2 FFT points - can use only n points
	// so 2*n2-n points are ignored
	for(i=0; i<n; i++)
	{
		// Note: Imiginary component of time domain data is typically
		// an order of magnitude or more smaller than real component 
		// Time domain data is pure real
		z[i+offset]=(F_TYPE)xr[i];
	}

	// Done
	// Free working arrays
	free(xr);
	free(yi);

	// Return OK code
	return 0;
}

/*****************************************************************************/
#endif

#if(1) // Code of 07/20/08 to try filtering with endpoint matching
// instead of even extension by reflection (flipping) - works OK
// This is now the preferred method
/*****************************************************************************/
/*                                                                           */
/*                                 FFTFilter()                               */
/*                                                                           */
/*      Function to filter phase or frequency data in frequency domain       */
/*                                                                           */
/*      Uses FFT functions from Science & Engineering Tools                  */
/*      # data points not necessarily a power of 2                           */
/*      Any gaps in data are filled                                          */
/*		It can be either phase or frequency data                             */
/*                                                                           */
/*      Function call from Quinn-Curtis S&E Library:                         */
/*      fft() Note: Last arg=0 for FFT, 1 for inverse FFT                    */
/*      and subsidiary functions it calls                                    */
/*		The S&E FFT arrays are realtype (float)                              */
/*		and must be a power of 2 in size                                     */
/*                                                                           */
/*      For real time domain data, changes made to the FFT must have         */
/*      conjugate summetry.  For N FFT points, this means that, for          */
/*      0-based array indices, points i and N-i-1 must be the same.          */
/*                                                                           */
/*      This code for frequency domain filtering uses the baseline tilting   */
/*      method B of the paper C. Pan, "Gibbs Phenomenon Removal and Digital  */
/*      Filtering Directly through the Fast Fourier Transform", IEEE         */
/*      Transactions On Signal Processing, Vol. 49, No. 2, pp. 444-448,      */
/*      February 2001.                                                       */
/*                                                                           */
/*      Parameters:                                                          */
/*          F_TYPE		z[]     = time-domain phase or freq data w/ header   */
/*			int			type	= data type (0=phase, 1=freq)                */
/*			int			filter	= filter type                                */
/*			int			low		= index of lower cutoff frequency            */
/*			int			high	= index of upper cutoff frequency            */
/*                                                                           */
/*      Return:                                                              */
/*          int					= 0 if OK or 1 if error                      */
/*                                                                           */
/*      Globals:                                                             */
/*          None                                                             */
/*                                                                           */
/*      Revision record:                                                     */
/*          07/20/08    Created                                              */
/*                                                                           */
/*****************************************************************************/

int FFTFilter(F_TYPE z[], int type, int filter, int low, int high)
{
	// Local macros
	// Filter types
	#define LOWPASS		0
	#define HIGHPASS	1
	#define BANDPASS	2
	#define BANDSTOP	3

	// Local variables
	int i;					// General and primary index
	static int n;			// # analysis points
	static int n2;			// Next higher power-of-2
	static int offset;		// Analysis start offset
	static float *xr;		// Pointer to real array
	static float *yi;		// Pointer to img array
	static float fA;		// Intercept
	static float fB;		// Slope

	// Adjust cutoff freqs for consistency with flipped method
	// Increment high - to fix extra HF PSD point in "All stop" band stop filter
	high++;
	// Divide cutoff limits by 2
	low/=2;
	high/=2;

	// Allocate working arrays
	// realtype (float) xr[] array is real data and FFT
	// realtype (float) yi[] array is img data (zeros) and FFT

	// Get # analysis points - not necessarily a power-of-2
	n=(int)(z[2]-z[1]+1);

	// Allocate memory for next higher power-of-2
	n2=(int)pow(2.0, (double)ceil(log(n)/log(2)));

	// Allocate memory for FFT arrays
	// These are floats for compatibility with S&E FFT function calls
	if((yi=(float*)malloc(n2*sizeof(float)))==NULL)
	{
		// Nothing useful can be done - return error code
		return 1;
	}

	// The real array has additional space for std data header
	if((xr=(float*)malloc((n2+ARRAY_OFFSET)*sizeof(float)))==NULL)
	{
		// Free yi[] array
		free(yi);

		// Nothing useful can be done - return error code
		return 1;
	}

    // Zero the FFT arrays
    for(i=0; i<n2+ARRAY_OFFSET; i++)
    {
        xr[i]=(float)0.0;
    }
    for(i=0; i<n2; i++)
    {
        yi[i]=(float)0.0;
    }

    // The xr[] array gets loaded with the time domain data.
    // This array is allocated with room for the data plus the analysis limits.
    // These are put into the xr array initially to allow it to use the
    // FillFloatGaps() function.
    // Then the header info is removed from the xr[] array for the FFT calcs.

   // Find data offset
    offset=(int)z[1]+2; // Index of first data point to be analyzed

   // Copy analysis limits info into xdata[]
    xr[0]=(float)z[0];
    xr[1]=(float)z[1];
    xr[2]=(float)z[2];

    // Load analysis data into the xr[] array with header info
    for(i=0; i<n; i++)
    {
        xr[i+ARRAY_OFFSET]=(float)z[i+offset];
    }

    // Make sure there are no gaps in the analysis data
    FillFloatGaps(xr, type);

    // Eliminate header from the analysis data
    for(i=0; i<n; i++)
    {
        xr[i]=xr[ARRAY_OFFSET+i]; // real data points
    }

	// Zero out the shifted points
	xr[n]=(float)0.0;
	xr[n+1]=(float)0.0;
	xr[n+2]=(float)0.0;

	// Remove baseline tilt to make endpoints equal (and zero)
	// We'll restore this after the filtering is done
	// for low pass and band stop filtration
	// Get 1st data point
	fA=xr[0];

	// Calc slope between endpoints of data
	fB=(xr[n-1]-xr[0])/(n-1);

	// Remove linear fit
    for(i=0; i<n; i++)
    {
        xr[i]-=fA+fB*i;
    }

	// Do FFT
	fft(xr, yi, n2, 0);

	// Perform filtering
	// Index valid from 0 to n2-1
	// Index 0 is DC term
	// Index 1 is first Fourier frequency = bin size
	switch(filter)
	{
		case LOWPASS:
		{
			// Zero FFT data from index high to n2/2
			// and its conjugate
			for(i=high; i<=n2/2; i++)
			{
				xr[i]=(float)0.0;
				yi[i]=(float)0.0;
				xr[n2-i]=(float)0.0;
				yi[n2-i]=(float)0.0;
			}
		}
		break;

		case HIGHPASS:
		{
			// Zero FFT data from index 1 to low
			// and its conjugate
			for(i=0; i<low; i++)
			{
				xr[i+1]=(float)0.0;
				yi[i+1]=(float)0.0;
				xr[n2-i-1]=(float)0.0;
				yi[n2-i-1]=(float)0.0;
			}
		}
		break;

		case BANDPASS:
		{
			// Zero FFT data from index 1 to low
			// and its conjugate
			for(i=0; i<low; i++)
			{
				xr[i+1]=(float)0.0;
				yi[i+1]=(float)0.0;
				xr[n2-i-1]=(float)0.0;
				yi[n2-i-1]=(float)0.0;
			}

			// Zero FFT data from index high to n2/2
			// and its conjugate
			for(i=high; i<=n2/2; i++)
			{
				xr[i]=(float)0.0;
				yi[i]=(float)0.0;
				xr[n2-i]=(float)0.0;
				yi[n2-i]=(float)0.0;
			}
		}
		break;

		case BANDSTOP:
		{
			// Zero FFT data from low to high
			// and its conjugate
			for(i=low; i<=high; i++)
			{
				xr[i]=(float)0.0;
				yi[i]=(float)0.0;
				xr[n2-i]=(float)0.0;
				yi[n2-i]=(float)0.0;
			}
		}
		break;
	}

	// Do inverse FFT
	fft(xr, yi, n2, 1);

	// Skip baseline tilt restoration if high pass or band pass
	if((filter==LOWPASS) || (filter==BANDSTOP))
	{
		// Restore baseline tilt
		for(i=0; i<n; i++)
		{
			xr[i]+=fA+fB*i;
		}
	}
	
	// Remove stopband from data
	// Put inverse FFT values into data array
	// There are n points in data array and n2 FFT points - can use only n points
	// so n2-n points are ignored
	for(i=0; i<n; i++)
	{
		// Note: Imiginary component of time domain data is typically
		// an order of magnitude or more smaller than real component 
		// Time domain data is pure real
		z[i+offset]=(F_TYPE)xr[i];
	}

	// Done
	// Free working arrays
	free(xr);
	free(yi);

	// Return OK code
	return 0;
}

/*****************************************************************************/
#endif

#if(0) // New code 06/21/08 for testing Quartzlock A7PSD DLL
/*****************************************************************************/
/*                                                                           */
/*                          A7PSDSpectrumCalc()                              */
/*                                                                           */
/*      Function to calculate & plot power spectrum                          */
/*      Uses Quartzlock A7PSD DLL                                            */
/*      Has same function signature as SpectrumCalc()                        */
/*                                                                           */
/*      This function is called from SpectrumPlotDlgProc() in Stable_x.c     */
/*      The call is controlled by the A7PSD macro in Stable_w.h              */
/*                                                                           */
/*      Parameters:                                                          */
/*          y[]         = time-domain data; y[0] = *y = # data points        */
/*          xdata[]     = real data points -> PSD results                    */
/*          ydata[]     = imaginary data points (0) -> Fourier freq results  */
/*          tau         = time interval of data samples                      */
/*          n           = # analysis data points                             */
/*          win_num     = # windowings                                       */
/*          2*win_type  = windowing method code:                             */
/*                  0   = Rectangular             win_type = 0               */
/*                  1   = Parzen (not used)                                  */
/*                  2   = Hanning                            1               */
/*                  3   = Welch (not used)                                   */
/*                  4   = Hamming                            2               */
/*                  5   = Blackman (not used)                                */
/*          phase_noise_type:  0=Sx(f), 1=So(f)    , 2=L(f)                  */
/*          correction_factor: 0=1    , 1=(2**v) , 2=(*v) & x10          */
/*          af          = averaging factor (int power of 2)                  */
/*			data_type   = time-domain data type: 0=phase, 1=freq             */
/*      Return          = # FFT frequencies                                  */
/*                                                                           */
/*      Revision record:                                                     */
/*          06/21/08    Created from SpectrumCalc()                          */
/*			11/14/08	More tracing added for Quartzlock info               */
/*                                                                           */
/*****************************************************************************/

// Local defines
#ifndef RECTANG
#define RECTANG 0
#define PARZEN  1
#define HANNING 2
#define WELCH   3
#define HAMMING 4
#define EXACTB  5
#endif

// A7PSD DLL functions
int __declspec(dllexport) a7psd_GetVersion(void);
double __declspec(dllexport) a7psd_RemoveMean(realtype *x, int n);
void __declspec(dllexport) a7psd_WindowData(realtype *x, int n, int type);
int __declspec(dllexport) a7psd_CalcPSD(realtype *xdata, realtype *ydata,
	int n, realtype tau, int logpsd);
int __declspec(dllexport) a7psd_CalcAveragedPSD(realtype *xdata,
	realtype *ydata, int n, realtype tau, int logpsd, int af);
void __declspec(dllexport) a7psd_CalcFFT(realtype *xr, realtype *yi,
	int n, int inv);
void __declspec(dllexport) a7psd_CorrectPSD(realtype *pdata, int n,
	int psdtype, double pad, int wintype, int winnum, double bw,
	double carrier);
void __declspec(dllexport) a7psd_SmoothPSD(realtype *psd, realtype *freq,
	int *ndata, int ppo);
void __declspec(dllexport) a7psd_ScalePSD(realtype *pdata, int n,
	double factor);

// A7PSDSpectrumCalc() top-level function
int WINAPI A7PSDSpectrumCalc(F_TYPE y[], realtype xdata[],
	realtype ydata[], float tau, int n, int win_num, int win_type,
	int phase_noise_type, float correction_factor, int af, int data_type)
{
	// Local variables
	// Ints
	int i;                          // General index
 	int nPSD;
    static int offset;              // Index of first analysis data point
	// Floats
    static float pad_factor=1.0;    // Correction factor for zero padding
								// No zero padding used with A7 application
    
	#if(0) // For testing
	char szBuffer[BUFFER_SIZE+1];       // Text buffer
	#endif

    // The xdata array gets loaded with the time domain data.
    // This array is allocated with space for the # points & analysis limits.
    // These are put into the xdata array initially to allow it to use the
    // FillFloatGaps() function.
    // Then the header info is removed from the xdata array for the FFT calcs.

   // Input parameter n the # of analysis points
   // It is always a power-of-2 in the A7 application

    // Find data offset
    offset=(int)y[1]+2; // Index of first data point to be analyzed

   // Copy analysis limits info into xdata[]
    xdata[0]=(float)n;
    xdata[1]=(float)1;
    xdata[2]=(float)n;

    // Load analysis data into the xdata array with header info
    for(i=0; i<n; i++)
    {
        xdata[i+ARRAY_OFFSET]=(float)y[i+offset];
    }

    // Make sure no there are gaps in the analysis data
    FillFloatGaps(xdata, data_type);

    // Eliminate header from the analysis data
    for(i=0; i<n; i++)
    {
        xdata[i]=xdata[ARRAY_OFFSET+i];                  /* real data points */
        ydata[i]=0.0;                               /* imaginary data points */
    }

	// To use, include A7PSD.lib in project
	// For Stable32 compatibility, the A7PSD DLL must be built
	// with its realtype = float

	// Get DLL version # to test basic DLL functionality
	// TRACE_INT(a7psd_GetVersion());

	// Perform spectral analysis using A7PSD DLL functions
	// Manually select the functions and settings wanted
	// TRACE_INT(n);

	#if(0) // For testing
	for(i=0; i<5; i++)
	{
		sprintf(szBuffer, "%e\n", xdata[i]);
		TRACE_STR(szBuffer);
	}
	#endif

	a7psd_RemoveMean(xdata, n);

	#if(0) // For testing
	for(i=0; i<5; i++)
	{
		sprintf(szBuffer, "%e\n", xdata[i]);
		TRACE_STR(szBuffer);
	}
	#endif

	// TRACE_INT(win_type);
	a7psd_WindowData(xdata, n, win_type);

	#if(0) // For testing
	for(i=0; i<5; i++)
	{
		sprintf(szBuffer, "%e\n", xdata[i]);
		TRACE_STR(szBuffer);
	}
	#endif

	// TRACE_EXP(tau);
	nPSD=a7psd_CalcPSD(xdata, ydata, n, tau, TRUE);
	// nPSD=a7psd_CalcAveragedPSD(xdata, ydata, n, tau, 1, af);
	// TRACE_INT(nPSD);
	// Next to last argument is bandwidth, the Fourier interval or bin size
	// It is equal to 1 / tau * n w/o averaging
	// and af / tau * n with averaging
	// TRACE_INT(sPSPlot.plotype);
	// TRACE_EXP(pad_factor);
	// TRACE_INT(win_num);
	// TRACE_INT(af);
	// TRACE_EXP(af/(tau*n));
	// TRACE_EXP(sPSPlot.carrier);

	#if(0) // For testing
	for(i=0; i<5; i++)
	{
		sprintf(szBuffer, "%e %e\n", xdata[i], ydata[i]);
		TRACE_STR(szBuffer);
	}
	#endif

	a7psd_CorrectPSD(xdata, nPSD, sPSPlot.plotype, pad_factor, win_type, win_num,
		af/(tau*n), sPSPlot.carrier);
	if(sPSPlot.smooth)
	{
		// Note: last arg is PPO
		a7psd_SmoothPSD(xdata, ydata, &nPSD, 8);
		// TRACE_INT(nPSD);
	}
	return nPSD;
}
#endif

#if(1) // New code 08/09/08
/*****************************************************************************/
/*                                                                           */
/*                              strptime()                                   */
/*                                                                           */
/*      UNIX library function to parse string for time/date format           */
/*                                                                           */
/*		The strptime() function converts the specified character string to   */
/*      time values, using the specified format. The format string contains  */
/*      zero or more directives. Each directive is composed of one of the    */
/*      following: one or more white-space characters (as specified by       */
/*      isspace()); an ordinary character (neither '%' nor a white-space     */
/*      character); or a conversion specification. A conversion specifica-   */
/*      tion consists of a % character and one or more characters that       */
/*      determine the behavior. There must be white-space or other non-      */
/*      alphanumeric characters between any two conversion specifications.   */
/*                                                                           */
/*      Parameters:                                                          */
/*			const char *buf		  Pointer to input string to be parsed       */
/*			const char *format	  Pointer to format string                   */	
/*			struct tm *timeptr    Pointer to time structure for results      */
/*                                                                           */
/*      Return:                                                              */
/*			char*  Pointer to character following the last character parsed  */
/*                 or NULL if error                                          */
/*                                                                           */
/*      Documentation:                                                       */
/*			See  http://www.mkssoftware.com/docs/man3/strptime.3.asp         */
/*                                                                           */
/*      Note: MS Visual C/C++ has a similar strftime() function for the      */
/*            inverse comversion                                             */
/*                                                                           */
/*      Revision record:                                                     */
/*          08/09/08    Downloaded source files and documentation            */
/*                                                                           */
/*****************************************************************************/

// For use with strptime() - compiles and links OK
// Downloaded from: http://www.codase.com

static const unsigned char charmap[] = 
{
	'\000', '\001', '\002', '\003', '\004', '\005', '\006', '\007',
	'\010', '\011', '\012', '\013', '\014', '\015', '\016', '\017',
	'\020', '\021', '\022', '\023', '\024', '\025', '\026', '\027',
	'\030', '\031', '\032', '\033', '\034', '\035', '\036', '\037',
	'\040', '\041', '\042', '\043', '\044', '\045', '\046', '\047',
	'\050', '\051', '\052', '\053', '\054', '\055', '\056', '\057',
	'\060', '\061', '\062', '\063', '\064', '\065', '\066', '\067',
	'\070', '\071', '\072', '\073', '\074', '\075', '\076', '\077',
	'\100', '\141', '\142', '\143', '\144', '\145', '\146', '\147',
	'\150', '\151', '\152', '\153', '\154', '\155', '\156', '\157',
	'\160', '\161', '\162', '\163', '\164', '\165', '\166', '\167',
	'\170', '\171', '\172', '\133', '\134', '\135', '\136', '\137',
	'\140', '\141', '\142', '\143', '\144', '\145', '\146', '\147',
	'\150', '\151', '\152', '\153', '\154', '\155', '\156', '\157',
	'\160', '\161', '\162', '\163', '\164', '\165', '\166', '\167',
	'\170', '\171', '\172', '\173', '\174', '\175', '\176', '\177',
	'\200', '\201', '\202', '\203', '\204', '\205', '\206', '\207',
	'\210', '\211', '\212', '\213', '\214', '\215', '\216', '\217',
	'\220', '\221', '\222', '\223', '\224', '\225', '\226', '\227',
	'\230', '\231', '\232', '\233', '\234', '\235', '\236', '\237',
	'\240', '\241', '\242', '\243', '\244', '\245', '\246', '\247',
	'\250', '\251', '\252', '\253', '\254', '\255', '\256', '\257',
	'\260', '\261', '\262', '\263', '\264', '\265', '\266', '\267',
	'\270', '\271', '\272', '\273', '\274', '\275', '\276', '\277',
	'\300', '\341', '\342', '\343', '\344', '\345', '\346', '\347',
	'\350', '\351', '\352', '\353', '\354', '\355', '\356', '\357',
	'\360', '\361', '\362', '\363', '\364', '\365', '\366', '\367',
	'\370', '\371', '\372', '\333', '\334', '\335', '\336', '\337',
	'\340', '\341', '\342', '\343', '\344', '\345', '\346', '\347',
	'\350', '\351', '\352', '\353', '\354', '\355', '\356', '\357',
	'\360', '\361', '\362', '\363', '\364', '\365', '\366', '\367',
	'\370', '\371', '\372', '\373', '\374', '\375', '\376', '\377',
};

int strncasecmp(const char *s1, const char *s2, int n)
{
    unsigned char u1, u2;

    for (; n != 0; --n) {
	u1 = (unsigned char) *s1++;
	u2 = (unsigned char) *s2++;
	if (charmap[u1] != charmap[u2]) {
	    return charmap[u1] - charmap[u2];
	}
	if (u1 == '\0') {
	    return 0;
	}
    }
    return 0;
}

// Compiles and links OK after minor editing
// Uses strncasecmp() and charmap[] above
// Downloaded from: http://www.krugle.org

/*
 * Copyright (c) 1999 Kungliga Tekniska Hgskolan
 * (Royal Institute of Technology, Stockholm, Sweden). 
 * All rights reserved. 
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met: 
 *
 * 1. Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright 
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the distribution. 
 *
 * 3. Neither the name of KTH nor the names of its contributors may be
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY KTH AND ITS CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL KTH OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. */

#include <stddef.h>
#include <stdio.h>
#include <time.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>

static const char *abb_weekdays[] = {
    "Sun",
    "Mon",
    "Tue",
    "Wed",
    "Thu",
    "Fri",
    "Sat",
    NULL
};

static const char *full_weekdays[] = {
    "Sunday",
    "Monday",
    "Tuesday",
    "Wednesday",
    "Thursday",
    "Friday",
    "Saturday",
    NULL
};

static const char *abb_month[] = {
    "Jan",
    "Feb",
    "Mar",
    "Apr",
    "May",
    "Jun",
    "Jul",
    "Aug",
    "Sep",
    "Oct",
    "Nov",
    "Dec",
    NULL
};

static const char *full_month[] = {
    "January",
    "February",
    "March",
    "April",
    "May",
    "June",
    "July",
    "August",
    "September",
    "October",
    "November",
    "December",
    NULL,
};

static const char *ampm[] = {
    "am",
    "pm",
    NULL
};

/*
 * tm_year is relative this year 
 */
const int tm_year_base = 1900;

/*
 * Return TRUE iff `year' was a leap year.
 * Needed for strptime.
 */
static int
is_leap_year (int year)
{
    return (year % 4) == 0 && ((year % 100) != 0 || (year % 400) == 0);
}

/* Needed for strptime. */
static int
match_string (const char **buf, const char **strs)
{
    int i = 0;

    for (i = 0; strs[i] != NULL; ++i) {
	int len = strlen (strs[i]);

	#if(1) // Removed 08/09/08 WJR
	if (strncasecmp (*buf, strs[i], len) == 0) {
	    *buf += len;
	    return i;
	}
	#endif

    }
    return -1;
}

/* Needed for strptime. */
static int
first_day (int year)
{
    int ret = 4;

    for (; year > 1970; --year)
	ret = (ret + 365 + is_leap_year (year) ? 1 : 0) % 7;
    return ret;
}

/*
 * Set `timeptr' given `wnum' (week number [0, 53])
 * Needed for strptime
 */

static void
set_week_number_sun (struct tm *timeptr, int wnum)
{
    int fday = first_day (timeptr->tm_year + tm_year_base);

    timeptr->tm_yday = wnum * 7 + timeptr->tm_wday - fday;
    if (timeptr->tm_yday < 0) {
	timeptr->tm_wday = fday;
	timeptr->tm_yday = 0;
    }
}

/*
 * Set `timeptr' given `wnum' (week number [0, 53])
 * Needed for strptime
 */

static void
set_week_number_mon (struct tm *timeptr, int wnum)
{
    int fday = (first_day (timeptr->tm_year + tm_year_base) + 6) % 7;

    timeptr->tm_yday = wnum * 7 + (timeptr->tm_wday + 6) % 7 - fday;
    if (timeptr->tm_yday < 0) {
	timeptr->tm_wday = (fday + 1) % 7;
	timeptr->tm_yday = 0;
    }
}

/*
 * Set `timeptr' given `wnum' (week number [0, 53])
 * Needed for strptime
 */
static void
set_week_number_mon4 (struct tm *timeptr, int wnum)
{
    int fday = (first_day (timeptr->tm_year + tm_year_base) + 6) % 7;
    int offset = 0;

    if (fday < 4)
	offset += 7;

    timeptr->tm_yday = offset + (wnum - 1) * 7 + timeptr->tm_wday - fday;
    if (timeptr->tm_yday < 0) {
	timeptr->tm_wday = fday;
	timeptr->tm_yday = 0;
    }
}

/* strptime */
char *strptime (const char *buf, const char *format, struct tm *timeptr)
{
    char c;

    for (; (c = *format) != '\0'; ++format) {
	char *s;
	int ret;

	if (isspace (c)) {
	    while (isspace (*buf))
		++buf;
	} else if (c == '%' && format[1] != '\0') {
	    c = *++format;
	    if (c == 'E' || c == 'O')
		c = *++format;
	    switch (c) {
	    case 'A' :
		ret = match_string (&buf, full_weekdays);
		if (ret < 0)
		    return NULL;
		timeptr->tm_wday = ret;
		break;
	    case 'a' :
		ret = match_string (&buf, abb_weekdays);
		if (ret < 0)
		    return NULL;
		timeptr->tm_wday = ret;
		break;
	    case 'B' :
		ret = match_string (&buf, full_month);
		if (ret < 0)
		    return NULL;
		timeptr->tm_mon = ret;
		break;
	    case 'b' :
	    case 'h' :
		ret = match_string (&buf, abb_month);
		if (ret < 0)
		    return NULL;
		timeptr->tm_mon = ret;
		break;
	    case 'C' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_year = (ret * 100) - tm_year_base;
		buf = s;
		break;
	    case 'c' :		/* %a %b %e %H:%M:%S %Y */
		s = strptime (buf, "%a %b %e %H:%M:%S %Y", timeptr);
		if (s == NULL)
		    return NULL;
		buf = s;
		break;
	    case 'D' :		/* %m/%d/%y */
		s = strptime (buf, "%m/%d/%y", timeptr);
		if (s == NULL)
		    return NULL;
		buf = s;
		break;
	    case 'd' :
	    case 'e' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_mday = ret;
		buf = s;
		break;
	    case 'H' :
	    case 'k' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_hour = ret;
		buf = s;
		break;
	    case 'I' :
	    case 'l' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		if (ret == 12)
		    timeptr->tm_hour = 0;
		else
		    timeptr->tm_hour = ret;
		buf = s;
		break;
	    case 'j' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_yday = ret - 1;
		buf = s;
		break;
	    case 'm' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_mon = ret - 1;
		buf = s;
		break;
	    case 'M' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_min = ret;
		buf = s;
		break;
	    case 'n' :
		if (*buf == '\n')
		    ++buf;
		else
		    return NULL;
		break;
	    case 'p' :
		ret = match_string (&buf, ampm);
		if (ret < 0)
		    return NULL;
		if (timeptr->tm_hour == 0) {
		    if (ret == 1)
			timeptr->tm_hour = 12;
		} else
		    timeptr->tm_hour += 12;
		break;
	    case 'r' :		/* %I:%M:%S %p */
		s = strptime (buf, "%I:%M:%S %p", timeptr);
		if (s == NULL)
		    return NULL;
		buf = s;
		break;
	    case 'R' :		/* %H:%M */
		s = strptime (buf, "%H:%M", timeptr);
		if (s == NULL)
		    return NULL;
		buf = s;
		break;
	    case 'S' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_sec = ret;
		buf = s;
		break;
	    case 't' :
		if (*buf == '\t')
		    ++buf;
		else
		    return NULL;
		break;
	    case 'T' :		/* %H:%M:%S */
	    case 'X' :
		s = strptime (buf, "%H:%M:%S", timeptr);
		if (s == NULL)
		    return NULL;
		buf = s;
		break;
	    case 'u' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_wday = ret - 1;
		buf = s;
		break;
	    case 'w' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_wday = ret;
		buf = s;
		break;
	    case 'U' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		set_week_number_sun (timeptr, ret);
		buf = s;
		break;
	    case 'V' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		set_week_number_mon4 (timeptr, ret);
		buf = s;
		break;
	    case 'W' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		set_week_number_mon (timeptr, ret);
		buf = s;
		break;
	    case 'x' :
		s = strptime (buf, "%Y:%m:%d", timeptr);
		if (s == NULL)
		    return NULL;
		buf = s;
		break;
	    case 'y' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		if (ret < 70)
		    timeptr->tm_year = 100 + ret;
		else
		    timeptr->tm_year = ret;
		buf = s;
		break;
	    case 'Y' :
		ret = strtol (buf, &s, 10);
		if (s == buf)
		    return NULL;
		timeptr->tm_year = ret - tm_year_base;
		buf = s;
		break;
	    case 'Z' :
		/* Unsupported. Just ignore.  */
		break;
	    case '\0' :
		--format;
		/* FALLTHROUGH */
	    case '%' :
		if (*buf == '%')
		    ++buf;
		else
		    return NULL;
		break;
	    default :
		if (*buf == '%' || *++buf == c)
		    ++buf;
		else
		    return NULL;
		break;
	    }
	} else {
	    if (*buf == c)
		++buf;
	    else
		return NULL;
	}
    }
    return (char *)buf;
}
#endif

#if(1) //  Copied from MTC2.C of FrequenC Library
// Brought here to implement faster algorithm similar to CalcFastModSigma()
/*****************************************************************************/
/*                                                                           */
/*                                ModTotvarCalc()                            */
/*                                                                           */
/*      Function to calculate the Modified Total Variance from phase data    */
/*      Uses uninverted even reflection of offset-removed phase data         */
/*                                                                           */
/*      Parameters:     F_TYPE x[]      = phase data                         */
/*                                        x[0] = # data points               */
/*                                        x[1] = analysis start              */
/*                                        x[2] = analysis end                */
/*                      F_TYPE *fMTDev  = pointer to Mod Totdev              */
/*                      F_TYPE fTau     = interval between phase data points */
/*                      int nAF         = averaging factor                   */
/*						BOOL *bAbort    = pointer to abort flag              */                                                                     
/*						BOOL bProgress  = progress indicator flag            */                                                                     
/*						void *ProgressFunction()                             */
/*									    = pointer to progress indicator      */
/*									 	  funct with args int nPercentDone   */
/*										  and char *szMessage                */
/*                                                                           */
/*      Return:         int           = # Mod Totvar analysis points,        */
/*                                      or -1 if memory alloc error          */
/*                                      or -2 if no result error             */
/*                                                                           */
/*      Notes:          1. Calculation is done entirely with a new array.    */
/*                         that is deleted after this function closes.       */
/*                      2. Progress indicator and abort not necessary.       */
/*                      3. The phase data need not be endmatched before      */
/*                         calling this function.                            */
/*                                                                           */
/*      Description:    Given the phase data array x[], Mod Totvar is        */
/*                      calculated using z[], which is computed from a       */
/*                      subsequence of x[] consisting of 3m points, where    */
/*                      m is the averaging factor nAF.  This subsequence is  */
/*                      given by x[i] where i=n thru n+3m-1, where n is an   */
/*                      overall index that goes from 1 to the # of phase     */
/*                      data points nNum.  The subsequence z[i] is found     */
/*                      from x[i] by removing the frequency offset by        */
/*                      subtracting the slope found by averaging the 1st     */
/*                      and last halves of the subsequence and dividing by   */
/*                      half the interval.                                   */
/*                                                                           */
/*                      This subsequence is then extended at both ends by    */
/*                      an uninverted even reflection according to z(n-k)=   */
/*                      z(n+k-1) and z(n+3m+k-1)=z(n+3m-k) for k=1 thru 3m,  */
/*                      thus creating a new subsequence having a tripled     */
/*                      range from i=n-3m to i=n+6m-1.                       */
/*                                                                           */
/*                      Mod Totvar is then calculated as the average of its  */
/*                      nNum-3m Totvar sub-estimates.                        */
/*                                                                           */
/*      Reference:      D.A. Howe and F. Vernotte, "Generalization of the    */
/*                      Total Variance Approach to the Modified Allan        */
/*                      Variance", Proc. 31th PTTI Meeting, Dec. 9, 1999,    */
/*                      (to be published).                                   */
/*                                                                           */
/*      Revision record:                                                     */
/*          12/12/99    Adapted from TotvarCalc() and CalcPhaseModSigma()    */
/*                      of FrequenC Library.                                 */
/*          12/16/99    Basic code drafted - no gaps or analysis limits      */
/*          12/26/99    Changed progress bar argument from lpfn to flag      */
/*          12/30/99    Fixed & cleaned up a few details                     */
/*          02/06/00    Changed to fully overlapping per D. Howe review      */
/*          02/08/00    Changed inner sum index limit from 6m+1 to 6m to     */
/*                      elim duplicate term, and change divisor to 6m        */
/*          02/12/00    Added trace code to aid debugging                    */
/*          02/23/00    Added alternative freq offset removal method         */
/*          05/06/00    Added code to handle analysis limits                 */
/*                      Not sure about gaps - no specific code for them      */
/*                      But seems like they S/B OK as-is                     */
/*			03/09/03	Added abort and progress args                        */
/*						Changed from GlobalAllocPtr() to malloc()            */
/*          09/04/08	Copied from MTC2.C of FrequenC Library               */
/*                      Modified code for faster more efficient algorithm    */
/*                      similar to CalcFastModSigma() that practically       */
/*                      eliminates 3rd inner loop                            */
/*                      Complete run now varies as N^2 rather than N^3       */
/*                                                                           */
/* (c) Copyright 1999-2008  Hamilton Technical Services  All Rights Reserved */
/*                                                                           */
/*****************************************************************************/

#include "frequenc.h"

int __declspec(dllexport) FAR PASCAL ModTotvarCalc(F_TYPE fX[], F_TYPE *fMTDev,
	F_TYPE fTau, int nAF, BOOL *bAbort, BOOL bProgress,
	void *ProgressFunction(int nPercentDone, char *szMessage))
{
    // Local variables
    int i;              // Main index
    int j;              // Auxilary index
    int k;              // Inner index
    int m;              // Alias for averaging factor nAF
    int nNum;           // # points
    int nStart;         // Analysis start
    int nCount=0;       // # analysis points
    int nTic;           // Increment for progress indicator
    int nLast_i=0;      // Previous value of index

    double *fZ;         // Subsequence array pointer
    double fC1;         // Subsequence 1st half average
    double fC2;         // Subsequence 2nd half average
    double fC;          // Phase slope=frequency offset
    double fSum=0;      // Overall Mod Totvar summation
    double fSubsum=0;   // Subsequence Mod Totvar summation

    double fZ1;         // 1st phase average
    double fZ2;         // 2nd phase average
    double fZ3;         // 3rd phase average
 
    // Initializations
    nStart=(int)fX[1];          // Analysis start point
    nNum=(int)(fX[2]-fX[1]+1);  // # analysis phase data points = N
    m=nAF;                      // Averaging factor

    nTic=(int)ceil(nNum/100);   // Increment for progress report

    // Start
    if(bProgress)
    {
        // Label progress bar
        ProgressFunction(0, "Calculating Mod Totdev"); 
    }

    // Allocate 9m points of fZ[] working memory with index from 0 to 9m-1
    // w/o array header (#, Start, End)
    if((fZ=(double*)malloc((9*m)*sizeof(double)))==NULL)
    {
        return(-1);  // Error - memory reallocation failed
    }

    // Outer loop thru all nNum-3m+1 subsequences of 3m phase data points
    // A subsequence will be processed during each iteration
    // and the average used to find Mod-Totvar
    // This should allow a max m of nNum/3
    // Note: PTTI Paper uses only nNum-3m subsequences
    // but at my suggestion the "official" version has now been expanded
    // to use nNum-3m+1 as done here

    // To handle analysis limits, need to initialize index to nStart-1 not 0
    // and end it before nStart-1-3*m+1 instead of nNum-3*m+1
    for(i=nStart-1; i<nStart-1+nNum-3*m+1; i++)
    {
        // Copy data subsequence into working array starting at index 3m
        // Note:  The fX[] array needs offset for its header info
        for(j=0; j<3*m; j++)
        {
            fZ[3*m+j]=fX[i+j+ARRAY_OFFSET];
        }
    
        // Do removal of frequency offset
        // Find slope fC by averaging the 1st and last halves of the subsequence
        // subtracting them, and dividing by half the interval
        fC1=0;
        fC2=0;
        for(j=0; j<3*m/2; j++)
        {
            fC1+=fZ[3*m+j];
            fC2+=fZ[3*m+(int)ceil(3.0*(double)m/2.0)+j];
        }
        fC1/=(double)(3*m/2);
        fC2/=(double)(3*m/2);
        fC=(fC2-fC1)/ceil(3.0*(double)m/2.0);

        // Then subtract slope from each point
        for(j=0; j<3*m; j++)
        {
            fZ[3*m+j]-=fC*(double)j;
        }
                
        // Do uninverted even reflection at bottom and top
        for(j=0; j<3*m; j++)
        {
            // Bottom reflection
            fZ[j]=fZ[6*m-1-j];
    
            // Top reflection
            fZ[6*m+j]=fZ[j];
        }

        // Calc Mvar for the fZ[] subsequence
        // Will need to add gap testing and analysis limits
        // This data array does not need an offset
        // This code implements the right summation of Eq(8) of the reference

        // Initialize inner sum
        fSubsum=0;

        // We have a doubly-extended subsequence fZ[] of 9m points
        // and are going to form m-point averages
        // in 6m+1 groups of 3 (called fZ1, fZ2 and fZ3)
        // from which all possible fully overlapping 2nd differences
        // will be used to calculate Mod Totvar
        // Note: Only 6m of the 6m+1 possible 2nd differences are used
        // because the last one is a duplicate
        // NOTE: For 6m+1 version, use j<6*m+1 instead of j<6*m
        for(j=0; j<6*m; j++)
        {
			#if(0) // Original code
            // Find the 3 phase averages for this 2nd difference
            // Initialize phase averages
            fZ1=0.0;
            fZ2=0.0;
            fZ3=0.0;
			
			// Sum phase averages for 3 sets of m points
			// using points j thru j+m-1, j+m thru j+2m-1 and j+2m thru j+3m-1
			// Note: These phase sums are divided by m = # points of each sum
			// in the 2nd difference expression below
			for(k=j; k<j+m; k++)
			{
				fZ1 += fZ[k];
				fZ2 += fZ[k+m];
				fZ3 += fZ[k+2*m];
			}
			#endif
            
			#if(1) // New more efficient code 09/04/08 - yields exactly same results
			// Do full summation for 1st time only
			if(j==0)
			{
				// Initialize phase averages
				fZ1=0.0;
				fZ2=0.0;
				fZ3=0.0;
			
				// Sum phase averages for 3 sets of m points
				// using points j thru j+m-1, j+m thru j+2m-1 and j+2m thru j+3m-1
				// Note: These phase sums are divided by m = # points of each sum
				// in the 2nd difference expression below
				for(k=j; k<j+m; k++)
				{
					fZ1 += fZ[k];
					fZ2 += fZ[k+m];
					fZ3 += fZ[k+2*m];
				}
			}
			else // Rest of sums
			{
				// Just drop old 1st term and add new last one
				fZ1 -= fZ[j-1];
				fZ1 += fZ[j+m-1];
				fZ2 -= fZ[j+m-1];
				fZ2 += fZ[j+2*m-1];
				fZ3 -= fZ[j+2*m-1];
				fZ3 += fZ[j+3*m-1];
			}
			#endif

			// Calc 2nd difference of one of the 6m sets of 3 phase averages
            fSubsum += SQR((fZ1 - 2*fZ2 + fZ3)/m);
        }

        // Scale the subsum and add it to overall sum
        // NOTE: For 6m+1 version this expression uses (6*m+1) instead of (6*m)
        fSum+=fSubsum/(6*m);

        // Increment the sum count
        nCount++;

        // Display progress
        // Update when index has changed by at least tic amount
        if(((i-nLast_i)>=nTic) && (bProgress))
        {
            ProgressFunction((int)(0.5+100.0*i/(nNum-3*m)),
                "Calculating Mod Totdev");
            nLast_i=i;
        }

        // Check for abort
        if(*bAbort)
        {
            break;
        }
    }

    // Free the subsequence array
    free(fZ);

    // Scale result - See Eq (8) of Reference
    // Without gaps, nCount=nNum-3m
    fSum/=(fTau*fTau*nAF*nAF*2*nCount);

    // Find Mod-Totdev
    if(nCount && fSum>0)
    {
        *fMTDev=(F_TYPE)sqrt(fSum);
    }
    else // No result error
    {
        *fMTDev=0.0;
        nCount=-2;
    }

    // Done
    // Clear progress display
    ProgressFunction(0, "");

    return(nCount);  // Return # phase analysis points
}

#endif

#if(1) // These median functions brought here 01/28/09 from FrequenC
/****************************************************************************/
/*                                                                          */
/*                             Median Functions                             */
/*                                                                          */
/*      Functions to find median value in array.                            */
/*      FindMedian() calls FindMedian1() or FindMedian2()depending on       */
/*      array size.  FindMedian1() calls FindMed() for size <100.           */
/*      FindMedian2() calls nrselect() for size >=100.                      */
/*      Only top-level FindMedian() function is exported.                   */
/*                                                                          */
/*      Revision record:                                                    */
/*          03/18/03    File Created                                        */
/*          01/28/09	Fixed error in FindMedian2()                        */
/*                                                                          */
/* (c) Copyright 2003-9  Hamilton Technical Services  All Rights Reserved   */
/*                                                                          */
/****************************************************************************/

// Include FrequenC header file
#include "frequenc.h"

// Local wrapper function prototypes
int FindMedian1(F_TYPE fData[], BOOL bDataType, F_TYPE *pfMedian);
int FindMedian2(F_TYPE fData[], BOOL bDataType, F_TYPE *pfMedian);

/****************************************************************************/
/*                                                                          */
/*                               FindMedian()                               */
/*                                                                          */
/*      Function to call one of two FindMedian wrapper functions            */
/*                                                                          */
/*      Parameters:     F_TYPE fData     = data array                       */
/*                                         fData[0] = # data points         */
/*                                         fData[1] = analysis start        */
/*                                         fData[2] = analysis end          */
/*                                                                          */
/*                      BOOL bDataType   = data type flag: 0=phase, 1=freq  */
/*                                                                          */
/*                      F_TYPE *pfMedian = pointer to median                */
/*                                                                          */
/*      Returns:        int              = 0 if OK or -1 if error           */
/*                                                                          */
/*      Note:           One of two FindMedian wrapper functions is called   */
/*                      depending on size of data array                     */
/*                                                                          */
/*      Revision record:                                                    */
/*          05/07/02    Created                                             */
/*          03/18/03    Adapted for FrequenC.dll                            */
/*                                                                          */
/* (c) Copyright 2002-3  Hamilton Technical Services  All Rights Reserved   */
/*                                                                          */
/****************************************************************************/

int __declspec(dllexport) FAR PASCAL FindMedian(F_TYPE fData[],
    BOOL bDataType, F_TYPE *pfMedian)
{
    // Local variables
    int nSize;          // Size of data array
    int nCode;          // Error code

    // Find size of data array
    nSize=(int)(fData[2]-fData[1]+1);

    // Call one of two wrapper functions
    if(nSize<100)
    {
        // TRACE_STR("Calling FindMedian1 for small array");
		nCode=FindMedian1(fData, bDataType, pfMedian);
    }
    else // Large array
    {
		// TRACE_STR("Calling FindMedian2 for large array");
        nCode=FindMedian2(fData, bDataType, pfMedian);
    }

    // Done
    return nCode;
}

/****************************************************************************/
/*                                                                          */
/*                             FindMedian1()                                */
/*                                                                          */
/*      Wrapper function to safely call FindMed()for small array size       */
/*                                                                          */
/*      Parameters:     F_TYPE fData   = data array                         */
/*                                       fData[0] = # data points           */
/*                                       fData[1] = analysis start          */
/*                                       fData[2] = analysis end            */
/*                                                                          */
/*                      BOOL bDataType = data type flag: 0=phase, 1=freq    */
/*                                                                          */
/*                      F_TYPE *median = pointer to median                  */
/*                                                                          */
/*      Returns:        int            = 0 if OK or -1 if error             */
/*                                                                          */
/*      Note:           Embedded zeros treated as gaps in phase data.       */
/*                      All zeros gaps in frequency data.                   */
/*                      Must have at least 1 data point.                    */
/*                                                                          */
/*      Revision record:                                                    */
/*          09/14/98    Created                                             */
/*          03/18/03    Adapted for FrequenC.dll                            */
/*                                                                          */
/* (c) Copyright 1998-2003 Hamilton Technical Services All Rights Reserved  */
/*                                                                          */
/****************************************************************************/

// Prototype for local median function
int FindMed(F_TYPE z[], BOOL datype, F_TYPE *median);

int FindMedian1(F_TYPE fData[], BOOL bDataType, F_TYPE *pfMedian)
{
    // Local variables
    int i;              // General index
    int nNum;           // # data points in input array
    F_TYPE *fTemp;      // Pointer to temporary array to save original data

    // Save data in temporary array
    // Get array size
    nNum=(int)fData[0];

    // Allocate memory
    if((fTemp=(F_TYPE*)malloc((nNum+ARRAY_OFFSET)*sizeof(F_TYPE)))==NULL)
    {
        *pfMedian=0.0;
        return -1; // Error code
    }

    // Save data
    for(i=0; i<nNum+ARRAY_OFFSET; i++)
    {
        fTemp[i]=fData[i];
    }

    // Call FindMed()
    FindMed(fData, bDataType, pfMedian);

    // Restore data
    for(i=0; i<nNum+ARRAY_OFFSET; i++)
    {
        fData[i]=fTemp[i];
    }

    // Free temporary data array
    free(fTemp);

    // Done
    return 0; // OK
}

/****************************************************************************/
/*                                                                          */
/*                             FindMedian2()                                */
/*                                                                          */
/*      Wrapper function to safely call NR nrselect()                       */
/*      FindMed() gives strictly correct result for # odd or even           */
/*      Faster nrselect() used when # > 100                                 */
/*                                                                          */
/*      Parameters:     F_TYPE fData   = data array                         */
/*                                       fData[0] = # data points           */
/*                                       fData[1] = analysis start          */
/*                                       fData[2] = analysis end            */
/*                                                                          */
/*                      BOOL bDataType = data type flag: 0=phase, 1=freq    */
/*                                                                          */
/*                      F_TYPE *median = pointer to median                  */
/*                                                                          */
/*      Returns:        int            = 0 if OK or -1 if error             */
/*                                                                          */
/*      Note:           Embedded zeros treated as gaps in phase data.       */
/*                      All zeros gaps in frequency data.                   */
/*                      Must have at least 1 data point.                    */
/*                                                                          */
/*                      This function best used for large N, say N>1OO      */
/*                      It handles analysis limits & gaps.  It is X10       */
/*                      faster than full sort for large N.                  */
/*                                                                          */
/*      Revision record:                                                    */
/*          05/06/02    Created and working                                 */
/*          03/18/03    Adapted for FrequenC.dll                            */
/*          01/28/09	Fixed error in FindMedian2()                        */
/*                                                                          */
/* (c) Copyright 2002-3 Hamilton Technical Services All Rights Reserved     */
/*                                                                          */
/****************************************************************************/

// Prototype for NR select() function used in median calc
float nrselect(unsigned long k, unsigned long n, float arr[]);

int FindMedian2(F_TYPE fData[], BOOL bDataType, F_TYPE *pfMedian)
{
    // Local variables
    int i;              // General index
    int k;              // Secondary index
    int nStart;         // Analysis start point
    int nNum;           // # analysis points
    int nGaps=0;        // # gaps found
    float *fTemp;       // Pointer to temporary array for median calc

    // Copy analysis data into temporary working array using indices 1 to nNum
    // Get start # and # analysis points
    nStart=(int)fData[1];
    nNum=(int)(fData[2]-fData[1]+1);

    // Allocate memory for analysis data only - no header
    // The +1 allows the array index to start at 1 per NR style
    if((fTemp=(float*)malloc((nNum+1)*sizeof(float)))==NULL)
    {
        *pfMedian=0.0;
        return -1; // Error code
    }

    // Copy analysis data into temporary float array
    k=1;
    for(i=1; i<=nNum; i++)
    {
        if(bDataType==FREQ_DATA)
        {
            // All zeros are gaps to be omitted
            if((fTemp[k]=(float)fData[ARRAY_OFFSET+nStart+i-2])==0)
            {
                nGaps++;
            }
            else
            {
                k++;
            }
        }
        else // Phase data
        {
            // All except 1st & last zeros are gaps to be omitted
            if((fTemp[k]=(float)fData[ARRAY_OFFSET+nStart+i-2])==0)
            {
                // 01/28/09 Fix long-standing error
				// if( (k=1) || (k=nNum) )
                if( (k==1) || (k==nNum) )
                {
                    nGaps++;
                }
                else
                {
                    k++;
                }
            }
            else
            {
                k++;
            }
        }
    }

    // Adjust # points
    nNum-=nGaps;
    
    // Call NR function to find median
    // 1st arg is kth smallest value to find = (N+1)/2
    // This is exactly correct median for N odd
    // For N even, strictly speaking, median S/B avg of N/2 and N/2 +1 points
    // We aren't going to worry about that, esp for large N
    *pfMedian=(F_TYPE)nrselect((unsigned long)((nNum+1)/2), (unsigned long)nNum,
        fTemp);

    // Free temporary data array
    free(fTemp);

    // Done
    return 0; // OK
}

/*****************************************************************************/
/*                                                                           */
/*                              FindMed()                                    */
/*                                                                           */
/*      Function to find median of array of phase or frequency data          */
/*                                                                           */
/*      Parameters:     F_TYPE z[]    = phase or frequency data              */
/*                                      z[0] = # data points                 */
/*                                      z[1] = analysis start                */
/*                                      z[2] = analysis end                  */
/*                      BOOL   datype = data type: 0=phase, 1=frequency      */
/*                      F_TYPE *median= pointer to median value of data      */
/*                                                                           */
/*      Notes:          All zeros treated as gaps in frequency data.         */
/*                      Embedded zeros treated as gaps in phase data.        */
/*                      This function first fills gaps in the data           */
/*                      with interpolated values by calling fill().          */
/*                      It then sorts the data into assending order,         */
/*                      using qsort(), to find the median value.             */
/*                      The median is the center value for an odd # of       */
/*                      data points, and the average of the two center       */
/*                      values for an even # of data points.                 */
/*                                                                           */
/*      Return:         int            = error flag: 0=OK, 1=NG              */
/*                                                                           */
/*      Revision record:                                                     */
/*          05/03/97    Adapted from FindMedian() of STABLE_A.C              */
/*          01/01/98    Changes for MS VC++ compatibility & warnings         */
/*          03/18/03    Adapted for FrequenC.dll                             */
/*                                                                           */
/* (c) Copyright 1992-2003 Hamilton Technical Services All Rights Reserved   */
/*                                                                           */
/*****************************************************************************/

// Declare comparison function - not exported */
static int median_compare(const void *a, const void *b);

int FindMed(F_TYPE z[], BOOL datype, F_TYPE *median)
{
    int i;                                                      /* 1st index */
    int j=0;                                                    /* 2nd index */
    int start=(int)z[1];                                   /* analysis start */
    int end=(int)z[2];                                       /* analysis end */
    int num=(int)z[0];                                      /* # data points */
    F_TYPE *temp;                 /* pointer to temporary data storage array */
    F_TYPE med;                                              /* median value */

    // save data
    if((temp=(F_TYPE *)malloc((num+3)*sizeof(F_TYPE)))==NULL)
                                    /* allocate temporary data storage space */
    {
        return(1);                                           /* error return */
    }                                                              /* end if */

    for(i=0; i<num+3; i++)
    {
        temp[i]=z[i];                                           /* save data */
    }                                                             /* end for */

    /* Fill any gaps in data */
    FillGaps(z, datype);

    /* eliminate non-analysis points */
    for(i=start+2; i<=end+2; i++)
    {
        z[j]=z[i];
        j++;
    }                                                             /* end for */
    num=end-start+1;

    /* sort data into numerical order */
    qsort((void *) z, (size_t) num, sizeof(F_TYPE), median_compare);

    /* find & return median */
    if(num%2)                                                 /* is num odd? */
    {
        med=z[num/2];                                        /* middle value */
    }                                                              /* end if */
    else
    {                                                           /* n is even */
        med=(z[(num/2)-1]+z[num/2])/2.0;       /* average of 2 middle values */
    }                                                            /* end else */

    // restore data
    for(i=0; i<num+3; i++)
    {
        z[i]=temp[i];                                        /* restore data */
    }                                                             /* end for */
    free(temp);                                         /* deallocate temp[] */

    *median=med;                       /* set median to med = median of data */
    return(0);                                              /* normal return */

}                                                        /* end FindMedian() */

/*****************************************************************************/
/*                                                                           */
/*                           median_compare()                                */
/*                                                                           */
/*      Qsort compare function for finding median of array                   */
/*                                                                           */
/*****************************************************************************/

static int median_compare(const void *a, const void *b)
{
    F_TYPE x =  (*(F_TYPE *) a) - (*(F_TYPE *) b) ;
    return (x>0) ? 1 : (x<0) ? -1 : 0;
}

/*****************************************************************************/
/*                                                                           */
/*                              nrselect()                                   */
/*                                                                           */
/*      Fast Numerical Recipes function to find median of array              */
/*                                                                           */
/*****************************************************************************/

// Copied from on-line NR, Sec. 8.5 (later version than I have in book)
// Note:  The NR working array arr[] indices go from 1 to n; arr[0] not used
// Note:  The nrselect() array is just a float, but this precision S/B OK 

// Local macro
#define SWAPP(a,b) temp=(a);(a)=(b);(b)=temp;

// Start of function - prototype is at top of this file - not in Stable_w.h
// This function returns the kth smallest value in the n-point array arr[]
// k is set to (n+1)/2 to find median
// About x10 faster than sorting - smaller elements moved in arbitrary order
float nrselect(unsigned long k, unsigned long n, float arr[])
{
    unsigned long i,ir,j,l,mid;
    float a,temp;
    
    l=1;
    ir=n;
    for(;;) {
        if (ir <= l+1) {
            if (ir == l+1 && arr[ir] < arr[l]) {
                SWAPP(arr[l],arr[ir])
            }
            return arr[k];
        } else {
            mid=(l+ir) >> 1;
            SWAPP(arr[mid],arr[l+1])
            if (arr[l] > arr[ir]) {
                SWAPP(arr[l],arr[ir])
            }
            if (arr[l+1] > arr[ir]) {
                SWAPP(arr[l+1],arr[ir])
            }
            if (arr[l] > arr[l+1]) {
                SWAPP(arr[l],arr[l+1])
            }
            i=l+1;
            j=ir;
            a=arr[l+1];
            for (;;) {
                do i++; while (arr[i] < a);
                do j--; while (arr[j] > a);
                if (j < i) break;
                SWAPP(arr[i],arr[j])
            }
            arr[l+1]=arr[j];
            arr[j]=a;
             if (j >=k) ir=j-1;
             if (j <=k) l=i;
        }
    }
}

/*****************************************************************************/
#endif

#if(1) // Working 11/24/11
/*****************************************************************************/
/*                                                                           */
/*                             GreenhallDrift()                              */
/*                                                                           */
/*      Function to calculate the Greenhall frequency drift estimator        */
/*      for an array of phase data                                           */
/*                                                                           */
/*      Reference:                                                           */
/*      C.A. Greenhall,"A Frequency-Drift Estimator and Its Removal          */
/*      from Modified Allan Variance", Proc. 1997 IEEE Freq. Contrl.         */
/*      Symp., pp. 428-432, June 1997.                                       */
/*                                                                           */
/*      The idea is to integrate the phase data in the form of a             */
/*      cumulative sum to reduce the noise of the freq drift estimate        */
/*                                                                           */
/*      Parameters:     F_TYPE fData   = phase data array                    */
/*                                       fData[0] = # data points            */
/*                                       fData[1] = analysis start           */
/*                                       fData[2] = analysis end             */
/*                      F_TYPE fTau    = Sampling time of data (sec)         */
/*                      F_TYPE *fDrift = pointer to freq drift               */
/*                                                                           */
/*      Returns:        int            = 0 if OK or -1 if error              */
/*                                                                           */
/*      Notes:          Embedded zeros treated as gaps in phase data.        */
/*                      Must have at least 4 data points                     */
/*                      fDrift set to zero if error                          */
/*                                                                           */
/*      Revision record:                                                     */
/*          11/20/11    Created                                              */
/*                                                                           */
/* (c) Copyright 2011 Hamilton Technical Services All Rights Reserved        */
/*                                                                           */
/*****************************************************************************/

int GreenhallDrift(F_TYPE fData[], F_TYPE fTau, F_TYPE *fDrift)
{
    // Local variables
    int i;              // General index
	int n;				// Estimator index
	double r;			// Estimator ratio
    int nNum;           // # analysis data points
	double fNum;		// nNum as double
	int nStart;			// # of first analysis point
	int iStart;			// Index of first analysis point
    F_TYPE *fTemp;      // Pointer to working cumulative sum array

    // TRACE_EXP(fTau);
	
	// Get # analysis points
    nNum=(int)fData[2]-(int)fData[1]+1;
	fNum=(double)nNum;

	// TRACE_INT(nNum);
	// TRACE_EXP(fNum);

    // Allocate memory for temporary cumulative sum array
    if((fTemp=(F_TYPE*)malloc(nNum*sizeof(F_TYPE)))==NULL)
    {
        *fDrift=0.0;
        return -1; // Error code
    }

	// Set first value
	nStart=(int)fData[1];
	iStart=nStart+ARRAY_OFFSET-1;
	fTemp[0]=fData[iStart];

	// TRACE_INT(nStart);
	// TRACE_INT(iStart);

	// Form cumulative sum of data
	// Note:  Greenhall's w0 is zero
    for(i=1; i<nNum; i++)
    {
        fTemp[i]=fTemp[i-1] + fData[i+iStart];
    }

	// Choose n equal to nNum/10 (Greenhall's n1)
	n=nNum/10;

	// TRACE_INT(n);

	// Find r equal to n/nNum (Greenhall's r1)
	r=(double)n/(double)nNum;

	// TRACE_EXP(r);

	// Find freq drift
	// Greenhall's 1st term
	*fDrift=6.0/(fNum*fNum*fNum*fTau*fTau*r*(1.0-r));

	// TRACE_EXP(*fDrift);

	// Multiplied by Greenhall's 2nd term

	// TRACE_EXP(fTemp[nNum-1]);
	// TRACE_EXP(fTemp[nNum-n-1]);
	// TRACE_EXP(fTemp[n-1]);

	*fDrift*=(fTemp[nNum-1]-((fTemp[nNum-n-1]-fTemp[n-1])/(1.0-2*r)));

	// TRACE_EXP(*fDrift);

    // Free temporary data array
    free(fTemp);

    // Done
    return 0; // OK
}

#endif

#if(1) // Works, but not yet used.
// Out, in, flat and dim comp icons have been created
// Could add another function to compress data
// But it probably doesn't serve any useful purpose
/*****************************************************************************/
/*                                                                           */
/*                              CompressData                                 */
/*                                                                           */
/*      Function to compress phase or frequency data for faster plotting     */
/*                                                                           */
/*      Data compression can be used simply for plotting, or it can be used  */
/*      to actually alter the data.  It the latter case, it also requires    */
/*      that the status display, status plot, tau, data flags, etc. be       */
/*      updated, the filename extension be incremented and that an entry be  */
/*      written to the log file.  Those things are not included in this      */
/*      function.  If the original data are to be preserved, they must be    */
/*      saved before calling this function.  The original array size is      */
/*      not reallocated to reflect the smaller data set size but that could  */
/*      be done afterwards by the calling function.                          */
/*                                                                           */
/*      It is not possible, in general, to divide a data set into a number   */
/*      of equal-sized compressed groups without a smaller-sized  remainder. */
/*      This algorithm uses a group size (compression factor)  of c,         */
/*		where the last group may be smaller.  It is nevertheless             */
/*      reasonable to consider the tau of the resulting compressed data set  */
/*		to be n/2m times the tau of the original uncompressed data set.      */
/*      We don't want to drop any of the original data points because they   */
/*      may represent extreme values.                                        */
/*                                                                           */
/*      It is not possible to plot the compressed data using the normal      */
/*      GraphiC code with either point or time x axis scales.  The point     */
/*      scale or tau must be adjusted for the compression by the ratio n/2m. */
/*                                                                           */
/*      The compressed data can, however, be used for the small status       */
/*      plots, which can use a larger compression factor (a smaller value    */
/*      than 8192 for p).  But doing this will spoil the point marker.       */
/*                                                                           */
/*      Compressed data is NOT usitable for stability analysis.  It          */
/*      comprises only min & max values and has different statistics         */
/*      including a larger sigma.                                            */
/*                                                                           */
/*      Parameters:     F_TYPE z[]   = phase or frequency data               */
/*                                     z[0] = # data points                  */
/*                                     z[1] = analysis start                 */
/*                                     z[2] = analysis end                   */
/*                      BOOL datype  = data type: 0=phase, 1=frequency       */
/*									   PHASE_DATA=0, FREQ_DATA=1 macros      */
/*                      int  p       = # pixels in screen resolution         */
/*                                   = 8192 for normal full GraphiC screen   */
/*									 = PLOT_PIXELS macro                     */
/*                                                                           */
/*      Notes:	If the size of the phase or frequency data in the x[] array  */
/*				is larger than 5p it is replaced by a smaller set of         */
/*				compressed data in the same arrsy.  The data are processed   */
/*				in a nominal of p  groups of two points equal to the minimum */
/*              and maximum values in each group.  p should be about equal   */
/*              to the GraphiC 8192 pixel screen resolution, and there will  */
/*              therefore be about 2 points per pixel that show the full     */
/*              extent of the data.                                          */
/*                                                                           */
/*              The original data should be saved before calling this        */
/*				function.  All data are processed without regard to          */ 
/*              analysis limits.                                             */
/*                                                                           */
/*      Return:         int            = new array size                      */
/*                                       or 0 if no compression done         */
/*                                                                           */
/*      Revision record:                                                     */
/*          09/05/12    Skeleton function drafted                            */
/*          09/18/12    Working                                              */
/*                                                                           */
/*  (c) Copyright 2012  Hamilton Technical Services  All Rights Reserved     */
/*                                                                           */
/*****************************************************************************/

int CompressData(F_TYPE z[], BOOL datype, int p)
{
    int i;                                         /* index to original data */
	int j;                                      /* index to comprerssed data */
	int k;                                              /* incremental index */
	int n;                                         /* original # data points */
	int c;                                             /* compression factor */
	int m;                                       /* # compressed data points */
	F_TYPE min;		                                   /* min value of group */
	F_TYPE max;                                        /* max value of group */

	// Set original # data points
	n=(int)z[0];
	
	// Find compression factor = # original data points per compressed group
	// Nominal # compressed data point groups = p
	// Each compressed group has two points (min & max of original group)
	// Nominal # compressed data points = 2*p (twice the plot screen resolution)
	// Compression factor = c = original # data points divided by # pixels
	// rounded down to next lower whole integer = # original data points
	// per compressed group
	// so there may be a final group corresponding to fewer than n/p points
	c=(int)(n/p);

	// Check if it is reasonable to compress the data
	if(c<5)
	{
		return 0;
	}

	// However we may need more than p compressed groups to hold all data
	// Find actual # compressed groups which will, in general, be greater than p
	m=(int)(n/c);

	// And if there is a remainder, increment it by 1 to handle those points
	// whose # will be between 1 and c-1
	if((n/c)%c)
	{
		m++;
	}

	// Here's and example of the above for n=z[0]=50,000 and p=8192
	// c=6 original data points per compressed group
	// m=8333+1=8334 compressed groups (last one smaller)
	// 2m=16,668 compressed data points

	// Set new array sizes - note that the analysis limits change
	z[0]=2*m;
	z[1]=1;
	z[2]=2*m;

	// Compress the data
	// We loop through the original data in groups of c,
	// finding the minimum and maximum of each group
	// and writing those values back into the original array
	// i is the index into the original data
	// j is the index into the compressed data
	// k is incremental index for finding min & max
	// The 3 provides the array offset
	// Initialize compressed array index
	j=3;
	// Main loop (all complete groups)
	for(i=3; i<n+3-c; i=i+c)
	{
		// Initialize min & max
		min=z[i];
		max=z[i];
		
		// Find min value
		for(k=1; k<c; k++)
		{
			// Loop thru current group 
			if(z[i+k]<min)
			{
				min=z[i+k];
			}
		}

		// Find max value
		for(k=1; k<c; k++)
		{
			// Loop thru current group
			if(z[i+k]>max)
			{
				max=z[i+k];
			}
		}

		// Store min value
		z[j]=min;

		// Store max value
		z[j+1]=max;

		// Increment compressed data index
		j++;
		j++;
	}

	// Final group
	// 1st original point # of last group is i+k-c-3
	// where k=c or simply i-3
	// and its index is i
	// Last original point # is n
	// and its index is n-1+3
	// Next compressed index is j
	// Initialize last min & max
	min=z[i];
	max=z[i];

	// Incement index
	i++;

	// Loop thru last group
	while(i<n+3)
	{
		// Check if smaller
		if(z[i]<min)
		{
			min=z[i];
		}

		// Check if larger
		if(z[i]>max)
		{
			max=z[i];
		}

		// Increment index
		i++;
	}

	// Store min value
	z[j]=min;

	// Store max value
	z[j+1]=max;

	#if(0) // For testing
	TRACE_INT(n);
	TRACE_INT(p);
	TRACE_INT(c);
	TRACE_INT(m);
	#endif
	
	return 2*m;                                             /* normal return */
}                                                      /* end CompressData() */
#endif

